phosh (0.35.0-1+droidian0+git20240121163858.d374458.droidian) trixie; urgency=medium

  [ Bardia Moshiri ]
  * wwan-ofono: Mark access technology nr as 5G
  * wwan-mm: Mark access technology MM_MODEM_ACCESS_TECHNOLOGY_5GNR as 5G
  * packaging: Add libgirepository1.0-dev as a build dependency

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.35.0' into upstream
  * Merge tag 'upstream/0.35.0' into feature/trixie/upgrade-0.35.0

  [ Marge Bot ]
  * Merge branch 'main' into 'main'
  * Merge branch 'main' into 'main'
  * Merge branch 'ci-fairy-main' into 'main'
  * Merge branch 'meson-1.0' into 'main'
  * Merge branch 'suspend-blocker' into 'main'
  * Merge branch 'cleanups' into 'main'
  * Merge branch '0.35.0' into 'main'

  [ Guido Günther ]
  * ci: Only run ci-fairy on merge-request pipelines targeting 'main'
  * build: Avoid quotes around boolean values
  * build: Use project_build_root() as plain build_root() is deprecated
  * build: Use project_source_root() as plain source_root() is deprecated
  * build: Bump meson version to 1.0.0
  * uncrustify: Fix while() brace alignment too
  * build: Drop meson version check
  * session-manager: Allow to inhibit suspend
  * suspend-manager: Inhibit via gnome-session rather than systemd
  * d/changelog: Fix protocol name
  * idle-manager: Drop unused variable from struct
  * idle-manager: Drop superfluous comment
  * screen-saver-manager: Clear long press timer in error path
  * emergency-info: Suggest word-completion in text views
  * launcher-box: Fix leaks
  * upcoming-events: Don't leak color string from rgba conversion
  * widget-box-standalone: Don't leak plugin dirs
  * lockscreen: Add small margin to the widget box
  * treewide: Document changes and release 0.35.0

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ mathew-dennis ]
  * home: Shrink home-bar height and move osk activation to center
  * home: Make powerbar more interactive

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 21 Jan 2024 17:38:58 +0100

phosh (0.34.0-1+droidian1) trixie; urgency=medium

  [ Guido Günther ]
  * shell-manager: Drop support for XML version parsing
  * build: Drop support for older gnome-desktop without the platform version
  * build: Encode glib version in one place only
  * osk-manager: Sync initial state
  * util: Revert "Be more gracefull on the app_id"

  [ Marge Bot ]
  * Merge branch 'cut-bounds' into 'main'

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Dec 2023 01:50:08 +0100

phosh (0.34.0-1+droidian0) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge remote-tracking branch 'upstream/main' into feature/trixie/upgrade-0.34.0
  * Revert "idle-manager: Recreate timers when they need to be reset"
  * Revert "wayland: Drop kde idle protocol"
  * Revert "idle-manager: Use ext-notifier-v1 protocol"
  * Revert "wayland: Add ext-idle-notify-v1"
  * Revert "d/control: Bump phoc dependency"
  * Merge tag 'v0.34.0' into upstream
  * Merge tag 'upstream/0.34.0' into feature/trixie/upgrade-0.34.0

  [ Artur S0 ]
  * Update Russian translation

  [ Marge Bot ]
  * Merge branch 'typo' into 'main'
  * Merge branch 'gamma' into 'main'
  * Merge branch 'fix-ci' into 'main'
  * Merge branch 'lockscreen-keyboard-btn' into 'main'
  * Merge branch 'check-style' into 'main'
  * Merge branch 'call-noti' into 'main'
  * Merge branch 'ci-fairy-tweaks' into 'main'
  * Merge branch 'end-session-improvements' into 'main'
  * Merge branch 'rel-0.34.0' into 'main'
  * Merge branch 'osk-sync' into 'main'
  * Merge branch 'app-id' into 'main'

  [ Guido Günther ]
  * HACKING: Add some more details
  * build: Bump glib to 2.76
  * tools: Use G_APPLICATION_DEFAULT_FLAGS
  * monitor-manager: Drop crtc gamma
  * dbus: Add gsd color
  * monitor-manager: Connect to gsd-color for night light information
  * ci: Run unit and integration tests separately
  * testlib: Check for Wayland socket
  * tests: Drop unused display argument of the shell fixture
  * tests/notify-manager: Drop unused variable
  * tests/screenshot-manager: Drop unused variable
  * tests/monitor-manager: Test more API
  * osk-button: Fix indentation
  * osk-manager: Make availability depend on screen-keyboard-enabled
  * lockscreen: Map keyboard button sensitiviy to OSK availability
  * osk-manager: Drop unused variable
  * home: Use osk-manager instead of tracking the gsetting directly
  * subprojcts: Update gmobile to 0.0.4
  * subprojcts: Update libcall-ui to 0.1.1
  * call-notification: Silence debug output
  * call-notification: Use cui_call_format_duration
  * call-notification: Use tnum font feature
  * ci/ci-fairy: Don't check for CI_OPEN_MERGE_REQUESTS
  * ci/ci-fairy: Use newer image
  * ci/ci-fairy: Use a more descriptive job name
  * ci/ci-fairy: Remove all dependencies
  * ci/ci-fairy: Use GIT_DEPTH to depthen repo
  * ci/ci-fairy: Tighten commit rules
  * monitor-manager: Use phosh_async_error_warn
  * util: Be more gracefull on the app_id
  * end-session-dialog: Use cancellable
  * end-session-dialog: Use phosh_get_desktop_app_info_for_app_id
  * end-session-dialog: Only show list box when we created inhibitors
  * end-session-dialog: Check flags before creating an entry
  * end-session-dialog: Skip empty app-ids
  * end-session-dialog: Print app_id if we can't resolve the app info
  * build: Document changes and release 0.34.0
  * osk-manager: Sync initial state
  * util: Revert "Be more gracefull on the app_id"

  [ Daniel Rusek ]
  * Update Czech translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Arun Mani J ]
  * ci: Add Uncrustify to Debian image
  * ci: Add Uncrustify config and checker
  * ci: Run style checks on merge requests
  * ci: Move `sanity` job to `style-checks` stage

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Vittorio Monti ]
  * Update Italian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 13 Dec 2023 22:16:37 +0100

phosh (0.33.0-1+droidian0) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.33.0' into upstream
  * Merge tag 'upstream/0.33.0' into droidian

  [ Marge Bot ]
  * Merge branch 'dev-docs' into 'main'
  * Merge branch 'improved-separator' into 'main'
  * Merge branch 'fbd-init' into 'main'
  * Merge branch 'rel-0.32.0' into 'main'
  * Merge branch 'doc-fixes' into 'main'
  * Merge branch 'launcher-plugin' into 'main'
  * Merge branch 'phosh-password-entry' into 'main'
  * Merge branch 'ext-idle-notify-v1' into 'main'

  [ Guido Günther ]
  * docs: Mention that we prefer a "recipe" style git commit history
  * docs: Add some more common patterns
  * docs: Add a merge request check list
  * docs: Link to posts that add provide more details
  * feedback-manager: Don't access lfb if not inited
  * feedback-manager: Add more type checks
  * notification-feedback: Guard against unitted libfeedback
  * Document changes and release 0.32.0
  * docs: Drop phosh-docs.xml
  * app-tracker: Document signal parameters
  * build: Fix indent
  * tools: Drop layer-shell-ui-edit
  * plugins/ticket-box: Remove unused ui file
  * plugins: Add launcher plugin
  * Document changes and release 0.33.0
  * Merge branch 'rel-0.33.0' into 'main'
  * ci: Drop crossbuild dockerfile
  * ci: Allow to update all images
  * ci: Switch to trixie
  * d/control: Bump phoc dependency
  * wayland: Add ext-idle-notify-v1
  * idle-manager: Use ext-notifier-v1 protocol
  * wayland: Drop kde idle protocol
  * idle-manager: Recreate timers when they need to be reset

  [ Artur S0 ]
  * Update Russian translation

  [ pseudorandom-x ]
  * password-entry: Add new widget
  * gtk-mount-prompt: Use password-entry
  * network-auth-prompt: Use password-entry
  * polkit-auth-prompt: Use password-entry
  * system-prompt: Use password-entry

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Florentina Mușat ]
  * Update Romanian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Keegan Sabo ]
  * app-grid: Hide separator when there are no favorites

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Nov 2023 23:03:08 +0100

phosh (0.31.0-1+droidian2) trixie; urgency=medium

  [ Bardia Moshiri ]
  * subprojects: bump gmobile

  [ Marge Bot ]
  * Merge branch 'session-ini' into 'main'
  * Merge branch 'notify-x-fbd' into 'main'

  [ Guido Günther ]
  * docs: Mention phoc configuration file
  * notification: Link to the official spec
  * notifications: Merge comments
  * notification: Add profile property
  * notify-feedback: Adjust feedback profile based on notification
  * notify-manager: Honor x-phosh-fb-profile hint
  * tools: Add category and profile to notification tool
  * docs: Add some hints for application developers
  * docs: Document additional notification hint

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 30 Sep 2023 22:22:15 -0400

phosh (0.31.0-1+droidian1) trixie; urgency=medium

  [ Bardia Moshiri ]
  * Merge tag 'tags/v0.31.0' into upstream
  * Merge tag 'upstream/0.31.0' into droidian

  [ Vasil Pupkin ]
  * Add Belarusian translation

  [ Tjipke van der Heide ]
  * Add Frisian translation

  [ Marge Bot ]
  * Merge branch 'portals.conf' into 'main'
  * Merge branch 'portals.conf' into 'main'
  * Merge branch 'tablet-mode-switch' into 'main'
  * Merge branch 'rel-0.31.0' into 'main'
  * Merge branch 'fix-version' into 'main'
  * Merge branch 'session-imp' into 'main'

  [ Guido Günther ]
  * data: Add portals default config
  * portals: End lines with a semicolon
  * portals: Use wlr as fallback for screenshot portal
  * portal: Disable screencast portal
  * portal: Add secrets portal
  * wayland: Fix indent
  * wayland: Make zwlr_output_power_manager_v1 mandatory
  * suspend-manager: Drop unused variable
  * protocol: Add phoc-device-state-unstable-v1
  * mode-manager: Set tablet or laptop mode for convertibles
  * mode-manager: Switch between tablet and laptop mode
  * Document changes and release 0.31.0
  * build: Fix version in meson file
  * Document changes and release 0.31.1
  * session: Warn on deprecated rootston.ini
  * phosh-session: Allow to include a .phoshdebug

  [ Simon McVittie ]
  * data: Install phosh-portals-conf in /usr/share

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Martin ]
  * Update Slovenian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Artur S0 ]
  * Update Russian translation

  [ Asier Sarasua Garmendia ]
  * Update Basque translation

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 16 Sep 2023 00:24:39 +0000

phosh (0.30.0-1+droidian2) trixie; urgency=medium

  [ Bardia Moshiri ]
  * subprojects: use our fork of gmobile

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Fran Dieguez ]
  * Update Galician translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Boyuan Yang ]
  * Add Chinese (China) translation

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 22 Aug 2023 12:43:05 +0000

phosh (0.30.0-1+droidian0) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.30.0' into upstream
  * Merge tag 'upstream/0.30.0' into droidian
  * subprojects: Bump gvc dependency

  [ Marge Bot ]
  * Merge branch 'indent-cleanups' into 'main'
  * Merge branch 'handsfree-icon' into 'main'
  * Merge branch 'call-noti-caller' into 'main'
  * Merge branch 'update-gvc' into 'main'
  * Merge branch 'meson' into 'main'
  * Merge branch 'fix-ci' into 'main'
  * Merge branch 'screenshot-scale' into 'main'
  * Merge branch 'center-clock' into 'main'
  * Merge branch 'drop-xsettings' into 'main'
  * Merge branch 'no-dialpad-timeout' into 'main'
  * Merge branch 'gmobile0.0.2' into 'main'
  * Merge branch 'rel-0.30.0' into 'main'
  * Merge branch 'next' into 'main'

  [ Guido Günther ]
  * toplevel-manager: Drop set_property
  * toplevel-manager: Fix indent
  * toplevel: Fix some indent
  * toplevel: Move _init upwards
  * toplevel: Drop initialization
  * app-tracker: Drop unused variable
  * data: Add icon for audio-handsfree
  * call-notification: Make sure we always show a phone number when available
  * Update gvc submodule
  * README: Mention git submodules
  * README: Use meson instead of ninja
  * ci: Give asan suite some more time
  * ci: Speedup unit tests by skipping screenshots
  * lockscreen: Simplify clock css
  * lockscreen: Move large clock down a bit
  * data: Drop gsd-xsettings from required components
  * lockscreen: Always clear auth
  * lockscreen: Don't scroll back to clock page while auth is running
  * gmobile: Update to 0.0.3
  * ci: Skip coverage report for specific builds
  * ci: Don't require coverage
  * Document changes and release 0.30.0
  * ci: Update variables

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ anteater ]
  * screenshot-manager: Save screenshots at full resolution

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Martin ]
  * Update Slovenian translation

  [ Daniel Rusek ]
  * Update Czech translation
  * Update Czech translation

  [ Piotr Drąg ]
  * Update Polish translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 06 Aug 2023 13:02:02 +0200

phosh (0.29.0-1+droidian0) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling
  * Merge tag 'v0.29.0' into upstream
  * Merge tag 'upstream/0.29.0' into feature/trixie/upgrade-0.29.0
  * audio-settings: reintroduce awareness of phone call streams
  * gvc: use Droidian-flavoured gvc again
  * audio-settings: disable output selection toggle button on phone streams

  [ Daniel Șerbănescu ]
  * Update Romanian translation
  * Update Romanian translation

  [ Marge Bot ]
  * Merge branch 'notification-blank' into 'main'
  * Merge branch 'main' into 'main'
  * Merge branch 'version-bump' into 'main'
  * Merge branch 'theme-switch-fade' into 'main'
  * Merge branch 'update-ci' into 'main'
  * Merge branch 'settings-ui-cleanup' into 'main'
  * Merge branch 'update-clock' into 'main'
  * Merge branch 'fade-out-system-modal' into 'main'
  * Merge branch 'update-ci' into 'main'
  * Merge branch 'sound-select' into 'main'
  * Merge branch 'emergency-info-prefs-save' into 'main'
  * Merge branch 'trixie' into 'main'
  * Merge branch 'top-panel-height' into 'main'
  * Merge branch 'call-states' into 'main'
  * Merge branch 'lockscreen-simplify' into 'main'
  * Merge branch 'media-player-ui-simplify' into 'main'
  * Merge branch 'call-states2' into 'main'
  * Merge branch 'sound-select' into 'main'
  * Merge branch 'rel-0.29.0' into 'main'

  [ Guido Günther ]
  * notifications: Fix typo
  * tests: Create a dummy object for PhoshShell
  * phosh-wayland: Drop feature flags
  * notify-feedback: Exit early when we woke up the screen
  * notify-feedback: Use PhoshNotificationSource
  * notify-feedback: Move event based feedback emission into a separate function
  * notify-feedback: Don't skip feedback if we fail to get the app-id
  * notify-feedback: Blink leds when screen goes blank and there are notifications
  * Post release version bump
  * ambient: Avoid initial theme switch
  * animation: Add enum type for the animation types
  * layer-surface: Move alpha handling here
  * fader: Make fade-out configurable
  * ambient: Use a fader to smooth the theme change
  * timestamp-label: Don't leak datetime
  * phosh-background: Simplify
  * tests: Don't leak monitor
  * tests/stubs: Only create toplevel-manager once
  * leak-suppress: Drop old leak suppression
  * leak-suppress: Add new GTK, GDK and gvfs leaks
  * tests/end-session-dialog: Make both tests more alike
  * tests/notification: Fix leak
  * tests/favourite-model: Fix leak
  * tests/app-grid-button: Fix leaks
  * tests/stubs: Make shell variable static
  * ci: Update image
  * ci: Use specific asan image
  * settings: Simplify brightness slider ui bits
  * settings: Simplify torch slider ui bits
  * settings: Drop packing from settings box
  * lockscreen: Use G_SOURCE_REMOVE
  * lockscreen: Queue redraw for clock when deck moves back to caroussel
  * system-modal-dialog: Allow to fade out
  * system-prompt: Use phosh_system_modal_dialog_close()
  * phosh-end-session-dialog: Use phosh_system_modal_dialog_close()
  * polkit-auth-agent: Use phosh_system_modal_dialog_close()
  * network-auth-manager: Use phosh_system_modal_dialog_close()
  * run-command-manager: Use phosh_system_modal_dialog_close()
  * emergency-calls-manager: Use phosh_system_modal_dialog_close()
  * gtk-mount-manager: Use phosh_system_modal_dialog_close()
  * app-auth-prompt: Use phosh_system_modal_dialog_close()
  * tests: Drop unused variables
  * tests: Fix indent
  * ci: Switch to package test to trixie
  * tests/gtk-mount-manager: Disable animtions
  * rotateinfo: Fix comment
  * Update gvc submodule
  * channel-bar: Use gtk_widget_set_visible
  * channel-bar: Drop frame
  * channel-bar: Use g_object_connect
  * channel-bar: Fix indentation
  * channel-bar: Use g_object_class_install_properties()
  * channel-bar: Use g_object_notify_by_pspec()
  * channel-bar: Use current layout
  * channel-bar: Drop checks in finalize
  * channel-bar: Drop superfluous casts in new()
  * channel-bar: Use symbolic icons via CSS
  * channel-bar: Load icons with default fallbacks
  * channel-bar: Use a ui file
  * channel-bar: Add scale-box via ui file
  * channel-bar: Set image via ui file
  * channel-bar: Set scale via ui file
  * channel-bar: Move adjustment to ui file too
  * channel-bar: Drop _scale_box_now
  * settings: Fix enum type
  * settings: Drop trailing semicolon
  * settings: Separate concerns
  * settings: Get audio output icon from stream
  * emergency-info-prefs: Fix indent
  * emergency-info-prefs: Avoid gint
  * emergency-info-prefs: Use (const char * const *) consistently
  * emergency-info-prefs: Avoid saving empty values for string arrays
  * emergency-info-prefs: Build keyfile path only once
  * emergency-info-prefs: Don't return early if there's no keyfile
  * emergency-info-prefs: Move keyfile saving to a single function
  * emergency-info-prefs: Create directories when missing
  * emergency-info-prefs: Set empty string when value is missing
  * emergency-info-prefs: Only make "Add" sensitive with contact
  * emergency-info-prefs: Allow for contacts without a number
  * emergency-info-prefs: Be more verbose when saving fails
  * ci: Switch packging tests to trixie
  * Update gbmobile submodule
  * shell: Fix overly long line
  * shell: Remember the settings object
  * shell: Move define past includes
  * shell: Don't make debug flags dependent on shell objects
  * monitor: Allow to fake builtin display
  * monitor: Make preferred mode check simple
  * tests/data: Add an overlay matching the nested wayland mode
  * top-panel: Use height internally
  * Add layout manager
  * top-panel: Use layout manager to place clocks
  * tests: Screenshot with notch
  * lockscreen: Fix indent
  * calls-manager: Avoid deprecated calls state
  * calls-manager: Make sure we don't use deprecated calls states
  * packaging: Bump calls dependency
  * media-player: Connect player right away
  * media-player: Modernize propery definitions
  * lockscreen: Drop gtk_widget_realize() in constructed
  * lockscreen: Drop unneeded packaging in the arrow box
  * lockscreen: Drop position from info_box
  * lockscreen: Drop packing from media player
  * lockscreen: Split call settings and page changes
  * lockscreen: Remove superfluous titlebar element
  * lockscreen: Move style class toggling to separate function
  * lockscreen: Always toggle notification revealer
  * lockscreen: Use a revealer for the media-player
  * lockscreen: Use small clock when media-player widget is visible too
  * lockscreen: Move media player and notifications into one scrolled window
  * lockscreen: Drop max content height
  * lockscreen: Reindent
  * media-player: Drop can-focus properites at their default values
  * media-player: Drop superfluous packaging
  * media-player: Use icon-name consistently
  * media-player: Use `-` in property names consistently
  * tests: Bump timeout for notch test
  * call: Don't lookup icon for empty string
  * notifications: Reduce bottom padding of notification tray
  * lockscreen: Move deck variable
  * lockscreen: Use set_visible_child
  * lockscreen: Drop p-large style class for clock
  * calls-manager: Expose calls as list model
  * lockscreen: Add call notifications
  * gvc-channel-bar: Guard against NULL icon
  * settings: Don't crash on NULL port
  * settings: Don't forget to mute stream
  * settings: Set channel-bar via UI file
  * revealer: Improve description
  * settings: Init parent class early in constructed
  * settings: Use '-' for property names
  * settings: Bind settings-done via ui file
  * channel-bar: Use G_PARAM_STATIC_STRINGS
  * channel-bar: Switch all props to G_PARAM_EXPLICIT_NOTIFY
  * top-panel: Move click gesture to target phase
  * settings: Allow to select audio devices
  * audio-settings: Close details when we launch the g-c-c panel
  * Document changes and release 0.29.0

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Jiri Grönroos ]
  * Update Finnish translation
  * Update Finnish translation

  [ Ekaterine Papava ]
  * Update Georgian translation
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Sam Hewitt ]
  * data: Add icon for suspend
  * settings: Style audio device selection

  [ Martin ]
  * Update Slovenian translation
  * Update Slovenian translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Prasanta Hembram ]
  * Update Santali translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ undef ]
  * top-panel: Allow device suspend from power menu

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 10 Jul 2023 17:10:19 +0200

phosh (0.28.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * packaging: Remove hardcoded build directory when running tests
  * Merge tag 'v0.28.0' into upstream
  * Revert "splash-manager: allow detecting dark theme on older GNOME releases"
  * Merge tag 'upstream/0.28.0' into bookworm

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Marge Bot ]
  * Merge branch 'for-upstream/phosh/packaging-tests' into 'main'
  * Merge branch 'libcall-ui-0.1.0' into 'main'
  * Merge branch 'fixes' into 'main'
  * Merge branch 'alistair/super-key' into 'main'
  * Merge branch 'system-modal-fixes' into 'main'
  * Merge branch 'clarify-early-exit' into 'main'
  * Merge branch 'unbreak-alpine' into 'main'
  * Merge branch 'state-stub-enum' into 'main'
  * Merge branch 'small-screens' into 'main'
  * Merge branch 'notify-wakeup-screen' into 'main'
  * Merge branch 'main' into 'main'
  * Merge branch 'system-menu' into 'main'
  * Merge branch 'fade-out-splash' into 'main'
  * Merge branch 'autorepeat_keys' into 'main'
  * Merge branch 'quick-settings-padding' into 'main'
  * Merge branch 'overview' into 'main'
  * Merge branch 'glib-2.72' into 'main'
  * Merge branch 'rel-0.28.0' into 'main'

  [ Guido Günther ]
  * libcall-ui: Switch to 0.1.0
  * app-tracker: Update flag descriptions
  * lockscreen: Fix typo
  * emergency-calls-manager: Name functions consistently
  * screen-saver-manager: Use G_SOURCE_REMOVE
  * end-session-dialog: Hide warning label when there are no inhibitors
  * notify-feedback: Look at correct notification
  * notify-feedback: Avoid critical when app-info lookup fails
  * ci: Montage screenshots via script
  * system-modal-dialog: Improve title padding
  * system-modal-dialog: Add top and bottom margins
  * system-modal-dialogs: Reorder the right box
  * tools/check-access-portal: Simplify
  * portal-access-manager: Don't leak grant and deny label
  * system-modal-dialog: Add property docstring
  * app-auth-prompt: Add bindings for construct-only properties earlier
  * system-modal-dialog: Simplify
  * system-modal-dialog: Drop constructed
  * ambient: Don't ignore unknown units silently
  * ci: Use upercase variable name for alpine deps
  * stubs: Use correct enum type for state flags
  * lockscreen: Remove superfluous can-focus properties
  * lockscreen: Remove superfluous packaging
  * layersurface: Add noop implementation for configure
  * lockscreen: Drop the top margin on smaller displays
  * test-notification: Use g_strv_equal
  * notify-feedback: Fix typo
  * data: Sort by schema path
  * screen-saver-manager: Add action to wakeup the screen
  * shell: Make activating actions a bit more failsafe
  * notify-feedback: Unblank screen on new notifications
  * Revert "top-panel: Close settings before taking screenshot"
  * Revert "top-panel: Remove currently unused actions"
  * Revert "top-panel: Trigger power-menu"
  * top-panel: Rename to menu to system-menu
  * system-menu: Drop lock screen
  * top-panel: Drop unused power-menu action
  * system-menu: Use icons in the menu
  * layersurface: Allow to set alpha
  * splash-manager: Assume color-scheme is a known key
  * build: Require settings-schema 42
  * splash: Remove excessive white space
  * splash-manager: Hide splash
  * animation: Add quintic ease in and out
  * splash: Add phosh_splash_hide
  * splash: Use a fade out animation to hide the splash
  * splash: Allow to run against old phoc
  * build: Add animation slowdown option
  * quicksettings: Add a bit more top and bottom padding
  * home: Ease application switching with super key
  * build: Bump supported glib version to 2.72
  * packaging: Bump phoc dependency
  * Document changes and release 0.28.0

  [ Pablo Correa Gómez ]
  * Update Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Update Spanish translation

  [ Michael Oppliger ]
  * Update German translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Evangelos Ribeiro Tzaras ]
  * gnome-shell-manager: Codestyle
  * gnome-shell-manager: Handle repeat for accelerators

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Sam Hewitt ]
  * New close button for power menu
  * top-panel: System menu styling

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Suraj Kumar Mahto ]
  * lockscreen: Remove currently unused emergency call button

  [ Alistair Francis ]
  * home: Handle the super key

  [ Thomas Booker ]
  * emergency-calls-manager: Fix spelling

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 03 Jun 2023 18:22:27 +0200

phosh (0.27.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.27.0' into upstream
  * Merge tag 'upstream/0.27.0' into bookworm
  * packaging: Remove hardcoded build directory when running tests

  [ Emin Tufan Çetin ]
  * Update Turkish translation
  * Update Turkish translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Marge Bot ]
  * Merge branch 'testsuite-improvements' into 'main'
  * Merge branch 'main' into 'main'
  * Merge branch 'fixes' into 'main'
  * Merge branch 'pb-long-press' into 'main'
  * Merge branch 'fade-empty-state' into 'main'
  * Merge branch 'in-shell-notifications' into 'main'
  * Merge branch 'Emergency-menu-in-lockscreen' into 'main'
  * Merge branch 'end-session-dialog' into 'main'
  * Merge branch 'unclaim-accel' into 'main'
  * Merge branch 'emergency-contact-list-styling' into 'main'
  * Merge branch 'gtk4-file-native' into 'main'
  * Merge branch 'application-feedback' into 'main'
  * Merge branch 'fixes' into 'main'
  * Merge branch 'rel-0.27.0' into 'main'

  [ Guido Günther ]
  * tests: Make phosh_test_remove_tree() public
  * tests: Run timestamp label test without compositor
  * tests: Add helpers to run tests against a compositor
  * testlib/compositor: Shut down compositor before DBus
  * testlib: Drop double assignment
  * testlib: Log when we connected to the running compositor
  * tests: Use compositor helper for phoc based tests
  * tests: Use compositor helper for integration tests
  * tests: Add and use PHOSH_FULL_SHELL_TEST_ADD
  * tests: Use full-shell fixture for idle-manager
  * tests: Use full-shell fixture for gtk-mount-manager
  * ci: Slightly bump test timeout
  * ci: Drop the i386 crossbuild
  * treewide: Fix typos
  * ci: Update image before installing dependencies
  * ci: Install phoc from Debian experimental
  * ci: Use updated images
  * tests: Run all tests in parallel
  * suspend-manager: Actually cancel the async call on shutdown
  * screen-saver-manager: Check async result first
  * screen-saver-manager: Init power button fd
  * proximity: Don't access proximity before checking async call result
  * screen-saver-manager: Emit signal on power button long press
  * shell: Allow to fetch screenshot-manager
  * screenshot-manager: Don't notify completion on DBus for internal calls
  * screenshot-manager: Make do_screenshot() public
  * screenshot-manager: Fix typo
  * shell: Implement ActionGroup and ActionMap interfaces
  * system-modal-dialog: Move the padding from title to the dialog
  * system-modal-dialog: Hide title if empty
  * resources: Sort icons alphabetically
  * Add power-dialog and manager
  * top-panel: Trigger power-menu
  * shell: Toggle power-menu on power button long press
  * settings: Remove unused template binding
  * settings: Crossfade empty notification state
  * mount-notification: Drop unused variable
  * notify-manager: Make it simpler to add shell notifications
  * screenshot-manager: Add notification when taking a screenshot
  * testlib: Allow to press key with timeout
  * revealer: Fix gtk doc string
  * system-modal-dialog: Fix signal name
  * power-menu: Wire up emergency calls
  * emergency-calls: Disable by default
  * tests: Add more items to end-session dialog
  * end-session-dialog: Wrap listbox in scrolled window
  * rotation-manager: Use consistent naming
  * rotation-manager: Look at blanked state for claim/unclaim
  * rotation-manager: Don't match orientation when screen is locked
  * rotation-manager: Fix orientation on unblank when locked
  * rotation-manager: Restore transformation on unlock
  * emergency-menu: Improve placeholder page
  * emergncy-menu: Set placeholder page to not visible
  * testlib: Print full socket path
  * ticket-box: Switch preferences to native dialog
  * gitignore: Add missing packaging dir
  * build: Use 'meson' instead of 'ninja' where suitable
  * build: Warn on outdated version
  * build: Add libfeedback version check
  * notifications: Respect per app feedback setting for notifications
  * ci: Use image with feedbackd 0.2.0 and gtk 4.10
  * ci: Use feedbackd 0.2.0 for packaging build
  * notifications: Drop fallback for older feedbackd
  * ci: Reduce package build time
  * packaging: Fix package name we look for
  * packaging: Don't set build-directory
  * tests: Enhance landscape config
  * notify-manager: Allow to set a timeout on shell notifications
  * top-panel: Remove currently unused actions
  * top-panel: Close settings before taking screenshot
  * rotation-manager: Simplify debug print
  * rotation-manager: Match up orientation after unlock
  * tests: Bump timeout for screenshot tests
  * tests: No need to preserve $DISPLAY
  * Document changes and release 0.27.0

  [ Fran Dieguez ]
  * Update Galician translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation
  * Update Hebrew translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation

  [ Piotr Drąg ]
  * Update Polish translation
  * Update Polish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Aleksandr Melman ]
  * Update Russian translation
  * Update Russian translation

  [ Ekaterine Papava ]
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation

  [ CoderThomasB ]
  * Add emergency calls manager
  * Add emergency menu system modal dialog
  * tests/screenshot: Test emergency menu

  [ Martin ]
  * Update Slovenian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Sam Hewitt ]
  * system-modal-dialog: Add missing style for only-child dialog button
  * data: Add icons for emergency call and screenshot
  * styles: Add style for emergency call related buttons
  * power-menu: Improve styling

  [ Мирослав Николић ]
  * Update Serbian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 07 May 2023 16:50:00 +0200

phosh (0.26.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.26.0' into upstream
  * Merge tag 'upstream/0.26.0' into bookworm

  [ Marge Bot ]
  * Merge branch 'gtk-option-no-display' into 'main'
  * Merge branch 'landscape-lock' into 'main'
  * Merge branch 'qs-hc-fix' into 'main'
  * Merge branch 'hotspot-inhibit' into 'main'
  * Merge branch 'key-release' into 'main'
  * Merge branch 'spdx-licence-id' into 'main'
  * Merge branch 'rel-0.26.0' into 'main'

  [ Guido Günther ]
  * main: Don't try to open default display when parsing gtk options
  * rotation-manager: Don't react on power-mode changes
  * wifimanager: Shorten property names
  * wifimanager: Add property docs
  * wifimanager: Track whether we're an active wifi hotspot
  * Add suspend manager
  * protocol: Update phosh-private to latest version
  * keyboard-events: Notify key release when using newer protocol version
  * screen-saver-manager: Only blank on key release
  * d/control: Bump phoc dependency
  * Document changes and release 0.26.0

  [ Nathan Follens ]
  * Update Dutch translation

  [ Newbyte ]
  * meson: Use proper SPDX licence identifier
  * README: Use proper SPDX licence identifier

  [ Sam Hewitt ]
  * css: Fix quick-setting label in high contrast

  [ Martin ]
  * Update Slovenian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Aleksandr Melman ]
  * Update Russian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 03 Apr 2023 20:59:44 +0200

phosh (0.25.2-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'v0.25.2' into upstream
  * Merge tag 'upstream/0.25.2' into bookworm

  [ Guido Günther ]
  * ci: Montage all screenshot dirs
  * testlib: Prefix test env var with PHOSH_TEST_
  * testlib: Allow to override phoc.ini
  * tests: Set test type rather than locale
  * tests: Screenshot high contrast shell too
  * tests: Copy keyfile to builddir
  * tests: Run tests in landscape
  * tests/screenshots: Check return value too
  * tests: Make sure the keyfile is in place when the tests are run
  * Merge branch 'hc' into 'main'
  * plugins/emergency-plugins-prefs: Fix deprecation
  * plugins/ticket-box-prefs: Ignore file chooser deprecation
  * ci: Use "meson setup"
  * screen-saver-manager: Fix typo
  * phosh-enums: Sort alphabetically
  * settings: Drop child properies that don't apply to HdyClamp
  * settings: Make quick settings take enough vertical space
  * plugins/emergency-info-prefs: Mark labels as translatable
  * plugins/emergency-plugins-prefs: Fix deprecation
  * plugins/ticket-box-prefs: Ignore file chooser deprecation
  * settings: Drop child properies that don't apply to HdyClamp
  * settings: Make quick settings take enough vertical space
  * plugins/emergency-info-prefs: Mark labels as translatable
  * Document changes and release 0.25.2
  * Merge branch 'phosh-0.25.x' into 'phosh-0.25.x'

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Piotr Drąg ]
  * Update Polish translation
  * Update Polish translation

  [ Balázs Úr ]
  * Update Hungarian translation
  * Update Hungarian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Marge Bot ]
  * Merge branch 'hc-test' into 'main'
  * Merge branch 'gtk4-deprecations' into 'main'
  * Merge branch 'fixes' into 'main'

  [ Asier Sarasua Garmendia ]
  * Update Basque translation

  [ Aleksandr Melman ]
  * Update Russian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 12 Mar 2023 14:49:54 +0100

phosh (0.25.1-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge remote-tracking branch 'upstream/main' into feature/bookworm/upgrade-0.25.0
  * Merge tag 'v0.25.0' of https://gitlab.gnome.org/World/Phosh/phosh into upstream
  * Merge tag 'upstream/0.25.0' into feature/bookworm/upgrade-0.25.0
  * Merge tag 'v0.25.1' into upstream
  * Merge tag 'upstream/0.25.1' into feature/bookworm/upgrade-0.25.0

  [ Marge Bot ]
  * Merge branch 'use-memfd' into 'main'
  * Merge branch 'plugin-prefs-i18n' into 'main'
  * Merge branch 'wip/plugin_pref' into 'main'
  * Merge branch 'lock-enabled' into 'main'
  * Merge branch 'top-bar-revealers' into 'main'
  * Merge branch 'screenshot-em-prefs' into 'main'
  * Merge branch 'fixes' into 'main'
  * Merge branch 'issues/865' into 'main'
  * Merge branch 'quicksettings-rework' into 'main'
  * Merge branch 'touch-vs-click' into 'main'
  * Merge branch 'rel-0.25.0' into 'main'
  * Merge branch 'less-debug' into 'main'
  * Merge branch 'main' into 'main'
  * Merge branch 'rel-0.25.1' into 'main'

  [ Newbyte ]
  * changelog: Tweak wording

  [ Guido Günther ]
  * build: Use gnome post-install when available
  * meson: Use version_compare
  * build: Drop phosh-config.h.in
  * util: Use memfd for shared memory on Linux
  * ticket-box: Drop superfluous '-prefs' in log domain
  * build: Add a shared header for prefs plugins
  * ticket-box: Setup text domain
  * tools/plugin-prefs-standalone: Fix locale dir in test mode
  * postinst: Trigger update notification
  * util: Wrap g_clear_fd
  * screen-saver-manager: Separate locking from blanking
  * screen-saver-manager: Document what affects blanking and locking
  * screen-saver-manager: Handle power button
  * gnome-shell-manager: Don't allow to bind power key
  * shell: Track blanked state via primary monitor
  * screen-saver-manager: Unset idle source close to return
  * screen-saver-manager: Inhibit logind actions on power button press
  * screen-saver-manager: Disable lock delay timer on unlock
  * screen-saver-manager: Disable lock delay timer when screen becomes active again
  * Add a revealer
  * top-panel: Use PhoshRevealer for the top bar status icons
  * plugins/ticket-box: Exit early if we fail to list the tickets
  * plugins/emergency-info-prefs: Setup text domain
  * plugins/emergency-info-prefs: Use AdwWindowTitle
  * plugins/emergency-info-prefs: Use a larger default size
  * tests: Screenshot emergency plugin prefs too
  * keypad: Drop overly eager debug message
  * thumbnail: Shorten property enum names
  * thumbnail: Move property doc to doc string
  * notify-feedback: Handle locked as blanked
  * screen-saver-manager: Split out unarming the lock delay timer
  * screen-saver-manager: Split arming the lock delay timer into separate function
  * screen-saver-manager: Make sure lock timer is enabled on power mode changes
  * util: Indicate that get_desktop_app_info_for_app_id can return NULL
  * app-tracker: Check for NULL app info
  * overview: Handle empty carousel
  * rotate-info: Adjust to current coding style
  * rotate-info: Add enabled property
  * feedback-info: Add enabled property
  * wwan-info: Add enabled property
  * quick-setting: Fix indentation
  * quick-setting: Shorten enum names
  * quick-setting: Use current coding style for property
  * quick-setting: Don't use underscore in property name
  * quick-setting: Add active property
  * quick-setting: Toggle style class based on status icons enabled state
  * top-panel: Simplify drag handle calculation
  * settings: Update drag-handle on size allocation changes
  * settings: Reindent ui file
  * settings: Swap clamp and scrolled window
  * util: Detect multi finger touches too
  * d/control: Bump phoc dependeny to 0.25.0
  * Document changes and release 0.25.0
  * lockscreen: Ref lockscreen during auth
  * layer-shell: Use cast
  * lockscreen-manager: Improve check
  * layersurface: Use consistent logging
  * lockscreen-manager: Avoid multiple lockscreens
  * Document changes and release 0.25.1

  [ Sam Hewitt ]
  * quick settings: Rework layout and stylesheets for new design
  * settings: Clamp sliders in quick settings

  [ Hemish ]
  * Update Hindi translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Cédric Bellegarde ]
  * screen-saver-manager: Add a suspend delay inhibitor

  [ Danial Behzadi ]
  * Update Persian translation

  [ Martin ]
  * Update Slovenian translation
  * Update Slovenian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Chris Talbot ]
  * emerg-info: Factor out common enumerations
  * lockscreen-plugins: Add emergency info Preferences

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 02 Mar 2023 20:28:38 +0100

phosh (0.24.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * Merge tag 'upstream/0.24.0' into bookworm

  [ Guido Günther ]
  * docs: Shorten website URL
  * Drop pandoc
  * Drop deps on doc packages
  * docs: Add GTK and Libhandy deps
  * notifcation-content: Check for `NULL`
  * notification-content: Check for NULL lookup
  * bt-info: Add translation context for "On"
  * rotateinfo: Add translation context for "On" and "Off"
  * feedbackinfo: Add translation context for "On"
  * ci: Avoid artifact download for ASAN job
  * ci: Update images to 2023-01-05
  * feedback-manager: Don't try to register signal if we can't get a DBus proxy
  * feedback-manager: Shorten property enums
  * feedback-manager: Update prop descriptions
  * feedback-manager: Init icon_name
  * feedback-manager: Allow to track inited state via present property
  * feedback-info: Init parent class first
  * feedback-info: Update indentation
  * feedback-info: Track feedback-manager's parent property
  * settings: Set feedback quick setting sensitive conditionally
  * dbus/login1: Improve argument name
  * util: Add a log domain
  * util: Make phosh_find_systemd_session more robust
  * screen-saver-manager: Log if we can't get a session from logind
  * screen-saver-manager: Improve debug message
  * ci: Make it simple to just run visual tests
  * shell: Fix typo in comment
  * thumbnail: Improve class doc
  * system-modal-dialog: Bind title property in init
  * testlib: Add ALT keys to modifiers
  * gnome-shell-manager: Use default dbus prefix
  * dbus: Drop docbook generation
  * tests: Screenshot run-command dialog too
  * tests: Screenshot the OSD too
  * ci: Fetch phoc with working pixman renderer from CI
  * tests: Reenable overview screenshots
  * po: Mark wayland session file as translatable
  * wayland-session: Improve comment
  * wayland-session: Split list by semicolon
  * packaging: Drop superfluous override
  * data: Rename phosh startup script to phosh-session
  * docs: Add a manpage
  * docs: Add a manpage for phosh-session
  * Build and install manpages
  * tools: Enable flash in screenshot check
  * screenshot-manager: Invoke complete area functions
  * screenshot-manager: Move code to capture all outputs into a separate function
  * screenshot-manager: Use do_screenshot for area capture too
  * screenshot-manager: Use automatic cleanup for frames
  * screenshot-manager: Emit screen-capture event
  * lockscreen: Strip "figure-space" from am/pm time
  * tests/take-screenshots: Remove unused variable
  * tools/plugin-prefs: Don't take all available space
  * tools/plugin-prefs: Init gettext
  * tools/plugin-prefs: Use actions to activate plugins
  * tools: Build plugin-prefs too when building tests
  * plugins: Keep plugins in a list
  * tools: Don't hardcode plugin list
  * tests: Add prefs plugins schema paths
  * tests/take-screenshots: Run ticket box prefs
  * tests/take-screenshots: Take screenshot of ticket box plugin prefs
  * ci: Drop needless fixup
  * lockscreen-manager: Remove unused variable
  * polkit: Detect cleanup functions
  * rotateinfo: Fix typo in debug message
  * head: Fix typo
  * build: Avoid relative paths for enums
  * Update to gmobile 0.0.1
  * layersurface: Update copyright years
  * layersurface: Make sure we destroy the layer surface before the wl_surface
  * layersurface: Use class methods instead of signals for map and realize
  * util: Fix typo
  * wl-buffer: Document functions
  * wl-buffer: Move crucial check out of g_return_val_if_fail()
  * toplevel-thumbnail: Switch to PhoshWlBuffer
  * overview: Don't leak list
  * widget-box: Don't leak list
  * overview: Simplify list handling
  * network-auth-agent: Be move careful on cancel
  * d/control: Bump dependency on phoc
  * Revert "ci: Fetch phoc with working pixman renderer from CI"
  * ci: Switch package build to Debian bookworm
  * session-manager: Use default DBus prefix
  * tests/screenshot: Wait a bit longer for prefs app
  * tests/screenshots: Drop pointless g_clear_error
  * tests/screenshots: Screenshot end-session dialog
  * tests/screenshots: Move OSD screenshot to separate function
  * tests/screenshots: Move portal-access screenshot to separate function
  * tests/screenshots: Screenshot mount dialog
  * build: Use summary()
  * tests/screenshots: Clarify comment
  * tools/plugin-prefs: Adjust setup when run in the test-suite
  * tools/app-buttons: Hide close button
  * tests: Don't emit warning when org.a11y.Bus can't be bound
  * app-buttons: Use desktop files with fewer dependencies
  * build: Avoid wayland protocols and gtk listmodels in docs
  * notification: Add some missing transfer annotations
  * docs: Fix environment vars in manpage
  * Document changes and release 0.24.0
  * Merge branch 'rel-0.24.0' into 'main'

  [ Hemish ]
  * Add Hindi translation

  [ Marge Bot ]
  * Merge branch 'fixes' into 'main'
  * Merge branch 'action-filter-NULL' into 'main'
  * Merge branch 'msg-context' into 'main'
  * Merge branch 'ci-images' into 'main'
  * Merge branch 'fbd-init-fail' into 'main'
  * Merge branch 'lock-vs-blank-preps-3' into 'main'
  * Merge branch 'test-screenshots' into 'main'
  * Merge branch 'manpage' into 'main'
  * Merge branch 'screenshot-sound' into 'main'
  * Merge branch 'am-pm-glib' into 'main'
  * Merge branch 'screenshot-prefs' into 'main'
  * Merge branch 'update-gmobile' into 'main'
  * Merge branch 'simplify' into 'main'
  * Merge branch 'wl-buffer' into 'main'
  * Merge branch 'gtk-conatainer-get-children-leaks' into 'main'
  * Merge branch 'phoc-0.23.0' into 'main'
  * Merge branch 'i18n' into 'main'
  * Merge branch 'doc-noise' into 'main'
  * Merge branch 'fix/lockscreen-plugin-width' into 'main'

  [ Andrey Skvortsov ]
  * lockscreen: Make plugins to use more screen width if available

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation
  * Update Georgian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Goran Vidović ]
  * Update Croatian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 02 Feb 2023 02:58:57 +0100

phosh (0.23.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.23.0' into bookworm

  [ Marge Bot ]
  * Merge branch 'fix_timer' into 'main'
  * Merge branch 'osk0' into 'main'
  * Merge branch 'ticket-box/desc' into 'main'
  * Merge branch 'tools-libhandy' into 'main'
  * Merge branch 'wip/cal' into 'main'
  * Merge branch 'plugin-dev' into 'main'
  * Merge branch 'wip/contact' into 'main'
  * Merge branch 'sep-preps' into 'main'
  * Merge branch 'gi-docgen' into 'main'
  * Merge branch 'typo' into 'main'
  * Merge branch 'rel-0.23.0' into 'main'

  [ Guido Günther ]
  * call: Document class
  * sm.puri.OSK0: Document DBus interface
  * docs: Include the sm.puri.OSK0 DBus interface in the documentation
  * widget-box-standalone: Initialize libhandy
  * dir-locals: Prevent tabs in meson mode
  * Drop remaining users of config.h
  * widget-box-standalone: Improve comment
  * widget-box: Add missing quote
  * build: Add a pkgconfig file with plugin information
  * build: Allow to disable the plugin build
  * build: Add and install plugin header file
  * plugins/calendar: Use plugin header
  * plugins/calendar: Pass plugin name to compilation units
  * plugins/ticket-box: Use plugin header
  * plugins/ticket-box: Pass plugin name to compilation units
  * plugins/upcoming-events: Use plugin header
  * plugins/upcoming-events: Pass plugin name to compilation units
  * Add a phosh-dev package
  * build: Untabify
  * plugin-loader: Simplify load_plugin
  * plugins: Reorder
  * plugins: Introduce common dependencies
  * plugins: Add prefs extension point to plugin header
  * plugins: Add path to preferences plugins to pkgconfig data
  * tools: Only build plugin related tools when plugins are enabled
  * d/control: Add libadwaita and gtk4 for plugin prefs
  * ci: Fetch libadwaita-dev on alpine
  * plugins: Introduce common prefs dependencies
  * debian: Update module cache and install prefs plugins
  * plugins/ticket-box: Add prefs plugin
  * tools: Add helper to test prefs
  * Merge branch 'plugin-prefs' into 'main'
  * shell: Allow to query blanked state easily
  * notifications: Use silent feedback when blanked, not locked
  * shell: Disconnect the right monitor in phosh_shell_set_primary_monitor
  * shell: Simpliy on_monitor_removed logic
  * build: Add include directory for dbus sources too
  * Switch to gi-docgen
  * src: Fix doc headers
  * debian: Adjust packaging for gi-docgen switch
  * ci: Adjust to new doc location
  * tools: Update doc check
  * wwan/ofono: Fix comment
  * wwan/mm: Fix comment
  * vpn-info: Fix property name
  * docs: Mention sm.puri.OSK0
  * docs: Remove now unused files
  * network-auth-prompt: Document signal arguments
  * polkit-auth-promopt: Document signal arguments
  * docs: Fix https links
  * ci: Skip pages job with PKG_ONLY
  * Document changes and release 0.23.0

  [ Chris Talbot ]
  * lockscreen-plugins-calendar: Encapsulate calendar to include ui file
  * lockscreen-plugins-calendar: Encapsulate in GtkBox
  * lockscreen-plugins-calendar: Add CSS
  * lockscreen-plugins: Create Emergency Info and Contact Plugin

  [ Evangelos Ribeiro Tzaras ]
  * call: Only stop time when call is ended
  * plugins/ticket-box: Remove duplicated text

  [ Martin ]
  * Update Slovenian translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Zurab Kargareteli ]
  * Update Georgian translation

  [ Aleksandr Melman ]
  * Update Russian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 29 Dec 2022 01:29:09 +0100

phosh (0.22.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.22.0' into bookworm

  [ Marge Bot ]
  * Merge branch 'lockscreen-actions' into 'main'
  * Merge branch 'honor-suspend' into 'main'
  * Merge branch 'ticket-box-plugin' into 'main'
  * Merge branch 'keypad-glitch' into 'main'
  * Merge branch 'button-rework' into 'main'
  * Merge branch 'rel-0.22.0' into 'main'

  [ Guido Günther ]
  * Allow for notifications to have actions on the lockscreen
  * Add libgmobile subproject
  * upcoming-events: Use a suspend robust timer
  * debian/install: Drop leading '/'
  * debian: Don't use wild card for schemas
  * build: Move schemasdir to toplevel build file
  * ci: Add evince-dev to alpine deps
  * plugins: Add ticket box
  * plugins/ticket-box: Make folder configurable
  * lockscreen: Use G_SOURCE_{REMOVE,CONTINUE}
  * lockscreen: Use g_clear_handle_id()
  * lockscreen: Don't use two independent if clauses
  * lockscreen: Set entry sensitive when focused
  * lockscreen: Mark entry as initially sensitive
  * Document changes and release 0.22.0

  [ Danial Behzadi ]
  * Update Persian translation

  [ Balázs Úr ]
  * Update Hungarian translation
  * Update Hungarian translation

  [ Sam Hewitt ]
  * style: Unified the button styles

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Vojtěch Vengrin ]
  * Update Czech translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 07 Nov 2022 19:00:48 +0100

phosh (0.21.1-1+droidian0+z1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Replace Drone with CircleCI
  * [phosh] Rebuild

  [ Marge Bot ]
  * Merge branch 'bump-glib' into 'main'
  * Merge branch 'battery-dbus' into 'main'
  * Merge branch 'phosh-activity-improvements' into 'main'

  [ Sam Hewitt ]
  * overview: Close button improvements

  [ Nathan Follens ]
  * Update Dutch translation

  [ codewood ]
  * batteryinfo: Use percentage instead of icon-name to determine icon

  [ Guido Günther ]
  * build: Use glib_ver consistently
  * build: Bump required glib version to 2.66

  [ Zurab Kargareteli ]
  * Update Georgian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 09 Oct 2022 16:15:18 +0200

phosh (0.21.1-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.21.1' into bookworm

  [ Marge Bot ]
  * Merge branch 'update-cross' into 'main'
  * Merge branch 'screen-saver-cleanups' into 'main'
  * Merge branch 'rel-0.21.1' into 'main'

  [ Guido Günther ]
  * ci: Update cross image
  * screen-saver-manager: Shorten DBus names
  * shell: Avoid screen-saver singleton
  * monitor-manager: Add method to set power-save mode of all monitors
  * Move blank on presence status change to screen-saver
  * Document changes and release 0.21.1

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 28 Sep 2022 21:12:56 +0200

phosh (0.21.0-1+droidian1) bookworm; urgency=medium

  [ Fiona Klute ]
  * util: Don't use G_REGEX_JAVASCRIPT_COMPAT
  * util: Don't use G_REGEX_JAVASCRIPT_COMPAT

  [ Evangelos Ribeiro Tzaras ]
  * log: Guard against setting g_log_set_writer_func() multiple times
  * shell: Tweak phosh_shell_set_state() debug message
  * log: Guard against setting g_log_set_writer_func() multiple times

  [ Guido Günther ]
  * event-list: Use plain week day
  * upcoming-events: Use ngettext for different plural forms
  * Update libcall-ui to 0.0.5
  * log: Track log domains instead of passing it to the handler as user data
  * log: Track log domains instead of passing it to the handler as user data

  [ Marge Bot ]
  * Merge branch 'upcoming-events-i18n' into 'main'
  * Merge branch 'libcall-ui-0.0.5' into 'main'
  * Merge branch 'set-log' into 'main'
  * Merge branch 'appgrid-hc-fixes' into 'main'
  * Merge branch 'shell_state_debug_reword' into 'main'

  [ Sam Hewitt ]
  * style: Overview & appgrid fixes for high contrast

  [ Martin ]
  * Update Slovenian translation

  [ Rūdolfs Mazurs ]
  * Add Latvian translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Марко Костић ]
  * Update Serbian translation

  [ Anders Jonsson ]
  * Update Swedish translation
  * Update Swedish translation

  [ Vittorio Monti ]
  * Update Italian translation

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Goran Vidović ]
  * Update Croatian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation
  * Update Turkish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation

  [ Piotr Drąg ]
  * Update Polish translation

  [ Zurab Kargareteli ]
  * Update Georgian translation

 -- Fiona Klute <fiona.klute@gmx.de>  Fri, 23 Sep 2022 13:58:21 +0200

phosh (0.21.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.20.0' into feature/bookworm/upgrade-0.20.0
  * Merge tag 'upstream/0.21.0' into feature/bookworm/upgrade-0.20.0

  [ Marge Bot ]
  * Merge branch 'drag-surface-test' into 'main'
  * Merge branch 'wip/exalm/docked-gtk4' into 'main'
  * Merge branch 'sensitive' into 'main'
  * Merge branch 'focus-pin' into 'main'
  * Merge branch 'home-fold' into 'main'
  * Merge branch 'activity-focus' into 'main'
  * Merge branch 'lockscreen-plugins' into 'main'
  * Merge branch 'rotate-layout' into 'main'
  * Merge branch 'rel-0.20.0.beta3' into 'main'
  * Merge branch 'lockscreen' into 'main'
  * Merge branch 'osd-color-fix' into 'main'
  * Merge branch 'mp-cancel' into 'main'
  * Merge branch 'automatic-high-contrast' into 'main'
  * Merge branch 'quicksettings-focus' into 'main'
  * Merge branch 'load-css' into 'main'
  * Merge branch 'sizing' into 'main'
  * Merge branch 'media-player-async' into 'main'
  * Merge branch 'focus-app-search' into 'main'
  * Merge branch 'notifications-hc-fixes' into 'main'
  * Merge branch 'rel-0.20.0' into 'main'
  * Merge branch 'update-libcall-ui' into 'main'
  * Merge branch 'version' into 'main'
  * Merge branch 'update-container' into 'main'
  * Merge branch 'ambient-fixes' into 'main'
  * Merge branch 'screenshots2' into 'main'
  * Merge branch 'libcall-ui-ellipsize' into 'main'
  * Merge branch 'noanim' into 'main'
  * Merge branch 'plugin-details' into 'main'
  * Merge branch 'missing-plugin' into 'main'
  * Merge branch 'rel-0.21.0' into 'main'
  * Merge branch 'screensaver-cleanup' into 'main'
  * Merge branch 'packaging' into 'main'

  [ Evangelos Ribeiro Tzaras ]
  * Update libcall-ui
  * packaging: Mark phosh-doc as Multi-Arch0foreign (was all)

  [ Guido Günther ]
  * build: Rename config.h to phosh-config.h
  * testlib: Kill compositor on SIG{ABRT,SEGV,TRAP}
  * drag-surface: Add threshold getter
  * drag-surface: Remove drag_surface_new ()
  * drag-surface: Fix argument type
  * tests: Add drag surface test
  * tests: Don't change signal handlers when ASAN is in use
  * build: Abort post-install on missing arguments
  * gitignore: Ignore i18n related generated files
  * lockscreen: Avoid some keyboard filtering when not on unlock page
  * Add widget box to lock screen
  * build: Generate module cache on install
  * tools: Add standalone widget-box
  * plugins: Add minimalistic calendar plugin
  * debian: Install plugins
  * debian: Add trigger for plugin directory
  * monitor-manager: Drop useless ref
  * monitor-manager: Make different enum types explicit
  * monitor: Add helper to detect "tilted" transforms
  * head: Make header private
  * monitor-manager: Move transform setting to PhoshHead
  * monitor-manager: Adjust layout when rotating an output
  * Document changes and release 0.20.0~beta3
  * media-player: Don't forget to clear cancellable
  * Switch to HighContrast based on ambient sensor readings
  * settings: Drop superfluous can-focus properties
  * shell: Move style sheet getter to seprate function
  * tests: Add simple test to load stylesheet
  * media-player: Drop unused variable
  * media-player: Check type past validating the async call result
  * home: Focus app search on application-view action
  * d/control: Bump phoc dependency
  * Document changes and release 0.20.0
  * shell-manager: Simplify include
  * shell-manager: Report version
  * gitlab-ci: Update container
  * ambient: Set array size to 0
  * ambient: Clear array when we unclaim the sensor
  * ambient: Make sure to stop callback and unref array
  * ambient: Claim / unclaim the sensor on shell unblank / blank
  * screenshot-manager: Capture all outputs
  * sceenshot-manager: Handle grabbing a screen area
  * d/control: Recommend slurp
  * tools: Add helper to take screenshots
  * screencopy-manager: Avoid stdout
  * screenshot-manager: Fall box to g_memdup for older glib
  * libcall-ui: Update libcall-ui
  * gitignore: Ignore packaging directories
  * build: Drop -DHAVE_CONFIG.H
  * build/gtk-list-models: Make them available in other dirs
  * build: Move app id to phosh-config.h
  * ci: Update build-deps
  * ci: Add eds-dev to alpine build-deps
  * Add gnome-shell's calendar server
  * calendar-server: Drop unused files
  * calendar-server: Fix build
  * calendar-server: Don't shadow local variable
  * calendar-server: Don't hardcode either phosh nor gnome-shell
  * calendar-server: Handle NULL zone
  * calendar-server: Use SPDX-License-Identifier
  * calendar-server: Add color to events
  * debian: Install calendar-server and it's dependencies
  * plugins: Add an upcoming events plugin
  * tools: Enable upcoming-events plugin
  * tools: Don't use magic constant gtk style priority
  * main: Drop unused variable
  * ci: Exclude autogenerated and imported sources
  * plugin-loader: Add and use property getters
  * tests: Test plugin loader
  * ci: Drop Needs: for po and license checks
  * Merge branch 'upcoming-events-plugin' into 'main'
  * ci: Avoid artifact downloads for jobs that don't need it
  * calendar: Add plugin information
  * debian: Install plugin info
  * upcoming-events: Drop underscore from plugin path
  * upcoming-events: Add plugin information
  * widget-box: Don't load widgets twice
  * widget-box: Add a placeholder page when a plugin could not be found
  * widget-box: Drop define from printf
  * tools: Add a nonexistent plugin
  * Document changes and release 0.21.0
  * screen-saver-manager: Shorten DBus names
  * screensaver-manager: Use cancellable
  * packaging: Ship NEWS
  * packaging: Update copyright
  * packaging: Fix postinst interpreter

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Goran Vidović ]
  * Update Croatian translation
  * Update Croatian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Sebastian Krzyszkowiak ]
  * ui/lockscreen: Set the PIN entry to be initially insensitive
  * stylesheet: Remove background from keypad's focused buttons
  * lockscreen: Focus PIN entry on carousel page change when OSK is on
  * lockscreen: Focus PIN entry regardless of OSK status
  * stylesheet: Apply lockscreen PIN entry styles also to disabled state
  * home: Remove duplicated "unfold on no activities" handling
  * shell: Only fold the home screen when the first toplevel is added
  * home: Don't (un)fold while being dragged
  * overview: Focus the activity on carousel page change
  * overview: Focus the activity right away when scrolling to it
  * lockscreen: Use page-changed signal when appropriate
  * lockscreen: Allow show_unlock_page to execute mid-transition
  * lockscreen: Clear input right away when pressing ESC
  * shell: Update top panel height on primary monitor resize
  * overview: Only focus an activity on page change if it's not focused

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Sam Hewitt ]
  * style: Fix osd using hardcoded colors
  * style: Fix notifications in high contrast

  [ Alexander Mikhaylenko ]
  * docked-manager: Update gtk4 is-phone setting too

  [ Zurab Kargareteli ]
  * Update Georgian translation
  * Update Georgian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 01 Sep 2022 19:34:18 +0200

phosh (0.17.0-1+droidian1+z1) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * quick-settings: Revert "Revert "quick-settings: Follow g-c-c to Settings rename""

  [ Marge Bot ]
  * Merge branch 'access-portal' into 'main'
  * Merge branch 'new-osd-ui' into 'main'
  * Merge branch 'lockscreen-quick-settings' into 'main'
  * Merge branch 'lockscreen-top-bar' into 'main'
  * Merge branch 'fb-status' into 'main'
  * Merge branch 'lockscreen-quick-settings2' into 'main'
  * Merge branch 'gestures-top-panel-preps' into 'main'
  * Merge branch 'update-container' into 'main'
  * Merge branch 'gestures-top-panel-preps2' into 'main'
  * Merge branch 'unhide-top-bar' into 'main'
  * Merge branch 'dbus-name' into 'main'
  * Merge branch 'hide-clock-on-lockscreen' into 'main'
  * Merge branch 'lockscreen-top-bar-set-layer' into 'main'
  * Merge branch 'cleanups' into 'main'
  * Merge branch 'global-gestures' into 'main'
  * Merge branch 'buf-rfkil' into 'main'
  * Merge branch 'drop-scale-config' into 'main'
  * Merge branch 'Rename-call-inbound' into 'main'
  * Merge branch 'gesture-fixes' into 'main'
  * Merge branch 'ci-alpine-fix' into 'main'
  * Merge branch 'support-night-light' into 'main'
  * Merge branch 'app-view-details' into 'main'
  * Merge branch 'gest-fix' into 'main'
  * Merge branch 'rel-0.20.x' into 'main'
  * Merge branch 'lock-on-suspend' into 'main'
  * Merge branch 'libcall-ui_0.0.3' into 'main'
  * Merge branch 'thumbnail-resize' into 'main'
  * Merge branch 'fs' into 'main'
  * Merge branch 'crossfade' into 'main'
  * Merge branch 'appauthprompt_redundant' into 'main'
  * Merge branch 'stealthgun-main-patch-16198' into 'main'
  * Merge branch 'osk' into 'main'
  * Merge branch 'notifications-layout-adjustments' into 'main'
  * Merge branch 'uses-lfb' into 'main'
  * Merge branch 'flicker' into 'main'
  * Merge branch 'rel-0.20.0.beta2' into 'main'
  * Merge branch 'am-pm' into 'main'
  * Merge branch 'icon' into 'main'
  * Merge branch 'raising' into 'main'
  * Merge branch 'test-icon' into 'main'
  * Merge branch 'polkit-version' into 'main'
  * Merge branch 'fold' into 'main'

  [ Sebastian Krzyszkowiak ]
  * hks-manager: Set rfkill IOChannel to non-buffered
  * top-panel: Set drag theshold to 0.3 for consistency with PhoshHome
  * top-panel: Update PhoshArrow progress during surface drag
  * home: Update PhoshArrow progress during surface drag
  * Merge branch 'lockscreen-top-bar-set-layer' into 'main'
  * Merge branch 'rotation-manager-init' into 'main'
  * Merge branch 'idle-drop-monitor' into 'main'
  * activity: Emit "resized" signal
  * util: Add phosh_util_toggle_style_class
  * activity: Add "fullscreen" property
  * toplevel: Add "fullscreen" property
  * overview: Don't draw grey background around fullscreen window's thumbnail
  * top-panel: Crossfade between fold states
  * lockscreen: Use entry focus to request OSK
  * home: Reset overview at the beginning of unfolding
  * overview: Request a thumbnail for foreground activity on reset
  * overview: Don't update thumbnails when overview is unfolded
  * home: Update keyboard interactivity right away when user starts folding
  * home: Use a revealer to fade in/out the keyboard button
  * home: Hide the keyboard button right away when starting dragging
  * home: Don't hide the arrow when the surface is being dragged
  * top-panel: Disable keyboard interactivity while dragged
  * tests/stubs: Add phosh_shell_get_docked
  * overview: Raise toplevels on activity scrolling
  * shell: Don't fold the top panel and keyboard on unfolding home screen

  [ Guido Günther ]
  * portal-access-manager Sync dialog visibility with locked state
  * settings: Make ui file match the class name
  * Add no-notifications icon
  * settings: Mark button label as translatable
  * settings: Add indication when there are no notifications
  * settings: Reindent ui file
  * lockscreen: Fix typo
  * lockscreen: Remove unneeded packaging
  * lockscreen: Name clock and date labels
  * lockscreen: Move call-ui down by top-panel's height
  * top-panel: Move top-panel to overlay layer
  * top-panel: Prevent unfold when locked
  * top-panel: Hide clock when shell is locked
  * lockscreen: Drop inidcators
  * lockscreen: Adjust clock and data size based on notifications
  * lockscreen: Add bottom margin to center clock and date
  * lockscreen: Use revealer to show/hide notifications
  * shell: Move lock setting to function
  * shell: Use explicit notify for locked property
  * proximity: Add property to track fader status
  * shell: Hide top-panel when proximity fader is on
  * shell: Mirror docked property
  * shell: Document `locked` property
  * shell: Use getter for locked property
  * top-panel: Disconnect seat signals
  * top-panel: Show keyboard indicator only in docked mode
  * top-panel: Remove packed from indicators box
  * top-panel: Remove can-focus from indicators box
  * batteryinfo: Fix indentation
  * feedbackinfo: Add muted property
  * top-panel: Show feedback indicator
  * util: Use GCC diagnostic push
  * settings: Add on-lockscreen property
  * settings: Add a box for the elements not visible on the lock screen
  * settings: Consolidate all g-c-c panel opening in a single location
  * settings: Ignore long press that leads to g-c-c
  * settings: Reindent ui file
  * top-panel: Hide power button on lock screen
  * Revert "top-panel: Prevent unfold when locked"
  * top-panel: Move power button
  * top-panel: Style power button
  * top-panel: Add larger clock when panel is unfolded
  * top-panel: Use property binding for the clock
  * top-panel: Add lock-screen button
  * top-panel: Add arrow
  * top-panel: Disable power/user button when on lockscreen
  * top-panel: Remove <packing> from network box
  * d/control: Add libxml-utils
  * d/control: Add xwayland to test dependencies
  * d/control: Add librsvg2-common
  * tests: Disable thumbnail releated test
  * gitlab-ci: Only run unit test suite on alpine
  * gitlab-ci: Build container without cache
  * gitlab-ci: Use more caps when running docker container
  * gitlab-ci: Use newer docker file for builds and tests
  * layer-surface: Use namespace in debug messages
  * shell: Document phosh_get_usable_area ()
  * shell: Add helper to get whole screen area
  * top-panel: Fix namespace
  * top-panel: Use the full screen height for the top panel
  * settings: Set vexpand on the notifications list box
  * top-panel: Ease UI file navigation
  * top-panel: Fix box_clock indentation
  * proximity: Move fader handling to seprarate functions
  * meson: Add default prefix
  * dbus: Use default prefix for org.freedesktop.hostname1
  * dbus: Use default prefix for org.freedesktop.login1
  * top-panel: Fix inverted on-lockscreen logic
  * top-panel: Hide lock on lock-screen
  * gitlab-ci: Pull phoc 0.13.1 from Debian sid
  * d/control: Require recent enough phoc
  * protocol: Update layer-surface protocol to version 4
  * wayland: Require layer-shell protocol version 2
  * layersurface: Allow to set layer
  * shell: Lower top-panel when proximity fader is on
  * gitlab-ci: Deduplicate locale generation
  * home: Fix typo
  * settings: Fix typo
  * top-panel: Update doc string
  * shell: Drop outdated comment
  * build: Untabify tests meson build file
  * overview: Drop properties at their default values
  * layer-surface: Drop constructed()
  * layer-surface: Only emit configured when s.th. changed
  * Add draggable layer surfaces
  * phosh-wayland: Require layer-shell-effects
  * phosh-wayland: Make it more clear what's missing
  * util: Add helper to distinguish touch from non touch press/release
  * top-panel: Remove superfluous can-focus properties from network box
  * top-panel: Make it a draggable layer-surface
  * top-panel: Use full screen height
  * top-panel: Don't trigger feedback
  * top-panel: Animate arrow
  * top-panel: Handle mouse click via gesture
  * settings: Allow to retrieve a suitable drag handle offset
  * top-panel: Update drag-handle based on settings
  * home: Make it a draggable layer surface
  * home: Don't trigger feedback
  * home: Drop some unneeded properties
  * home: Handle mouse click via gesture
  * settings: Don't close when clearing all notifications
  * tests: Disable parallel tests with compositor
  * gitlab-ci: Use a compositor that can handle gestures
  * top-panel: Reindent ui file
  * home: Reindent ui file
  * bars: Add back 1px border in high contrast
  * top-panel: Drop phosh-top-bar style class
  * top-panel: Emit activated signal instead of folding/unfolding
  * top-panel: Fix comment
  * shell: Rename panel to top_panel
  * notify-manager: Move source layout closer to guidelines
  * notify-manager: Drop SIGNAL_ from signal names
  * notify-manager: Emit "notification-activated"
  * shell: Fold top-panel on screen lock
  * shell: Fold top-panel when a notification gets activated
  * Merge branch 'libhandy-meson-main' into 'main'
  * util: Add helper to check if gnome-software is available
  * app-grid-button: Add "View Details" entry
  * d/control: Bump phoc dependency
  * gitlab-ci: Use phoc 0.20.0
  * Document changes and release 0.20.0~beta1
  * screen-saver-manager: Lock screen when suspending
  * run: Add --args when using gdb
  * Merge branch 'gdb-args' into 'main'
  * shell: Honor modal dialogs and full screen when raising top-bar
  * shell: Don't try to close top-panel when not yet created
  * shell: Select top-panel layer based on lock state
  * idle-manager: Drop primary monitor
  * tools: Add helper to submit a notification
  * data: Indicate that we provide user feedback via audio, led and haptic
  * d/control: Depend on recent enough phoc
  * Document changes and release 0.20.0~beta2
  * lockscreen: Drop am/pm from time formats
  * data: Install and add icon to desktop file
  * debian: Install icon
  * tests: Allow for phosh's icon
  * build: Adjust to polkit version changes

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Sam Hewitt ]
  * osd-window: Update to match new design
  * settings: Polish layout when there are not notifications
  * lockscreen: Tweak clock animations
  * lockscreen: Tweak wwan and battery indicator style
  * top-panel: Style tweaks
  * notifications: Layout adjustments
  * icons: Add symbolic icon for Phosh

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Vittorio Monti ]
  * Update Italian translation
  * Update Italian translation

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Nathan Follens ]
  * Update Dutch translation
  * Update Dutch translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Gerben Jan Dijkman ]
  * polkit-auth-agent: Scope cleanup function for PolkitAgentListener

  [ Jiri Grönroos ]
  * Update Finnish translation
  * Update Finnish translation

  [ Pablo Barciela ]
  * Update Spanish translation
  * app-auth-prompt: Drop unused code

  [ Linus Walleij ]
  * shell: Set monitor when creating rotation manager

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation
  * Update Romanian translation

  [ Evangelos Ribeiro Tzaras ]
  * Update libcall-ui to v0.0.3

  [ Piotr Drąg ]
  * Update Polish translation
  * Update Polish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation
  * Update Hebrew translation

  [ Pablo Correa Gómez ]
  * dbus: Pull latest org.gnome.Mutter.DisplayConfig interface
  * monitor-manager: Mark SetOutputCTM call as unimplemented
  * monitor-manager: Implement ApplyMonitorsConfigAllowed property
  * monitor: Add "n-gamma-entries" property
  * monitor-manager: Implement NightLightSupported property

  [ Nathan Sherwood ]
  * build: Use libhandy 1.2 if used as a subproject

  [ InsanePrawn ]
  * gitlab-ci: Add networkmanager to alpine deps

  [ Quentin PAGÈS ]
  * Add Occitan translation
  * Update Occitan translation
  * Update Occitan translation

  [ Thomas ]
  * Rename call-inbound to call-added

  [ Arnaud Ferraris ]
  * phoc.ini: Drop no longer needed scale config

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Zurab Kargareteli ]
  * Add Georgian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Luna Jernberg ]
  * Update Swedish translation

  [ Balázs Úr ]
  * Update Hungarian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 23 Jul 2022 13:29:00 +0200

phosh (0.17.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.17.0' into bookworm
  * Revert "quick-settings: Follow g-c-c to Settings rename"

  [ Nathan Follens ]
  * Update Dutch translation

  [ Marge Bot ]
  * Merge branch 'cleanups' into 'main'
  * Merge branch 'Wignored-qualifiers' into 'main'
  * Merge branch 'wwan-data' into 'main'
  * Merge branch 'piotrdrag/remove-pot' into 'main'
  * Merge branch 'gvc-channel-bar_badcast' into 'main'
  * Merge branch 'kailueke/gsd-power-suspend' into 'main'
  * Merge branch 'g-c-c-2-settings' into 'main'
  * Merge branch 'undefined' into 'main'
  * Merge branch 'issue/49' into 'main'
  * Merge branch 'cross-docker' into 'main'
  * Merge branch 'meson' into 'main'
  * Merge branch 'es.po' into 'main'
  * Merge branch 'bookwormi386' into 'main'
  * Merge branch 'rel-0.17.0' into 'main'

  [ Guido Günther ]
  * layer-surface: Allow to fetch margins
  * layer-surface: Allow to fetch configured width and height
  * util: Move local_date() from lockscreen
  * arrow: Add doc string
  * home: Simplify osk button visibility setting
  * d/changelog: Fix typos
  * tests: Fix typo
  * wwan: Make source file name match PhoshWwanManager
  * vpn-manager: Drop property name prefix
  * settings: Include the abstract WWAN header
  * docs: Add PhoshWwanManager
  * wwan-manager: Add data-enabled property
  * wwan-info: Make source file name match PhoshWWanInfo
  * wwan-info: Indicate status of mobile data
  * quick-settings: Follow g-c-c to Settings rename
  * po: Drop es_ES.po
  * build: Document libphosh_{,tool_}sources
  * testlib: Clear heads and modes only when used
  * debian: Install portal
  * ci: Simplify docker file for i386 builds
  * ci: Use bookworm for i386 image too
  * ci: Use bookworm image for i386 builds
  * po: Update Spanish translation
  * Document changes and release 0.17.0

  [ Pablo Barciela ]
  * Fix [-Wignored-qualifiers] warnings
  * gvc-channel-bar: Fix [Wbad-function-cast] warning
  * meson: Avoid deprecated 'Dependency.get_pkgconfig_variable'
  * ci: Show 'build:cross-debian-bookworm:i386' instead bullseye
  * Update Spanish translation

  [ Martin ]
  * Update Slovenian translation

  [ Florian Loers ]
  * portal: Add access api
  * data: Install phosh.portal

  [ free software ]
  * po: Update Spanish translation

  [ Kai Lüke ]
  * Emit WakeUpScreen signal and reset idle timers on resume

  [ Piotr Drąg ]
  * Update Polish translation
  * po: Remove .pot file

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ ZenWalker ]
  * wwan-info: Drop unused macro

  [ Sam Hewitt ]
  * data: Add no-data variant of cellular icons

  [ Prasanta Hembram ]
  * Add Santali translation

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Jiri Grönroos ]
  * Update Finnish translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 25 Mar 2022 23:44:07 +0100

phosh (0.16.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.16.0' into bookworm

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Guido Günther ]
  * README: Update branch to main
  * README: Fix development branch name
  * README: Fix link to gitlab-ci.yml
  * tools: Add helper to check OSD
  * osd: Drop superfluous packaging
  * osd: Rely on GTK focus defaults
  * gnome-shell-manager: Simplify AcceleratorInfo handling
  * keypad: Drop superfluous receives-default properties
  * keypad: Drop superfluous can-focus properties
  * doap: Update description
  * sm.puri.OSK0: Name method argument
  * Drop unused variables
  * build: Don't declare test stubs twice
  * osk-manager: Improve docs
  * Drop osk-stub
  * tools: Build app-buttons when tests are enabled
  * editorconfig: Bump line length to 100
  * background: Don't unref NULL pixbuf
  * phosh-wayland: Make sure to destroy all globals
  * phosh-wayland: Destroy output globals
  * layer-surface: Use g_clear_pointer
  * tests/timestamp-label: Don't leak str
  * testlib: Finalize PhocWayland before killing the compositor
  * top-panel: Don't leak action_names
  * monitor-manager: Drop unused variable
  * monitor-manager: Use casts
  * tests: Generate better backraces with ASAN
  * leak-suppress: Add GDK leaks
  * testlib: Drop unused variable
  * tests: Add a stub for head handling
  * gitlab-ci: Run phoc based unit tests as well
  * tests-monitor-manager: Remove unused variable
  * wifimanager: Don't leak ssid on shutdown
  * test-take-screenshot: Free virtual keyboard
  * tests: Add osd-window unit test
  * fading-label: Add constructor
  * fading-label: Avoid gchar
  * mount-manager: Avoid gchar
  * monitor-manager: Avoid gchar
  * tests: Avoid gchar
  * tests: Add fading label unit test
  * build: Move app-auth-prompt to libphosh_tool
  * tests: Add test for app-auth-prompt
  * keypad: Allow to shuffle buttons
  * schema: Add toggle for keypad shuffle
  * lockscreen: Allow to toggle shuffle via gsetting
  * channel-bar: Don't expose adjustment
  * channel-bar: Don't emit volume-changed when muted
  * settings: Set is-muted when channel is muted
  * channel-bar: Drop zero adjustment
  * monitor-manager: Fix fd leak
  * docs: Drop wayand protocols
  * build: Bump meson version to 0.54.0
  * protocols: Use custom_target
  * lockscreen-manager: Fix argument type
  * settings: Fix argument type
  * call: Use PROP_ID to override id, not PROP_DISPLAY_NAME
  * call: Store all param specs
  * call: Handle active-time property
  * Update libcall-ui to latest main
  * css: Make overall button style media-widget specific
  * d/gbp.conf: Ignore Marge-Bot's 'Part-of:'
  * Document changes and release 0.16.0
  * Merge branch 'headVar' into 'main'

  [ Pablo Barciela ]
  * notifications: Reduce the scope of some variables
  * phosh-wwan-mm: Reduce the scope of variable 'modem_object_path'
  * layersurface: Reduce the scope of variable 'gdk_window'
  * util: Reduce the scope of variable 'fd'
  * gnome-shell-manager: Fix memory leak
  * gnome-shell-manager: Assert on action id
  * head: Fix [-Wbad-function-cast] warnings
  * head: Compare float variables with G_APPROX_VALUE
  * test-head: Compare float variables with G_APPROX_VALUE
  * head: Variable 'float' instead 'int' for 'base_scaled_w'

  [ Marge Bot ]
  * Merge branch 'docs' into 'main'
  * Merge branch 'single-line' into 'main'
  * Merge branch 'osd-improvements' into 'main'
  * Merge branch 'variableScope' into 'main'
  * Merge branch 'simplify-accelerator' into 'main'
  * Merge branch 'snwh-main-patch-24199' into 'main'
  * Merge branch 'keypad-cleanups' into 'main'
  * Merge branch 'drop-osk-stub' into 'main'
  * Merge branch 'head_Wbad-function-cast' into 'main'
  * Merge branch 'headCompareFloats' into 'main'
  * Merge branch 'asan-fixes' into 'main'
  * Merge branch 'testCompareFloats' into 'main'
  * Merge branch 'more-asan' into 'main'
  * Merge branch 'shuffle' into 'main'
  * Merge branch 'mute' into 'main'
  * Merge branch 'gamma-fd-leak' into 'main'
  * Merge branch 'proto-target' into 'main'
  * Merge branch 'call-ui-0.0.2' into 'main'
  * Merge branch 'lockscreen-oversights' into 'main'
  * Merge branch 'button-highlight' into 'main'
  * Merge branch 'rel-0.16.0' into 'main'

  [ Sam Hewitt ]
  * osd-window: Update the layout and refresh the style
  * shell: Update lockscreen and notification styles
  * media-player: Lockscreen updates to prevent overflow

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Marc Riera ]
  * Update Catalan translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Fran Dieguez ]
  * Add Galician translation

  [ Evangelos Ribeiro Tzaras ]
  * gnome-shell-manager: Protect against overflow

  [ Danial Behzadi ]
  * Update Persian translation

  [ Adrien Plazas ]
  * Add PhoshClamp
  * app-grid-button: Limit the natural width request
  * app-grid-button: Fix the indentation
  * Add fribidi dependency
  * Add direction helpers using fribidi
  * Add PhoshFadingLabel
  * app-grid-button: Use a fading label

  [ Matheus Barbosa ]
  * Update Brazilian Portuguese translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 27 Feb 2022 20:27:18 +0100

phosh (0.15.0-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.15.0' into bookworm

  [ Marge Bot ]
  * Merge branch 'shell-network-agent_Wmissing-field-initializers' into 'main'
  * Merge branch 'sam-css-modal' into 'main'
  * Merge branch 'snwh-main-patch-51122' into 'main'
  * Merge branch 'ci-improvements' into 'main'
  * Merge branch 'snwh-main-patch-98116' into 'main'
  * Merge branch 'snwh-main-patch-20507' into 'main'
  * Merge branch 'debounce' into 'main'
  * Merge branch 'bugfix-689-lockscreen-osk' into 'main'
  * Merge branch 'mute' into 'main'
  * Merge branch 'desktop-names' into 'main'
  * Merge branch 'osk-input-method' into 'main'
  * Merge branch 'activity-keyboard' into 'main'
  * Merge branch 'vpn-quicksetting' into 'main'
  * Merge branch 'osd-kbd-interactivity' into 'main'
  * Merge branch 'fixes' into 'main'
  * Merge branch 'vpn-add-removal' into 'main'
  * Merge branch 'rel-0.15.0' into 'main'

  [ Guido Günther ]
  * Merge branch 'ci-image-update' into 'main'
  * build: Drop TODO
  * build: Don't install libcall-ui i18n files by default
  * Revert "debian: Don't install libcallui translations"
  * Merge branch 'callui-mo' into 'main'
  * system-prompt: Handle mnemonic in choice label
  * system-prompt: Use consistent spacing
  * Merge branch 'prompt-label' into 'main'
  * Merge branch 'Wmissing-field-initializers_GActionEntry' into 'main'
  * toplevel-thumnail: Drop flag check
  * run: Drop gnome session setup
  * run: Always start unlocked
  * README: Drop install step
  * README: Make phoc config the first argument
  * README: Use a screenshot of the unlocked shell
  * run: Make it simple to override debugging
  * README: Use ```sh for shell snippets
  * README: Fix path to gitlab-ci file
  * README: Drop section on libhandy
  * Merge branch 'run-script' into 'main'
  * Merge branch 'docker_script-grep-in-subshell' into 'main'
  * Merge branch 'main' into 'main'
  * run-command-dialog: Split submitted and cancelled signal
  * run-command-manager: Fix indentation
  * run-command-manager: Return success/failure when running command
  * run-command-dialog: Drop unneeded can-focus properties
  * run-command-{dialog,manager}: Show error message when command failed
  * run-command-dialog: Use on_ prefix consistently
  * Merge branch 'handle-run-dialog-error' into 'main'
  * background: Allow absolute paths too
  * Merge branch 'bg-path' into 'main'
  * util: Remove trailing witespace
  * util: Add helper to markup escape text
  * notify-manager: Escape notification bodies
  * Merge branch 'escape-notification-body' into 'main'
  * system-modal-dialog: Mark swipe-away-bin as vertical
  * Merge branch 'notification-swipes' into 'main'
  * Merge branch 'for-next/978' into 'main'
  * stylesheet: Sort colors alphabetically
  * Merge branch 'sam-css' into 'main'
  * gitla-ci.yml: Don't build tests when building the docs
  * system-prompt: Fix typo
  * system-prompt: Don't access priv before checking the type
  * tests: Name screenshot suite as such
  * Move network-auth related bits out of wifi-manager
  * network-auth-prompt: Remove unused nmclient
  * network-auth-prompt: Drop custom Esc-key handler
  * network-auth-manager: Use cancellable for agent registration too
  * network-auth-manger: Use a separate cancellable for registration
  * newtork-auth-manager: Drop unused nmclient
  * contrib: Add vpn plugin related bits
  * network-auth-{manager,prompt}: Support VPN authentication
  * network-auth-prompt: Use request_id to check if we're done
  * network-auth-prompt: Don't allow to reuse prompt
  * network-auth-manager: Cancel overlapping requests
  * Merge branch 'vpn-auth' into 'main'
  * wifimanager: Drop unused set_property
  * Add vpn-manager to track the vpn status
  * shell: Spawn vpn-manager
  * Add vpn-info to display VPN state
  * top-panel: Add VPN indicator
  * vpn-manager: Handle wireguard connections as VPN connections
  * Merge branch 'vpn-indicator' into 'main'
  * gitlab-ci: Set defaults
  * gitlab-ci: Indicate it's a remote include
  * gitlab-ci: Add MR sanity checks
  * README: Update to match reality
  * Merge branch 'drop-d.p.sm' into 'main'
  * session: Swap entries
  * build: Make it easy to build osk-stub conditionally
  * osk-stub: Uncrustify
  * osk-stub: Remove unused variable
  * osk-stup: Use EXIT_FAILURE
  * osk-stub: Init gtk and listen to registry
  * osk-stub: Add input-method stub
  * osk-stub: Add an input surface
  * osk-stub: Animate show/hide of the input surface
  * osk-stub: Add debug output to intput-surface
  * osk-stub: Add force-show debug flag
  * build: Allow to disable the tools build
  * osk-stub: Indicate GNOMEs screen-keyboard-enabled setting
  * app-grid-button: Drop unused variable
  * activity: Allow to activate by keyboard
  * settings: Hide docked quick setting when not docked
  * settings: Hide torch quick setting when no hardware is found
  * data: Move icons into subdirectory
  * data: Add icon for disabled vpn
  * vpn-manager: Track present and last connection
  * vpn-info: Forward present property and update status
  * settings: Add VPN quick setting
  * osd-window: Disable keyboard interactivity
  * settings: Print panel name on error
  * quick-setting: Use const char * for panel
  * quick-setting: Check return value
  * lockscreen: Avoid camel case
  * network-auth-manager: Fix potential NULL pointer dereference
  * gnome-shell-manager: Drop NULL check
  * monitor-manager: Drop unused variable
  * status-icon: Don't leak icon-name
  * run-command-manager: Avoid unnecessary copy
  * top-panel: Avoid unnecessary copy
  * tests/mount-notification: Don't leak name
  * tests/util: Don't leak
  * tests/status-icon: Don't leak icon name
  * tests/notification: Fix leaks
  * tests/notification-source: Fix leak
  * meson: Pass ASAN leak suppression automatically
  * gitlab-ci: Run unit tests under ASAN too
  * vpn-manager: Compare uuid instead of addresses
  * vpn-manager: Always free last_uuid
  * Document changes and release 0.15.0

  [ Matej Urbančič ]
  * Update Slovenian translation

  [ Vittorio Monti ]
  * Update Italian translation
  * Update Italian translation

  [ Anders Jonsson ]
  * Update Swedish translation
  * Update Swedish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Sebastian Krzyszkowiak ]
  * Merge branch 'thumbnail-flags' into 'main'
  * app-grid: Debounce app search
  * settings: Set/unset mute when setting output stream volume

  [ PanzerSajt ]
  * lockscreen: Allow to show OSK to enter passwords
  * lockscreen: Hide OSK after swiping back to Info Screen
  * lockscreen: Reset inactivity timeout after revealing the OSK

  [ Sam Hewitt ]
  * settings: Use speakers icon for volume slider
  * settings: Move media player above notifcations box
  * settings: Add name property to clear all button
  * settings: Add style class to notifications header box
  * media-player: add style class to art
  * lockscreen: Add style classes to icons and text
  * lockscreen: Use full width for noifications and media player
  * stylesheets: GTK overrides for sliders
  * settings: Adjust quicksettings radii
  * lockscreen: Give the date and time more weight
  * stylesheet: Adjust modal dialogs to mockups
  * overview: remove background and borders from shell scrollbars
  * overview: Add focus style to the search box
  * overview: Improve grid separator styling

  [ Pablo Barciela ]
  * Fix [-Wmissing-field-initializers] warnings inside GActionEntry
  * shell-network-agent: Fix [-Wmissing-field-initializers] warnings
  * GActionEntry: use Designated Initializers

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation
  * Update Romanian translation

  [ Alexander Mikhaylenko ]
  * swipe-away-bin: Add hide() and reveal()
  * swipe-away-bin: Make orientable
  * swipe-away-bin: Add property to allow swipes in the other direction
  * swipe-away-bin: Add reserve-size property
  * panel: Use GtkGestureMultiPress and released signal for closing
  * notification-frame: Reimplement activation via GtkGestureMultiPress
  * notification-frame: Support swipe-to-remove

  [ Nathan Follens ]
  * Update Dutch translation

  [ Fabio Tomat ]
  * Update Friulian translation

  [ Evangelos Ribeiro Tzaras ]
  * gitlab-ci: docker: Fix conditional

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 26 Jan 2022 22:51:27 +0100

phosh (0.14.1-1+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.14.1' into bookworm
  * Revert "Revert "monitor-manager: Support fractional scale DisplayConfig""

  [ Guido Günther ]
  * Merge branch 'issue/610' into 'main'
  * run-command: Use 'activate' signal
  * Merge branch 'run-command-activate-signal' into 'main'
  * Merge branch 'thumb' into 'main'
  * system-prompt: Make sure the choice label wraps
  * Merge branch 'gcr-prompt-label' into 'main'
  * Merge branch 'call_handle_dtmf' into 'main'
  * Document changes and release 0.14.1
  * Merge branch 'rel-0.14.1' into 'main'
  * wifimanager: Create NetworkAgent async
  * Merge branch 'async-nm-agent' into 'main'
  * monitor: Fix indentation
  * doc-check: Allow to specify dir to check
  * doc-check: Avoid whitespace that breaks the check
  * wl-buffer: Move create_shm_file to utils
  * monitor-manager: Use phosh_create_shm_file
  * toplevel-thumbnail: Use phosh_shm_file ()
  * run-command-manager: Fix section name and log domain
  * Merge branch 'gamma' into 'main'
  * media-player: Only load file URIs
  * testlib: Ignore warnings and criticals from the compositor
  * gitlab-ci: No need to forcibly remove lcov anymore
  * gitlab-ci: Use newer docker image

  [ Sebastian Krzyszkowiak ]
  * activity: Fix cut out thumbnails
  * ui: Move Activity's 6px bottom margin from GtkButton to Overview's Carousel
  * overview: Use phosh_shell_get_usable_area for activity aspect ratio
  * activity: Take margin into account in get_preferred_width_for_height
  * activity: Add phosh_activity_get_thumbnail_allocation
  * overview: Request thumbnails based on GtkDrawingArea's size
  * activity: Use GtkDrawingArea's context to determine its background
  * activity: Use CSS to apply background for maximized windows
  * activity: Rename CSS classes, use widget name where possible
  * Switch to wlr-gamma-control protocol
  * Merge branch 'media-widget-uri' into 'main'

  [ Evangelos Ribeiro Tzaras ]
  * subprojects: Forward to latest libcall-ui
  * call: Reindent
  * dbus: Update calls DBus interface
  * call: Hook up CanDtmf property
  * call: Hook up SendDtmf DBus method
  * css: lockscreen: DTMF keypad should respect phoshs background color

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Florian Loers ]
  * Add run-command dialog with Alt+F2 shortcut

  [ Luna Jernberg ]
  * Update Swedish translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 08 Dec 2021 20:08:40 +0100

phosh (0.14.0-1+droidian1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Revert "monitor-manager: Support fractional scale DisplayConfig"

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Guido Günther ]
  * osk-manager: Drop `PHOSH_OSK_` prefix from property enum
  * osk-manager: Use shell to listen for lock status
  * osk-button: Make sure we disconnect signals when button goes away
  * Merge branch 'osk-cleanups' into 'main'
  * ui: Drop all glade markers
  * Merge branch 'glade-markers' into 'main'
  * wifimanager: Don't drop unimplemented prompts silently
  * Merge branch 'cancel-non-wifi' into 'main'
  * app-grid: Ellipsize app filter button
  * Merge branch 'ellipsize-btn' into 'main'
  * lockscreen: Remove out of place '>'
  * Bring over HdyKeypad from libhandy 1.2.2
  * keypad: Derive from GtkGrid
  * Merge branch 'drop-hdy-keypad' into 'main'
  * Merge branch 'gnome-shell-manager_error' into 'main'
  * Merge branch 'collation-fix' into 'main'
  * Merge branch 'app-tracker' into 'main'
  * Merge branch 'double-break' into 'main'
  * dbus: Update calls DBus interface
  * call: Add avatar-icon property
  * tests: Use avatar in screenshots
  * tests: Screenshot uk locale too
  * subprojects: Forward to latest libcall-ui
  * tests: Fix translations for call related screen shots
  * debian: Don't install libcallui translations
  * d/copyright: Flip sections
  * Merge branch 'call-avatar' into 'main'
  * notify-manager: Set urgency
  * notify-manager: Don't use a fallback icon for critical notifications
  * Merge branch 'notify-urgency' into 'main'
  * Merge branch 'gitlab' into 'main'
  * docked-manager: Ensure mode_changed_cb() sets all values on startup
  * Merge branch 'fixup-dock-on-start' into 'main'
  * build: Drop glib fallback
  * Merge branch 'drop-glib-fallback' into 'main'
  * layersurface: Make debug message more useful
  * shell: Add and use phosh_shell_set_builtin_monitor()
  * shell: Simplify by using g_set_object
  * Allow the primary monitor to be NULL
  * shell: Remove primary-monitor startup workaround
  * shell: Trigger selection of a fallback monitor when all went away
  * shell: Move find_builtin_monitor upwards
  * shell: Rename phosh_set_builtin_monitor
  * shell: Update builtin monitor in on_monitor_removed as well
  * shell: Make sure we pick a new builtin monitor
  * shell: Move compositor state notification to its own method
  * shell: Use compositor notifications on primary flips
  * monitor: Split finalize and dispose
  * monitor-manager: Release wayland resources sooner
  * Merge branch 'no-primary-monitor' into 'main'
  * monitor-manager: Clear pending head states on errors
  * monitor-manager: Make it clear that the we were invoked with invalid data
  * monitor-manager: Fix protocol name in debug message
  * monitor-manager: Allow to select primary that is currently disabled
  * Merge branch 'primary-mon-fixes' into 'main'
  * ci: Always print error logs on failure
  * testlib: Print compositor startup message
  * testlib: Terminate comopsitor on SIGTRAP
  * Merge branch 'ci-error-logs' into 'main'
  * po: Remove panel.c from POTFILES.in too
  * po: Fix POTFILES.skip
  * Merge branch 'fix-potfiles.skip' into 'main'

  [ Dorota Czaplejewicz ]
  * gitlab: Move the steps before the result in the bug template
  * gitlab: Add place for context in the bug template
  * gitlab: Improve setup description in bug template

  [ Pablo Barciela ]
  * gnome-shell-manager: Fix show error, inside 'on_bus_acquired' function
  * app-tracker: Fix dereference of a null pointer
  * notification-content: avoid duplicate break

  [ Hunman ]
  * app-grid: Sort with collation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 27 Nov 2021 12:07:26 +0100

phosh (0.14.0-1+droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.14.0' into feature/bullseye/upgrade-0.14.0
  * splash-manager: allow detecting dark theme on older GNOME releases
  * settings: stream_port: check against output-wired_headset as well

  [ Guido Günther ]
  * Merge branch 'proximity-disconnect-signal-handlers' into 'main'
  * monitor: Treat wlroots virtual connector as such`
  * mode-manager: Unclutter external monitor check
  * mode-manager: Handle virtual monitor
  * docked-manager: Treat unknown hardware as undocked
  * tools: Fix paths to CSS
  * d/control: Add more recommends
  * tests: Use the correct flags when creating DBus proxy
  * build: Add a suite to all tests
  * build: Rename test_env
  * gitlab-ci: Collect junit test reports
  * build: Bump required meson to 0.52.0
  * media-player: Use cancellable
  * tests: Drop g_test option
  * screenshot-manager: Assert on g_file_test
  * gitlab-ci: Use meson to run the tests
  * README: Update test instructions
  * tests: Use minimal device resolution for phoc
  * tests: full-shell tests: Use temporary file for XDG_RUNTIME_DIR
  * tests: Run more tests in parallel
  * gitlab-ci: Switch Debian builds to bookworm
  * gitlab-ci: Generate locales needed for the screenshot tests
  * gitlab-ci: Fix registry URL
  * testlib: Init libcallui as well
  * testlib: Allow to send modifiers via virtual keyboard as well
  * top-panel: Handle toggle-message-tray keybinding
  * tests: Take screenshots
  * gitlab-ci: Expose test results and screenshots prominently
  * batteryinfo: Show missing battery icon when we can't connect to upower
  * batteryinfo: Make widget insensitive without battery
  * wifimanager: Always return an icon name
  * tests: Generate screenshots for ja_JP as well
  * gitlab-ci: Condense all screenshots of a locale into a single image
  * Merge branch 'test-screenshots' into 'main'
  * calls-manager: Drop out early on duplicate call ids
  * testlib: Add a simple call mock
  * tests: take-screenshots: Screenshot ongoing call too
  * tests: take-screenshots: Don't hardcode screenshot numbers
  * tests: take-screenshots: Screenshot keypad as well
  * tests: take-screenshots: Screenshot media player too
  * tests: take-screenshots: Pass main loop around instead of context
  * Merge branch 'more-screenshots' into 'main'
  * app-tracker: Adjust to "launch-started" DBus API
  * app-trcker: Handle timeouts
  * splash: Remove timeout
  * Merge branch 'launch-splash-new-glib-api' into 'main'
  * notifications: Reduce spacing between content and header
  * Merge branch 'notification-spacing' into 'main'
  * shell: Print monitor width/height too
  * monitor: Take mode into account for fractional scale
  * Merge branch 'mode-width' into 'main'
  * splash-manager: Don't leak schema
  * media-player: Make player status enum public
  * media-player: Add methods to play/pause and query status
  * settings: Use headphone icons when headphone is plugged
  * settings: Stop media player playback when headphone gets unplugged
  * Merge branch 'headphones' into 'main'
  * Merge branch 'for-next/898' into 'main'
  * media-player: Use rounded buttons
  * Merge branch 'media-player-css' into 'main'
  * Move adaptive apps filter to the bottom
  * Merge branch 'move-filter-btn' into 'main'
  * splash: Use same icon shadow in light and dark mode
  * Merge branch 'dropicon-shadow' into 'main'
  * Merge branch 'issue/330' into 'main'
  * wifimanager: Simplify switch
  * wifimanager: Use g_set_object to set dev
  * wifimanager: Unref connection on update
  * wifimanager: Unref connection when there's no active one
  * Merge branch 'wifi-conn' into 'main'
  * media-player: Reset artist/title/url without metadata
  * media-player: Don't clear title and artist when player stops
  * Merge branch 'media-player-state' into 'main'
  * call: Drop unused include
  * shell: Fix callback signature
  * protocol: Update to latest phosh-private
  * shell: Notify compositor that shell is ready
  * d/control: Depend on phoc > 0.9.0
  * session: Enable shell mode
  * Merge branch 'shell-ready' into 'main'
  * media-player: Make play button circular
  * media-player: Don't use `-1` as icon size
  * media-player: Make play/pause icon a bit smaller
  * Merge branch 'media-player-css' into 'main'
  * build: Drop arguments unknown to subproject
  * build: Drop possitional arguments from i18n.merge_file
  * build: Fix custom_target()
  * Merge branch 'meson-60' into 'main'
  * activity: Use the correct background style for drawing the background
  * activity: Move the close button over the thumnail
  * activity: Always align thumnails to the top.
  * Merge branch 'app-id' into 'main'
  * Document changes and release 0.14.0
  * Merge branch 'rel-0.14.0' into 'main'
  * lockscreen: Use margin-{start,end} instead of margin-{left,right}
  * lockscreen: Remove superfluous no_show_all property
  * top-panel: Use margin-{start,end} instead of margin-{left,right}
  * app-grid-button: Use margin-{start,end} instead of margin-{left,right}
  * app-grid: Use margin-{start,end} instead of margin-{left,right}
  * home: Use margin-{start,end} instead of margin-{left,right}
  * media-player: Use margin-{start,end} instead of margin-{left,right}
  * settings-menu: Use margin-{start,end} instead of margin-{left,right}
  * Merge branch 'deprecated-props' into 'main'

  [ Sebastian Krzyszkowiak ]
  * Merge branch 'activity-bg' into 'main'
  * util: Introduce phosh_get_desktop_app_info_for_app_id
  * phosh_get_desktop_app_info_for_app_id: Add gnome-usage to mappings

  [ Florian Loers ]
  * activity: Drop activity labels
  * activity: Remove title field
  * activity: Add icon-dropshadow to activity icon

  [ Oliver Smith ]
  * editorconfig: treat *.ui like xml
  * media-player: add seek buttons
  * media-player: various visual tweaks

  [ Matej Urbančič ]
  * Add Slovenian translation

  [ Goran Vidović ]
  * Update Croatian translation
  * Update Croatian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 30 Oct 2021 15:52:09 +0200

phosh (0.13.1-1droidian1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * data: phosh.ini: set default scaling for primary hwcomposer display to 3

  [ Evangelos Ribeiro Tzaras ]
  * proximity: Only act on changes if we claimed the sensor

  [ Sebastian Krzyszkowiak ]
  * Merge branch 'boot-flickr' into 'main'
  * Merge branch 'launch-splash' into 'main'

  [ Guido Günther ]
  * Merge branch 'wip/sadiq/use-hotspot-icon' into 'main'
  * notify-manager: Move schema paths and key defines to header
  * Merge branch 'dedup-notification-keys' into 'main'
  * Merge branch 'italian-updates' into 'main'
  * osd: Hide label when empty
  * Merge branch 'empty-osd-label' into 'main'
  * phosh.service: Reduce boot flicker
  * torch-manager: Don't emit a warning when no torch is found
  * system-modal-dialog: Drop `can-focus` proprties that use default value
  * util: Add helper to strip '.desktop' from app_id
  * Add PhoshSplash
  * Add marshalers list
  * phosh-private: Update phosh-private protocol from phoc
  * phosh-private: Emit signals when we receive startup-ids
  * phosh-wayland: Allow to retrieve phosh_private protocol version
  * wayland: Use defines instead of hard coding protocol versions
  * Add app-tracker
  * app-grid-button: Use app-tracker for app launching
  * Add splash-manager
  * shell: Add and parse debug flags
  * splash-manager: Only show splash when not docked
  * splash: Allow to prefer dark theme
  * splash-manager: Honor global dark theme preference

  [ Vittorio Monti ]
  * po: Update Italian translation

  [ Jiri Groenroos ]
  * Update Finnish translation

  [ Mohammed Sadiq ]
  * wifimanager: Use hotspot icon if wifi hotspot is active

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Goran Vidović ]
  * Add Croatian translation

  [ Zander Brown ]
  * Update British English translation

  [ Nathan Follens ]
  * Update Dutch translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 02 Oct 2021 20:26:08 +0200

phosh (0.13.1-1droidian0) bullseye; urgency=medium

  * Merge tag 'upstream/0.13.1' into feature/bullseye/upgrade-0.13.1
  * packaging: relax gnome-calls breaking version

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 10 Sep 2021 13:44:20 +0200

phosh (0.13.0-1droidian2) bullseye; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #5 from droidian/feature/bullseye/voicecall

  [ Eugenio Paolantonio (g7) ]
  * gvc: use the droidian-flavoured libgnome-volume-control
  * meson: ensure gvc is built with the 'with-droidian-extensions' option
  * settings: gvc-channel-bar: allow to create a bar with a custom icon via the new gvc_channel_bar_new_with_icon() function
  * settings: allow changing call volume of phone call streams. Part of droidian/meta#2
  * settings: gvc-channel-bar: fix max vol retrieval with newer gvcs

  [ Danial Behzadi ]
  * Update Persian translation

 -- Eugenio Paolantonio <me@medesimo.eu>  Fri, 10 Sep 2021 12:04:57 +0200

phosh (0.13.0-1droidian1) bullseye; urgency=medium

  [ Giuseppe Corti ]
  * Merge pull request #4 from droidian/feature/bullseye/0.13.0-flashlightd

  [ r3vn ]
  * torch-manager: Add flashlightd support
  * setting: hide torch brightness slider

  [ Guido Günther ]
  * NEWS: fix credits and typo
  * d/gbp.conf: Switch development branch to main
  * d/control: Bump breaks on gnome-calls
  * Merge branch 'fixes' into 'main'
  * ci: Add font to alpine image
  * Merge branch 'alpine-ci' into 'main'
  * notification-frame: Align timestamp to the end
  * notify-manager: Add method to close all notifications
  * settings-menu: Add heading to notifications list-box
  * Add callback to clear all notifications
  * Merge branch 'notification-clear-all' into 'main'
  * build: libcall-ui moved to /World/Phosh too
  * Merge branch 'call-ui-move' into 'main'
  * ci: Be verbose when installing alpine deps
  * Merge branch 'alpine-verbose' into 'main'
  * media-player: Fix button order
  * media-player: Move navigation buttons into a box
  * media-player: Drop receives-default properties
  * media-player: Remove margin
  * media-player: Use the same border radius than notifications
  * media-player: Switch artist and title
  * media-player: Drop lockscreen styling
  * media-player: Improve button layour and styling
  * media-player: Use larger icon
  * lockscreen: Use less margin between elements
  * Merge branch 'media-player' into 'main'
  * Merge branch 'wip/disable-build-test-on-nocheck' into 'main'
  * Add initial PhoshMountOperation
  * mount-manager: Use PhoshMountOperation
  * Merge branch 'gmountoperation' into 'main'
  * shell: Use fractional scale for phosh_shell_get_usable_area too
  * overview: Use fractional monitor scale
  * monitor: Drop integer scale
  * tests: Add test for head scale calculations
  * monitor-manager: Support fractional scale DisplayConfig
  * Revert "monitor-manager: Flip transform"
  * Merge branch 'primary-frac-scale' into 'main'
  * Rename panel top top-panel
  * top-panel: Drop priv
  * Merge branch 'top-panel' into 'main'
  * home: Don't pass on <return> to search bar
  * Merge branch 'search-launch-twice' into 'main'
  * Document changes and release 0.13.1
  * Merge branch 'rel-0.13.1' into 'main'

  [ Andika Triwidada ]
  * Update Indonesian translation

  [ Michael Oppliger ]
  * Update German translation

  [ Mohammed Sadiq ]
  * d/rules: Disable building tests if 'nocheck' set

  [ Daniel Șerbănescu ]
  * Update Romanian translation

  [ Kristjan SCHMIDT ]
  * Update Esperanto translation

 -- Giuseppe Corti <giuseppe.corti@protonmail.com>  Tue, 31 Aug 2021 23:23:51 +0200

phosh (0.13.0-1droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.12.1' into feature/bullseye/upgrade-0.12.1
  * [packaging] Allow picking up older kernel headers
  * Merge tag 'upstream/0.13.0' into feature/bullseye/upgrade-0.13.0

  [ Marc Riera ]
  * Update Catalan translation

  [ Guido Günther ]
  * data: Add gsd-wwan to required components
  * tests: Remove smoke test
  * overview: Don't set CSS name twice
  * protocol: Sort wayland protocols alphabetically
  * phosh-wayland: Sort wayland protocol headers alphabetically
  * shell: Sort manager objects
  * phosh-wayland: Get virtual-keyboard-manager
  * tests: Allow to inject virtual keyboard events
  * system-modal-dialog: Allow to get and remove buttons
  * Implement most parts of org.Gtk.MountOperationHandler
  * data: Add Phosh to DestkopNames
  * data: Only apply gsetting overrides to Phosh session
  * screenshot-manager: Remove opaque handler in dispose
  * screenshot-manager: Actually set fader_id
  * lockscreen-manager: Shorten property enum values
  * proximity: Fix function spacing
  * lockscreen: Drop style class
  * Drop HANDY_USE_UNSTABLE_API
  * Add calls manager
  * lockscreen-manager: Unblank on incoming calls
  * proximity: Only use proximity sensor on active calls
  * debian: Add breaks relationship on older calls
  * libhandy API isn't unstable anymore
  * overview: sort includes
  * shell: Shorten property names
  * overview: Add missing G_{BEGIN,END}_DECLS
  * app-grid: Unref sorted model
  * gitlab-ci: Build against PureOS byzantium
  * data: Always set `hidden_under_systemd`
  * build: Set include dirs explicitly
  * build: Drop -I. from project_arguments
  * hks-manager: Fix typo
  * hks-manager: Don't assert but rather use unknown opration type
  * build: Write config.h later
  * hks-manager: Use rfkill_event_ext when available
  * debian: Build-depend on recent kernel headers
  * hks-manger: Don't leak list
  * home: Reveal whole home-bar instead of only arrow
  * home: Add getter for overview
  * overview: Add getter for the app-grid
  * app-grid: Allow to filter for adaptive apps only
  * app-grid: Allow for a configured list of adaptive apps
  * app-grid: Move signal enum above class
  * app-grid: Allow to toggle adaptive app filtering via setter and property
  * app-grid: Move object cleanup to dispose()
  * app-grid: Add menu button to toggle adaptive app filtering
  * shell: Sync adaptive app filtering with docked mode
  * Allow to toggle app filtering globally
  * data: Update adaptive app defaults
  * calls-manager: Add alerting to "active" state
  * d/changelog: Remove duplicate entry
  * Add NEWS file
  * Document changes and release 0.12.0
  * d/changelog: Bump version to 0.12.0
  * d/control: Bump phoc recommends
  * rotation-manager: Clarify debug message
  * rotation-manager: Don't claim accelerometer with orientation-lock
  * shell: Move public functions to the end of the file
  * shell: Add guards to public functions
  * shell: Protect against lockscreen-manager not being up yet
  * overview: Only lookup activity if needed
  * overview: Change activity type
  * overview: Unset activity when toplevel goes away
  * location-manager: Unref dbus proxy
  * bt-manager: Unref dbus proxy
  * wwan-mm: Unref modem dbus proxies
  * wwan-mm: Simplify chain up
  * lockscreen-manager Unref session-presence proxy
  * screenshot-manager: Don't hold ref when acquiring the bus
  * location-manager: Don't hold a ref during name watching
  * torch-manager: Cancel proxy creation on dispose
  * monitor-manager: Adjust DBus naming
  * mode-manager: Avoid warning when DBus operation got cancelled
  * tests: Fix alphabetic ordering
  * testlib: Simplify getting a useful shell object
  * test-notify-manager: Use testlib helpers
  * test-monitor-manager: Use testlib helpers
  * test-screenshot-manager: Use testlib helpers
  * calls-manager: Move state enum to header file
  * calls-manager: Don't clear calls hash when name owner goes away
  * gcovr: Exclude subprojects from coverage
  * Add support for using glib as a subproject
  * gitlab-ci: Run extended tests on bullseye
  * calls-manager: Add test
  * build: It's phosh, not libhandy
  * phosh-wwan: Return NULL not boolean
  * check-po: Check for ui files too
  * po: Add gtk-mount-prompt.ui
  * po: Use wildcard to ignore subprojects
  * docs: Add calls DBus protocol
  * HACKING: document that we prefer css names over style classes
  * lockscreen: Drop style class
  * lockscreen: Use enum for page names
  * lockscreen: Fix indentation
  * lockscreen: Use g_clear_handle_id ()
  * Document changes and release 0.12.1
  * doap: Add gnome userids
  * shell: Select a different style sheet for HighContrast theme
  * css: Drop .phosh-settings-row and .phosh-settings-listboxrow
  * css: Drop duplicated properties
  * css: HighContrast: Use a 1px border for panel buttons
  * home: Make keyboard handlign a bit more standard
  * overview: Focus search when user starts typing
  * gitlab-ci: Drop unused vars
  * gitlab-ci.yml: Drop and adjust tags
  * gitlab-ci: Publish docs
  * gitlab-ci: Speed up package build
  * Change URLs to gitlab.gnome.org
  * README: mention API docs
  * Merge branch 'move-to-gnome' into 'main'
  * Add dockerfile to create image
  * gitlab-ci: Use custom docker image for most jobs
  * gitlab-ci: Use prebuilt image for 32bit build too
  * Merge branch 'docker' into 'main'
  * dbus: Update calls protocol
  * Add libcall-ui as submodule
  * main: Initialize libcall-ui
  * phosh-call: Add DBus based implementation of the call-ui-call interface
  * lockscreen: Allow to accept incoming calls
  * call: Handle can-dtmf
  * schema: Calls moved to org.gnome
  * Move the calls DBus interface to org.gnome.Calls
  * Merge branch 'accept-calls' into 'main'
  * monitor: Allow to get fractional scale
  * background: Scale by fractional output scale
  * Merge branch 'background-scale' into 'main'
  * tests: Stub phosh_shell_get_locked()
  * Move feedback for notifications to a separat class
  * notify-feedback: Adjust event name based on notification category
  * Merge branch 'notification-event-type' into 'main'
  * Merge branch 'hide-power-popover' into 'main'
  * panel: Connect to "setting-done" only once
  * Merge branch 'settings-done-signal' into 'main'
  * tests: Add stubs for notify-server-standalone
  * notification-content: Allow to show/hide body and actions
  * notification-frame: Add show-body property
  * lockscreen-manager: Allow to scroll to a lock screen page programatically
  * lockscreen: Display notification summary
  * lockscreen: Add missing guard to public function
  * notify-manager: Trigger scroll to unlock page if shell is locked
  * lockscreen: Handle "show-in-lock-screen" gsetting
  * Merge branch 'lockscreen-notify' into 'main'
  * Merge branch 'rotate-feedback-profiles' into 'main'
  * gresources: Sort icons alphabetically
  * feedback-manager: Use separate icon for quiet mode
  * Merge branch 'feedback-quiet' into 'main'
  * Merge branch 'notif-style' into 'main'
  * Release 0.13.0
  * Merge branch 'rel-0.13' into 'main'

  [ Zander Brown ]
  * notifications: Dim icon
  * notifications: Use a bit less space between icon and title

  [ Pablo Correa Gómez ]
  * feedback-manager: Rotate profiles on touch to quick settings

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Mohammed Sadiq ]
  * panel: Hide power popover on tapping topbar if open
  * panel: Return GDK_EVENT_PROPAGATE in button-press-event handler

  [ Yuri Chornoivan ]
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * po: Update Swedish translation
  * Update Swedish translation

  [ Guido Gunther ]
  * Merge branch 'systemd-wwan' into 'master'
  * Merge branch 'org-gtk-mounthandler' into 'master'
  * Merge branch 'gwarning' into 'master'
  * Merge branch 'phosh-gsettings' into 'master'
  * Merge branch 'calls' into 'master'
  * Merge branch 'cleanups' into 'master'
  * Merge branch 'hks-ext' into 'master'
  * Merge branch 'overview-vert-space' into 'master'
  * Merge branch 'only-adaptive-apps' into 'master'
  * Merge branch 'update_uk17' into 'master'
  * Merge branch 'call-state-allerting' into 'master'
  * Merge branch 'rel-0.12.0' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'accel-claim' into 'master'
  * Merge branch 'fix-criticals' into 'master'
  * Merge branch 'schema' into 'master'
  * Merge branch 'desktop' into 'master'
  * Merge branch 'margins' into 'master'
  * Merge branch 'test-cleanups-and-resource-fixes' into 'master'
  * Merge branch 'calls-manager-test' into 'master'
  * Merge branch 'cleanups' into 'master'
  * Merge branch 'po-it' into 'master'
  * Merge branch 'update_uk18' into 'master'
  * Merge branch 'l10n-sv' into 'master'
  * Merge branch 'rel-0.12.1' into 'master'
  * Merge branch 'italian-update' into 'master'
  * Merge branch 'wip/a-wai/logind-torch' into 'master'
  * Merge branch 'doap' into 'master'
  * Merge branch 'hight-contrast' into 'master'
  * Merge branch 'overview-search' into 'master'

  [ Arnaud Ferraris ]
  * torch-manager: use logind instead of upower for toggling the torch
  * dbus: remove upower torch protocol
  * d/control: add build dependency on libgudev
  * gitlab-ci: add missing dependency for alpine-based jobs

  [ Vittorio Monti ]
  * po: Update Italian translation
  * po: Update Italian translation

  [ Sebastian Krzyszkowiak ]
  * Revert "data: Update adaptive app defaults"
  * data/phosh.service: Add Phosh to XDG_CURRENT_DESKTOP
  * style: Adjust search bar spacing

  [ ZenWalker ]
  * brightness: 'g_warning' instead 'g_error'

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 10 Aug 2021 23:14:08 +0200

phosh (0.11.0-1droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.11.0' into feature/bullseye/upgrade-0.11.0

  [ Guido Gunther ]
  * Merge branch 'romanian-updates' into 'master'
  * Merge branch 'po-jp' into 'master'
  * Merge branch 'wip/sadiq/fix-build' into 'master'
  * Merge branch 'screenshot-followup-1' into 'master'
  * Merge branch 'hide-panel-popover' into 'master'
  * Merge branch 'use-tabular-clock-font' into 'master'
  * Merge branch 'top-panel-style' into 'master'
  * Merge branch 'rel-0.10.2' into 'master'
  * Merge branch 'test-shell' into 'master'
  * Merge branch 'bump-glib' into 'master'
  * Merge branch 'redundantAssignment' into 'master'
  * Merge branch 'move-media-player' into 'master'
  * Merge branch 'DeadInitialization' into 'master'
  * Merge branch 'remove-reassignment' into 'master'
  * Merge branch 'faster-fading-proximity' into 'master'
  * Merge branch 'resource-cleanups-part-2' into 'master'
  * Merge branch 'dialog-cancel' into 'master'
  * Merge branch 'wifi-bt-quick-toggles' into 'master'
  * Merge branch 'use-idle-manager-test' into 'master'
  * Merge branch 'jp-esd' into 'master'
  * Merge branch 'wifi-bt-disabled' into 'master'
  * Merge branch 'torch-slider' into 'master'
  * Merge branch 'wwan-quick-toggle' into 'master'
  * Merge branch 'dh13' into 'master'
  * Merge branch 'battery-percent' into 'master'
  * Merge branch 'systemd' into 'master'
  * Merge branch 'sd-notify' into 'master'
  * Merge branch 'review/830/v1' into 'master'
  * Merge branch 'rel-0.11.0' into 'master'

  [ Guido Günther ]
  * css: Fix indentation
  * system-modal-dialogs: Add box shadow
  * proximity: Make sure we destroy the fader when we unclaim the sensor
  * home: Fix indentation
  * home: Fix use after free
  * system-modal: Drop unused struct member
  * screenshot-manager: Drop superfluous newline from debug message
  * wl-buffer: Name first argument 'self'
  * wl-buffer: Allow to get data as GBytes
  * util: Add macro for empty or null string detection
  * fader: Simplify fader
  * fader: Allow to set style class
  * screenshot-manager: Move filename handling to separate function
  * screenshot-manager: Copy to clipboard if filename is empty
  * screenshot-manager: Use fader for screen flashing
  * screensaver-manager: Use an opaque surface to copy to clipboard
  * Document changes and release 0.10.2
  * d/control: Mark build-deps as nocheck
  * gitlab-ci: Avoid some build-deps for cross-builds
  * system-promper: Cleanup properly
  * idle-manager: Guard against disposing multiple times
  * polkit-auth-agent: Indentation fixups
  * polkit-auth-agent: Don't leak error in error path
  * build: Use files()
  * test-app-grid-button: Drop test for expected message
  * d/control: Add dbus-x11
  * build: add static phosh lib too
  * tests: Create shell object
  * d/control: Add more schemas
  * tests: Make shell enter main loop
  * gitlab-ci: Drop the one output smoke-test
  * gitlab-ci: Use gcovr instead of lcov
  * Add gcovr configuration
  * Bump glib requirement to 2.62
  * Use g_clear_signal_handler
  * brightness: Use simpler g_clear_object
  * mode-manager: Use correct type
  * home: Use correct type
  * monitor: Use proper cast
  * gnome-shell-manager: Run parent constructor first
  * media-player: Unconditionally dispose DBus connection
  * system-prompter: Always unown DBus name
  * idle-manager: Unown DBus name
  * monitor-manager: Unown DBus name
  * notify-manager: Unown DBus name
  * screen-saver-manager: Unown DBus name
  * gnome-shell-manager: Unown DBus name
  * shell: Dispose keyboard_events past gnome-shell-manager
  * gnome-shell-manager: Properly free grabbed keybindings
  * gnome-shell-manager: Handle DBus skeleton export error
  * screensaver-manager: Dup lockscreen-manager
  * on_bus_acquired: Use proper cast with type check
  * location-manager: Unwatch name on dispose
  * location-manager: Unexport the interface
  * gnome-shell-manager: Unexport the interface
  * monitor-manager: Unexport the interface
  * notify-manager: Unexport the interface
  * screen-saver-manager: Unexport the interface
  * screenshot-manager: Don't opencode g_clear_handle_id
  * screenshot-manager: Unexport the interface
  * session-manager: Unexport the interface
  * lockscreen: Move player to center widget
  * screenshot-manager: Only flash screen on success
  * shell: Remove some trailing whitespace
  * tests: Use define for startup-timeout magic constant
  * util: Add helper for the common async callback error checking
  * connectivity-info: Cancel nmclient acquisition on dispose
  * wifimanager: Cancel nmclient acquisition on dispose
  * session-manager: Cancel session registration on dispose
  * brightness: Cancel proxy creation on dispose
  * gnome-shell-manager: Don't ref self when trying to own name
  * monitor-manager: Don't ref self when trying to own name
  * modem-manager: Cancel proxy acquisition
  * background: Cancel async operation on dispose
  * rotation-manager: Cancel async operation on dispose
  * wwan-mm: Cancel async operation
  * Add PhoshManager
  * mode-manager: Use manager
  * bt-manager: Move functions between class_init and init upwards
  * bt-manager: Use manager
  * torch-manager: Move functions between class_init and init upwards
  * torch-manager: Use manager
  * status-icon: Add idle_init virtual method
  * torch-info: Use status-icon's idle_init
  * wwaninfo: Use status-icon's idle_init
  * bt-info: Use status-icon idle_init
  * docked-info: Use status-icon idle_init
  * wifiinfo: Use status-icon idle_init
  * home: Drop idle callback
  * media-player: Cancel idle callback in dispose
  * Replace some g_warning()s with g_message()
  * batteryinfo: Use g_autoptr
  * polkit: better error message
  * polkit: Lower warning when we fail to get session
  * Move DBus connect failures from warning to debug
  * tests: Drain event loop in shell test
  * screensaver-manager: Cancel idle callback in dispose
  * screensaver-manager: Don't hold ref on self during g_bus_own_name
  * wifimanager: Don't use warning when failing to register agent
  * wifimanager: Don't use warning when failing to connect to NM
  * wifimanager: Unref access point
  * background-manager: Allow to retrieve backgrounds
  * shell: Allow to retrieve background-manager
  * notify-manager: Don't hold ref when owning dbus name
  * test-shell: Simplify shell setup and tear down
  * test-shell: Add test with two outputs
  * gitlab-ci: Drop two-output test
  * ui: Remove receive-default properties from check buttons
  * system-modal-dialog: Drop unused dispose
  * polkit-auth-prompt: Simplify by using template_callback
  * polkit-auth-prompt: Use correct cast
  * polkit-auth-prompt: Drop receives-default
  * system-prompt: Drop property descriptions
  * system-prompt: Simplify by using template_callback
  * system-prompt: Drop receives-default
  * network-auth-prompt: Drop receives-default
  * app-auth-prompt: Drop receives-default
  * end-session-dialog: Drop receives-default
  * end-session-dialog: Set focus
  * end-session-dialog: Avoid creating a row
  * end-session-dialog: Make listbox insensitive
  * mode-manager: Don't use wl before we checked the async operation
  * wifimanager: Don't check type before async error check
  * docs: Drop coverage report
  * wwan: Move wwan DBus sources to src/dbus
  * monitor: Move DisplayConfig DBus sources to src/dbus
  * osk: Move OSK0 DBus sources to src/dbus
  * osk: Move to src/
  * tests: testlib: Unregister timeout handler
  * tests: testlib: Don't fetch outputs early
  * tests: Always run idle-manager test
  * tests: Add initial screenshot-manager test
  * Add initial monitor-manager test
  * tests: Add initial notify-manager test
  * gitlab-ci: Use libglade-common from experimental too
  * po: ja: Fix printf format in translation
  * po: ja: Remove second plural forms
  * gitlab-ci: Install gettext
  * Move po check from gitlab-ci to a tools/
  * tools/check-po: Check po files via msgfmt
  * top-panel: Indicate disabled state for wifi and bt
  * settings: Add torch brightness slider
  * debian: Switch to debhelper 13
  * hacking: Fix property function names
  * Add css names to info widgets
  * top-panel: Add css name
  * top-panel: Always use bold font for indicators
  * batteryinfo: Drop superfluous NULL checks
  * batteryinfo: Add optional label with battery percentage
  * panel: Honor show-battery-percentage
  * debian: Use systemd
  * notify-manager: Fix docstring
  * notifications: Expand docs a bit
  * notification-content: Make sure we disconnect on dispose
  * shell: Emit signal when shell is fully up
  * tests: Test shell ready
  * main: Measure startup time
  * main: Inform systemd we're up
  * systemd: Inform systemd we support notify
  * tests: Don't hardcode version
  * Document changes and release 0.11.0

  [ Vittorio Monti ]
  * po: Update Italian translation

  [ Zander Brown ]
  * Merge branch 'notifiction-content-lifetime' into 'master'

  [ Zhaofeng Li ]
  * data: Generate required session components from an array
  * Add systemd user units
  * Allow the compositor path to be overridden in a Meson option
  * Add environment variable to support overriding the gnome-session executable

  [ lajonss ]
  * settings.c: quick settings Wi-Fi and BT toggle
  * settings: wwan quick toggle

  [ Dylan Van Assche ]
  * proximity: faster proximity fading

  [ Pablo Correa Gómez ]
  * settings: Remove duplicated assignment after check

  [ ZenWalker ]
  * layersurface: avoid redundant assignment
  * end-session-dialog: avoid redundant assignment

  [ Sebastian Krzyszkowiak ]
  * Merge branch 'modal-dialog-css' into 'master'
  * Merge branch 'prox-unblank' into 'master'
  * Merge branch 'use-after-free' into 'master'
  * Merge branch 'resource-cleanups' into 'master'

  [ Mohammed Sadiq ]
  * meson: Fix build with tests disabled
  * panel: Hide popover before folding top panel
  * style: Use tabular font for clocks
  * top-panel: Update power button style to match design

  [ 寮 ]
  * po: Update Japanese translation

  [ Daniel Șerbănescu ]
  * po: Update Romanian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 31 May 2021 20:39:13 +0200

phosh (0.10.1-1+droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]
  * Merge tag 'upstream/0.10.0' into feature/bullseye/upgrade-0.10.0
  * Merge tag 'upstream/0.10.1' into feature/bullseye/upgrade-0.10.0
  * Merge branch 'feature/bullseye/upgrade-0.10.0' into bullseye

  [ Guido Gunther ]
  * Merge branch 'docked' into 'master'
  * Merge branch 'screenshot' into 'master'
  * Merge branch 'l10n-sv' into 'master'
  * Merge branch 'fix_typo_monitor' into 'master'
  * Merge branch 'scootergrisen-master-patch-03788' into 'master'
  * Merge branch 'update_uk16' into 'master'
  * Merge branch 'l10n-sv' into 'master'

  [ Anders Jonsson ]
  * po: Update Swedish translation
  * po: Update Swedish translation

  [ Yuri Chornoivan ]
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation

  [ scootergrisen ]
  * po: Update Danish translation

  [ Evangelos Ribeiro Tzaras ]
  * monitor-manager: fix typo

  [ Guido Günther ]
  * polkit-auth-prompt: Remove the button border
  * system-modal: Adjust button layout to designs
  * system-modal: Adjust dialog color to designs
  * system-prompt: Adjust to designs
  * network-auth-prompt: Adjust to designs
  * system-prompt: Add missing G_{BEGIN,END}_DECLS
  * app-auth-prompt: Used to authorize app permissions
  * location-manager: Use app-auth-manager to ask for geoclue permissions
  * dir-locals: Don't use tabs in ui files
  * test: Move get_monitor() to testlib
  * Add system-modal-dialog class
  * polkit-auth-prompt: Use PhoshSystemModalDialog
  * polkit-auth-prompt: Use SystemModalDialog's `dialog-canceled` signal
  * polkit-auth-prompt: Adjust to designs
  * system-modal-dialog: Allow to swipe away
  * system-modal-dialog: Limit width to 400px
  * app-auth-prompt: Use system-modal-dialog
  * system-prompt: Switch to system-modal-dialog
  * network-auth-prompt: Switch to system-modal-dialog
  * network-auth-dialog: Remove unused system-prompt-grid
  * style.css: Remove now unused styling
  * batteryinfo: Don't leak string
  * head: Don't reassign product
  * system-modal-dialog: Tweak system-modal-dialog CSS
  * dir-locals: Use 2 spaces for css indent
  * gnome-shell-manager: Properly name variable
  * docs: Add PhoshSystemModalDialog
  * app-list-model: Prefix timer with [phosh]
  * dbus: Add org.gnome.SessionManager.EndSessionDialog protocol
  * panel: Drop workarounds
  * tools: Add script to check end-session-dialog
  * Add PhoshEndSessionDialog
  * session: Export end-session-dialog
  * home: Don't reuse bindings
  * background: Don't leak slideshow
  * gnome-shell-manager: Don't leak GVariantIter
  * Document changes and release 0.10.0
  * rotateinfo: Fix indentation
  * monitor-manager: Fix doc string
  * torch: Make debug statement more useful
  * proximity: Handle NULL builtin monitor
  * shell: Create sensor-manager early
  * shell: Don't bother with accelerometer
  * shell: Decruft builtin monitor setup
  * Avoid sensor-proxy singleton
  * Add rotation-manager
  * rotateinfo: Display either rotation lock or orientation
  * settings: Add orientation lock to rotate quick setting
  * settings: Don't close menu when toggling rotation lock
  * Move Lockscreen rotation fixup to rotation-manager
  * rotateinfo: Use monitor from rotation-manager consistently
  * shell: Drop transform handling
  * rotation-manager: Mess with transform as little as possible
  * monitor: Update org.gnome.Mutter.DisplayConfig
  * monitor-manager: Drop supports-mirroring prop
  * monitor-manager: Handle panel-orientation-managed
  * monitor-manager: Delay 'monitor-added' until monitor is configured
  * shell: Handle builtin monitor dynamically
  * rotation-manager: Update tracked monitor
  * rotateinfo: Make insensitive when built-in monitor is disabled
  * end-session-dialog: Drop debug leftover
  * lockscreen-manager: Remove unused timeout property
  * lockscreen-manager: Document phosh_lockscreen_manager_set_locked
  * lockscreen: Fix signal name
  * monitor-manager: Clarify doc string
  * screen-saver-manager: Clarify debug message
  * shell: Look at the right manager
  * shell: Don't create loctation manager twice
  * location-manager: Translate location accuracy levels
  * location-manager: Translate location accuracy levels
  * dbus: Fix indentation
  * Add screenshot DBus protocol
  * wayland: Wire up screencopy global
  * Add wl-buffer
  * Add screenshot manager

  [ Sebastian Krzyszkowiak ]
  * style.css: Disable PhoshActivity's button transitions
  * docked-manager: Check whether docked mode can be enabled

  [ Jan Jasper de Kroon ]
  * po: Update Dutch translation

  [ Emin Tufan Çetin ]
  * po: Update Turkish translation

  [ Daniel Șerbănescu ]
  * po: Update Romanian translation

  [ Clayton Craft ]
  * meson: bump version to 0.10.0

  [ Balázs Meskó ]
  * po:Update Hungarian translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 17 Apr 2021 01:41:14 +0200

phosh (0.9.0-1+hybrismobian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.9.0' into feature/bullseye/upgrade-0.9.0

  [ Guido Günther ]
  * osd-window: Drop padding around levelbar
  * wwan-iface: Add 'enabled' property
  * wwan-mm: Complete PhoshMMModemState
  * wwan-mm: Handle 'enabled' property
  * wwan-ofono: Handle enabled property
  * wwaninfo: Correctly indicate disabled state
  * Add geoclue DBus interface files
  * Add geoclue location manager
  * Add "location service in use" indicator
  * location-manager: Reject all per app auth requests
  * polkit-auth-prompt: Make buttons use the whole width
  * polkit-auth-prompt: Move auth button creation into ui file
  * polkit-auth-prpmopt: Move info label next to icon
  * polkit-auth-agent: Make buttons a bit larger
  * style.css: Move spacing to content area
  * system-modal: Document the style classes
  * system-prompt: Use system-modal style classes
  * network-auth-prompt: Use system-modal style classes
  * system-modal: Use ultrabold font for title
  * top-panel: Add some spacing between the entries

  [ Andy Holmes ]
  * screen-saver-manager: fix type name in idle callback

  [ Evangelos Ribeiro Tzaras ]
  * shell: Use G_PARAM_STATIC_STRINGS for all properties
  * phosh_shell_get_state: Use enum value instead of magic constant
  * phosh_shell_get_state: Use `Removing from` instead of `Removing to` in debug message
  * shell: make `shell_state` a property

  [ Emin Tufan Çetin ]
  * po: Update Turkish translation

  [ Jan Jasper de Kroon ]
  * po: Update dutch translation

  [ Jaroslav Svoboda ]
  * po: Update Czech translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 20 Mar 2021 01:10:28 +0100

phosh (0.8.1-1+hybrismobian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/0.8.0' into feature/bullseye/upgrade-0.8.0
  * Merge tag 'upstream/0.8.1' into feature/bullseye/upgrade-0.8.0

  [ Erfan Abdi ]
  * monitor: Add hwc monitor support

  [ Guido Günther ]
  * settings: Make sure we rotate clockwise
  * shell: Properly sync lock property
  * polkit-auth-agent: Disable verbose debugging
  * polkit-auth-prompt: Unref session too
  * polkit-auth-agent: Toggle auth prompt with lockscreen visibility
  * wifimanager: Toggle network auth prompt with lockscreen visibility
  * system-prompter: Toggle system auth prompt with lockscreen visibility
  * monitor-manager: Clarify physical and logical monitors
  * monitor-manager: Use head for physical monitors in get_current_state
  * monitor-manager: Don't bother setting up modes in GetResources
  * monitor-manager: Make sure to bump serial on config changes
  * monitor-manager: Notify DBus listeners about config changes
  * monitor: Add description
  * head: Add connector information
  * Allow to switch output configurations
  * monitor-manager: Flip transform
  * protocols: Update wlr-output-management
  * head: Use v2 of wlr-output-management
  * monitor-manager: Improve display name
  * head: Add a mode name and lookup
  * monitor-manager: Set output resolution as well
  * head: Allow to fetch supported scales
  * monitor-manager: Allow to set scaling too
  * mode-manager: Improve external output detection
  * head: Allow for smaller logical area in portrait
  * head: Allow to easily clear all pending state.
  * polkit-auth-prompt: Grab focus on every request
  * system-prompter: Focus confirmation entry
  * system-prompter: Focus password entry
  * timestamp-label: Introduce phosh_time_diff_in_words
  * timestamp-label: Unbreak relative days and months
  * timestamp-label: Unbreak relative years
  * timestamp-label: Add more flexibility to formats
  * po: Update pot file
  * Document changes and release 0.8.0
  * debian: Drop debian/compat
  * shell: Simplify css loading
  * shell: Don't use magic constant for CSS provider priority
  * settings: Ensure types in shell
  * panel: Ensure types in shell
  * lockscreen: Ensure types in shell
  * shell: Move type setup to class_init
  * shell: Always use g_type_ensure
  * top-panel: Remove duplicate properties
  * top-panel: Untabify
  * ui: Untabify all files
  * service: Always restart
  * monitor: Add getter for wl_output
  * build: Move monitor sources to tool's lib
  * notification-banner: Always use primary output
  * layersurface: Don't make props construct-only
  * Add PhoshSystemModal
  * system-modal: Add minimal tests
  * system-prompt: Use PhoshSystemModal
  * polkit-auth-prompt: Use PhoshSystemModal
  * network-auth-prompt: Use PhoshSystemModal
  * network-auth-prompt: Focus password entry
  * system-modal: Add style class
  * Document changes and release 0.8.1
  * settings: Ref output stream
  * Add PhoshHksManager
  * shell: Add PhoshHksManager
  * data: Add icons for disabled camera and mic
  * Add PhoshHksInfo
  * top-panel: Add camera and microphone hks info
  * ci: Drop support for Debian buster and PureOS amber-phone
  * gitlab-ci: Drop CI repo remanents
  * gitlab-ci: Fetch libhandy-1 from Debian experimental
  * dbus: Shell: Add showOSD and add stub
  * Add PhoshOsdWindow
  * gitlab-ci: Install experimental dependencies before build-deps
  * Document changes and release 0.9.0

  [ Alexander Mikhaylenko ]
  * Bump libhandy version to 1.1.90
  * overview: Use long swipes

  [ Pierre Michel Augustin ]
  * po: Add Creole Haitian translation

  [ Evangelos Ribeiro Tzaras ]
  * minor: Fix typos, indendation and code style issues
  * shell-manager: Honor action modes
  * lockscreen: Set shell state
  * gnome-shell-manager: Distinguish lock and unlock screen
  * gnome-shell-manager: Pretty print grabMode mismatch
  * shell: Pretty print shell state changes
  * prompts: Update PhoshShellState
  * home: Update PhoshShellState
  * shell: screen blanking: Update PhoshShellState

  [ Sebastian Krzyszkowiak ]
  * gitlab-ci: Don't use global before_script for package jobs
  * gitlab-ci: Simplify package:deb-pureos-amber job
  * gitlab-ci: Use "needs" keyword instead of "dependencies" for test+docs stage
  * gitlab-ci: Use http URI for amber-phone repos
  * settings: Add a long-press shortcut to g-c-c display panel on "Docked" icon
  * PhoshHome: Hide overview when fully folded
  * PhoshHome: Fix jumping position when reversing an active animation

  [ Elias Rudberg ]
  * Add toplevels_pending array and keep toplevel pointers there initially,

  [ 寮 ]
  * po: Update Japanese translation
  * docked-info: Mark 'Undocked' as translatable too

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * po: Update Ukrainian translation

  [ xam ina ]
  * po: Update French translation

  [ Timo Jyrinki ]
  * po: Update Finnish translation

  [ Tomasz ]
  * Update Polish translation

  [ Anders Jonsson ]
  * po: Update Swedish translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 03 Mar 2021 01:22:44 +0100

phosh (0.7.1-1+hybrismobian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [ci] Switch to Drone CI
  * Merge tag 'v0.7.1' into feature/bullseye/upgrade-0.7.1

  [ Guido Günther ]
  * Revert "gitlab-ci: Use debian/sid instead of bullseye"
  * sensor-proxy-manager: Drop mistyped @description
  * Add session-manager
  * shell: Proxy active session
  * Add mount-manager
  * Use PhoshSessionManager instead of global functions
  * gitignore: Add generate files in Debian
  * notify-manager: Add method to submit notifiations
  * notification: Allow for a NULL timestamp
  * timstamp-label: Use 'now' instead of <15s
  * notifiction: Set source name
  * notification: Make a derivable type
  * notify-manager: Allow derived classes to use different action handlers
  * Add PhoshMountNotification
  * shell: Add method to get an app launch context
  * meson: Drop the upper glib version check
  * mount-manager: Indicate mounts via notifiations
  * mount-notification: Only add action if we have a handler
  * Add PhoshDBusNotification
  * notification: Move do_action into dbus-notifiation
  * data/phosh: Indent consistently with 2 spaces
  * data/phosh: Print version with `--version`
  * run: Simplify oneshot gdb
  * tests/smoke: Make gdb backtrace usable in smoketest
  * gitlab-ci: Make it simple to get a backtrace
  * background: Move image loading code to separate function
  * background: Add initial support for Background XML
  * network-auth-prompt: Handle "sae" for WPA3 support
  * util: Add helper to munge app-id
  * notification-manager: Add helper to determine if banners should be shown
  * notification-manager: Keep a list of applications around
  * shell: Only show banners for apps with show-banners
  * Document changes and release 0.7.0
  * background: Correctly chain up in dispose
  * Add initial stubs for org.gnome.Shell DBus protocoll
  * activity: Allow to focus
  * home: untabify
  * home: Add revealer
  * home: Use template_callback to bind clicked signal
  * home: Use template_callback to bind overview signals
  * home: Use template_callback to bind osk btn signals
  * overview: Simplify visibility setting
  * overview: Add property and getter for running activities
  * home: Sort template binds alphabetically
  * home: Hide arrow when there are no activities
  * gitlab-ci: Consolidate alpine deps
  * gitlab-ci: Add elogind-dev to alpine deps
  * util: Add helper to get systemd session
  * Handle logind's Lock and Unlock
  * phosh.service: Set session type and name
  * docs: Fix some typos and unbreak links
  * Document changes and release 0.7.1
  * keyboard-events: Drop newlines from `g_warning()`
  * d/control: Update from debian
  * d/control: Update dependencies/recommends from Debian
  * gitlab-ci: Drop test-package stage
  * Move overrides to data
  * Move systemd service to data/
  * lockscreen: Drop leading space in day of month
  * po: Adjust locales to string change
  * notify-manager: Don't leak notifiation

  [ xam ina ]
  * Update fr.po

  [ Arnaud Ferraris ]
  * data: add 'System' category to desktop entries

  [ Andika Triwidada ]
  * po: Add Indonesian translation
  * po: Update Indonesian translation

  [ Sebastian Krzyszkowiak ]
  * Remove custom drawing in system prompts

  [ Evangelos Ribeiro Tzaras ]
  * meson: bump version to 0.50
  * keyboard-events: Use GUINT macros instead of GINT
  * shell-manager: Implement keygrabbing
  * settings: get rid of explicit volume key handling
  * docs: add gnome-shell-manager and org.gnome.shell dbus interface

  [ Yuri Chornoivan ]
  * po: Update Ukrainian translation

  [ Alexander Mikhaylenko ]
  * Slide back windows that failed to close
  * Use easeOutBounce interpolator for the slide back animation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 29 Dec 2020 00:30:34 +0100

phosh (0.6.0-1+hybrismobian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [phosh] Build with Travis CI
  * [packaging] source: switch to non-native source format
  * util: implement phosh_convert_buffer
  * thumbnail: implement new method get_format
  * activity: phosh_activity_set_thumbnail: convert buffer data to ensure it's in ARGB format
  * Merge tag 'upstream/0.5.0' into feature/bullseye/upgrade-0.5.0
  * Merge tag 'upstream/0.6.0' into feature/bullseye/upgrade-0.6.0

  [ Guido Günther ]
  * Initial commit
  * Move panel to top
  * Update description
  * Initial Debian packaging
  * Send weston_desktop_shell_unlock on unlock
  * Move topleft label text out of ui file
  * Fix copyright years
  * Use prefix consistent with libhandy
  * Add css setup
  * Add support to launch favorites
  * Use lato font by default
  * Add basic settings menu
  * Allow to rotate display via setting
  * Set XDG_CURRENT_DESKTOP
  * Add mutter-mock dbus mock
  * Add settings button
  * Add rooston.ini
  * Drop empty pointless statement
  * README: fix package name
  * Merge branch 'gtk-pkg' of guido.gunther/phosh into master
  * Fix interface definition
  * Merge branch 'fix-schema' of guido.gunther/phosh into master
  * Add doap file
  * Merge branch 'doap' of guido.gunther/phosh into master
  * settings: include gtk+
  * Turn background into a GObject
  * Turn phosh into a GObject
  * Merge branch 'background' of guido.gunther/phosh into master
  * Don't use double underscores
  * Add .dir-locals.el
  * Don't use tabs for indentation
  * Merge branch 'underscores' of guido.gunther/phosh into master
  * Merge branch 'tabs' of guido.gunther/phosh into master
  * Kill tabs in README
  * shell: make rotation a property
  * panel: allow to query height
  * shell: allow to query the area usable by wayland clients
  * shell: create background after panel
  * Background: allow to load wallpaper from GSettings
  * Kill tabs in run.in
  * Merge branch 'tabs' of guido.gunther/phosh into master
  * Merge branch 'background-image' of guido.gunther/phosh into master
  * Don't send unlock event twice
  * lockscreen: use G_DECLARE_FINAL_TYPE
  * panel: use G_DECLARE_FINAL_TYPE
  * Don't mark clock time as translatable
  * Add po support
  * Add German translation
  * meson: generate tag files automatically
  * Document running phosh/rootston in one command
  * meson: Allow to process multiple wayland protocols
  * Add layer-shell protocol from wlroots
  * phosh: Don't crash if menus weren't created yet
  * phosh_shell_get_usable_area: don't fail when panel is not set up
  * phosh_shell_get_usable_area: Allow for NULL arguments
  * panel: Switch to layer-shell protocol
  * WiP: background: Switch to layer-shell protocol
  * WiP: menus: Switch to layer-shell protocol
  * lockscreen: Switch to layer-shell protocol
  * lockscreen: use idle protocol
  * Get wl_seat via GTK+
  * lockscreen: limit input to shell using input-inhibitor
  * Bring back rotation via private protocol
  * phosh: make singleton static
  * phosh: add property to control screen locking
  * settings: add button to lock screen
  * Turn favorites and settings menus into a xdg_popups
  * Make phosh private wayland extension optional
  * Disable background display due to layer-shell wlroots bug
  * favorites: Use correct size for weston-terminal button
  * Add test to check object lifecycle bugs easily
  * favorites: Free then unused icons
  * Merge branch 'layer-surfaces' of guido.gunther/phosh into master
  * Drop unused include
  * debian: Use xfvb-run to run the tests
  * panel: respect the users clock settings
  * Merge branch 'clock-format' of guido.gunther/phosh into master
  * debian: Build-dep on xfvb for the tests
  * debian: Install rooston.ini as example as well
  * debian: Move phosh to an architecture independent directory
  * debian: Build in _build
  * favorites: ignore uninstalled favorites
  * Merge branch 'debian' of guido.gunther/phosh into master
  * Depend on gnome-icon-theme
  * Merge branch 'master' of guido.gunther/phosh into master
  * favorites: Use utilities-terminal as terminal icon
  * Use epiphany instead of gnome-chess
  * Merge branch 'master' of guido.gunther/phosh into master
  * helpers: Drop mock postfix
  * Merge branch 'master' of guido.gunther/phosh into master
  * Lockscreen: use pin to unlock
  * Build-depend on a recent enough libhandy
  * debian: Fix typo in license information
  * Merge branch 'lockscreen' of guido.gunther/phosh into master
  * Depend on libhandy's dev package
  * Merge branch 'master' of guido.gunther/phosh into master
  * rooston.ini: map cursor of seat0 to HDMI display
  * run: Set G_MESSAGES_DEBUG=all
  * Indicate modem status in top bar and lockscreen
  * We require gettext and libhandy-0.0-dev to build
  * Merge branch 'wwaninfo' of guido.gunther/phosh into master
  * run: make it simple to run under e.g. valgrind
  * phosh: lockscreen robustness
  * phosh: fix lock property pspec
  * lockscreen: link to bugreport
  * lockscreen: make sure we don't disappear beneath our listener
  * wwan-mm: guard against priv->proxy being NULL
  * wwan-mm: Disconnect signal handlers on dispose()
  * wwaninfo: Tidy up a bit
  * wwaninfo: disconnect signal handlers on dispose()
  * Merge branch 'master' of guido.gunther/phosh into master
  * Set G_LOG_DOMAIN
  * run: add PHOSH_VALGRIND=1 to use valgrind
  * phosh: shut down on SIGTERM
  * rootston.ini: add some keybindings
  * phosh: Fix menu positioning with recent rootston/wlroots
  * phosh: Determine panel monitor
  * Merge branch 'dualscreen' of guido.gunther/phosh into master
  * Add arrows to the lockscreen
  * Merge branch 'arrows' of guido.gunther/phosh into master
  * Add PhoshLayerSurface
  * phosh: remember all outputs
  * phosh: lock non primary outputs too
  * phosh: fix property getting
  * lockscreen: drop (incorrect) size calculation
  * Merge branch 'lock-all-outputs' of guido.gunther/phosh into master
  * favorites: add more core apps
  * Merge branch 'more-apps' of guido.gunther/phosh into master
  * lockscreen: Show keypad when space is pressed
  * lockscreen: Make keypad grab focus when displayed
  * Merge branch 'unlockscreen-with-keyboard' into 'master'
  * Use config.h.in
  * lockscreen: clear number when switching to info page
  * phosh: lock screen on startup
  * Merge branch 'lock-on-startup' into 'master'
  * Merge branch 'clear-number-for-info-page' into 'master'
  * Merge branch 'config.h.in' into 'master'
  * lockscreen: Switch to info page when ESC is pressed on PIN entry
  * Merge branch 'esc-to-info' into 'master'
  * Display battery level on lockscreen and top panel
  * Merge branch 'battery' into 'master'
  * lockscreen: Authenticate via pam
  * debian: Build-depend on libpam0g-dev
  * Merge branch 'debian-pam' into 'master'
  * Remove wl_seats workaround
  * background: drop pointless quit
  * phosh: don't call finalize dispose
  * No need to guard finalize invocations
  * Merge branch 'finalize' into 'master'
  * lockscreen: set last input timestamp on every input
  * Cherry-pick sim related icons from Adwaita
  * wwan: use proper sim locked/missing icons
  * Merge branch 'lockscreen-idle-timer' into 'master'
  * Merge branch 'icons' into 'master'
  * lockscreen: switch to unlock page when typing a number
  * Merge branch 'unlock-number' into 'master'
  * Drop mutter-dbus-stub
  * Add org.gnome.Mutter.DisplayConfig.xml
  * monitor-manager: Export some of mutters DBus API
  * phosh: Use PhoshMonitor instead of maintaining a separate output list
  * Merge branch 'display' into 'master'
  * phosh: Properly close menus
  * phosh: assign singleton in main
  * phosh: allow to start unlocked
  * Merge branch 'menus' into 'master'
  * Merge branch 'unlocked' into 'master'
  * phosh: remove trailing whitespace
  * tests: Add phosh stubs
  * favorites: Make buttons circular
  * favorites: Draw buttons on (almost) transparent background.
  * favorites: wrap in a GtkFlowBox
  * favorites: Move weston-terminal to the end of the list
  * favorites: close menu when clicking anywhere on the screen
  * Merge branch 'favorites' into 'master'
  * README: Update dependencies
  * Depend on a released libhandy version
  * Add .gitlab-ci to build and test phosh
  * Merge branch 'gitlab-ci' into 'master'
  * Version library dependencies
  * Merge branch 'libdeps' into 'master'
  * rootston.ini: Add phone like geometry for virtual screen
  * Merge branch 'x86-screen-resolution' into 'master'
  * phosh: Use info level for compositor feature check message
  * wwaninfo: drop unused variales
  * wwaninfo: don't free signals when not connected
  * wwan-mm: be pessimistic and assume a failed modem is locked
  * wwaninfo: fix signal name
  * Merge branch 'O0' into 'master'
  * PhoshLockshield: Fix incorrect object type
  * PhoshLayerSurface: Emit signal when layer surface receives wayland's configure event
  * background: Unbreak compilation
  * background: Turn into PhoshSurfaceLayer
  * PhoshBackground: Scale according to window size
  * PhoshBackground: Delay background scaling until we receive the configure event
  * Merge branch 'background' into 'master'
  * run.in: properly use exec
  * phosh: Allow to get pointer to layer shell
  * phosh: Add method to get the primary monitor
  * wwan-mm: handle MM_MODEM_ACCESS_TECHNOLOGY_HSUPA | MM_MODEM_ACCESS_TECHNOLOGY_HSDPA
  * Merge branch 'cleanups' into 'master'
  * Drop weston.ini
  * debian: Add and install systemd unit
  * debian: Move rootston.ini out of examples
  * Merge branch 'systemd-unit' into 'master'
  * phosh: properly initialize lock variable
  * lockscreen: Use ● for types characters
  * Merge branch 'lockscreen-fixes' into 'master'
  * Update potfiles
  * Merge branch 'po' into 'master'
  * Merge branch 'spanish-translation' into 'master'
  * batteryinfo: Don't carry on when we fail to initialize
  * batteryinfo: check for valid device
  * smoketest: Start and stop phosh
  * Merge branch 'smoketest' into 'master'
  * panel: include gi18n.h for '_'
  * Merge branch 'fix-l18n' into 'master'
  * batteryinfo: Don't leak icon name
  * monitor-manager: Fix g_strdup_printf related leaks
  * phosh: Don't leak GOptionContext
  * Merge branch 'valgrind-fixes' into 'master'
  * run.in: Always use exec
  * valgrind: Improve call depth
  * valgrind: Add and use valgrind suppressions
  * smoketest: allow to set running time and valgrind
  * smoketest: Allow to set outuput dir
  * smoketest: Check for definite leaks
  * ci: Use eatmydata to speed up package installs
  * ci: Add test run under valgrind
  * Merge branch 'valgrind' into 'master'
  * phosh: use phosh_get_primary_monitor everywhere
  * Merge branch 'primary-monitor' into 'master'
  * Add gamma-control wayland protocol
  * monitor-manager: Implement org.gnome.Mutter.DisplayConfig {Set,Get}CrtcGamma
  * monitor-manager: Drop superfluous newlines in debug statements
  * phosh: Require version 2 of the wl_output protocol
  * monitor-manager: Ignore uninitialized displays
  * Merge branch 'gamma' into 'master'
  * Move Wayland registry specific code out of phosh.c
  * PhoshShell: Use *_get_default pattern for shell singleton too
  * Initialize g_auto{ptr,free} variables
  * PhoshShell: unref PhoshMonitorManager on cleanup
  * PhoshMonitorManager: Drop unused function
  * PhoshLockscreen: Fix missing loop initialization
  * Merge branch 'split-phosh' into 'master'
  * gitlab-ci: treat compile warnings as errors
  * gitlab-ci: save artifacacts on test failure too
  * valgrind: use a even deeper callstack
  * meson: Check for uninitialized variables
  * auth: Initialize ret
  * PhoshMonitorManager: Initialize scale
  * PhoshWWanMMPrivate: Initialize modem variable
  * PhoshWwanInfo: Fix missing loop initializations
  * Merge branch 'cleanups' into 'master'
  * gitlab-ci: Install debug packages for valgrind runs
  * PhoshWayland: chain up on dispose
  * Move screen locking code into PhoshLockscreenManager
  * PhoshLockscreen: Derive from LayerSurface
  * PhoshLockscreenManager: Bind timeout to org.gnome.desktop.session.idle-timeout
  * Merge branch 'lockscreen-manager' into 'master'
  * PhoshLayerSurface: Add accessors to get the {layer,wl}_surfaces
  * PhoshPanel: Turn into a LayerSurface
  * Merge branch 'panel-layer-surface' into 'master'
  * PhoshPanel: define PHOSH_TYPE_PANEL properly
  * PhoshShell: Declare PhoshBackground as PhoshLayerSurface too
  * PhoshPanel: drop stuff handled by PhoshLayerSurface
  * Add home button
  * Merge branch 'homebutton' into 'master'
  * Preface all LayerSurface namespaces with "phosh"
  * Merge branch 'ls-namespace' into 'master'
  * Add wrapper to launch rootston and make it spawn gnome-session
  * Add desktop file
  * Add session file
  * systemd-unit: Invoke /usr/bin/phosh
  * debian: Recommend gnome-session
  * Install rooston.ini via meson
  * systemd-unit: Set LANG
  * Document running phosh at system boot
  * debian: Make sure we don't restart rootston on upgrades
  * Merge branch 'session' into 'master'
  * settings: Make brightness slider work correctly
  * Merge branch 'fix-brightness' into 'master'
  * run.in: Run phosh under GDB with PHOSH_GDB=1
  * tests/smoke: Run without -x
  * tests/smoke: Start DBUS session bus instance
  * Add GcrSystemPrompter implementation
  * debian: Update package description
  * Merge branch 'wip/system-prompter' into 'master'
  * debian: Package description update
  * smoketest: Take screenshots during CI
  * smoketest: Ignore warning from g-s-d and other components
  * Merge branch 'ci-screenshots' into 'master'
  * phosh: Scale monitor resolution
  * Merge branch 'fix-menus-with-scale' into 'master'
  * Update German translation
  * Merge branch 'po-de' into 'master'
  * PhoshMonitor: properly detect current mode
  * PhoshMonitor: remember preferred mode as well
  * PhoshMonitor: add phosh_monitor_get_current mode
  * PhoshShell: When determining the current screen layout look at the current mode
  * PhoshMonitorManager: get preferred mode and current mode from monitor
  * Merge branch 'use-current-mode' into 'master'
  * Enable XWayland
  * Start gnome-session via a login shell
  * monitor: Fix WL_OUTPUT_PREFERRED_MODE comparison c'n'p error
  * Merge branch 'login-shell' into 'master'
  * Drop newlines from g_* logging funtions
  * layersurface: Fix wrong assertion
  * Merge branch 'fixes' into 'master'
  * Add issue template
  * Merge branch 'issue-template' into 'master'
  * meson: Move protocol building to protocol/
  * meson: Warn about unused functions
  * meson: Warn about old-style function definitions
  * meson: Properly sort in -Wmaybe-uninitialized
  * meson: Make missing declarations an error
  * meson: Enable more warnings
  * meson: Enable strict prototypes
  * meson: Forbid implicit fallthrough
  * Merge branch 'compile-warnings' into 'master'
  * Merge branch 'it' into 'master'
  * Merge branch 'patch-3' into 'master'
  * Merge branch 'gio-unix-dep' into 'master'
  * Standardize po headers
  * Merge branch 'po' into 'master'
  * Add chatty and calls to favorites
  * Merge branch 'favorites' into 'master'
  * Merge branch 'libhandy' into 'master'
  * README: explain -U to run initially unlocked.
  * settings: round bottom corners
  * favorites: Use an ui file
  * Add version two of the phosh-private protocol
  * Depend on recent gio
  * tests: Add more stubs
  * tests: Allow tests to depend on other source files from phosh as well
  * tests: add gresources to test dependencies
  * Add PhoshApp object
  * favorites: Use PhoshApp and phosh-private wayland protocol for app switching
  * README: Document how to run the tests
  * Merge branch 'master' into 'master'
  * gitlab-ci: Add debug symbols for dconf-gsettings-backend
  * valgrind: Ignore dconf's OutstandingWatch_leak for the moment
  * Merge branch 'valgrind' into 'master'
  * Fix typos
  * Merge branch 'typos' into 'master'
  * debian: Drop unused directory
  * debian: Switch to dh compat level 11
  * debian: Remove now superfluous dh_systemd_* overrides
  * destop-file: Only use categories known to desktop spec
  * debian: properly indent feature list
  * Merge branch 'debian' into 'master'
  * Merge branch 'fr' into 'master'
  * Merge branch 'nb002' into 'master'
  * Move main and signal handler to separate file
  * Rename phosh to shell
  * Merge branch 'split-out-main' into 'master'
  * Register phosh with gnome-session
  * favorites: evince moved to reverse DNS notation in 3.30
  * Merge branch 'evince' into 'master'
  * Merge branch 'add_virtboard' into 'master'
  * favorites: Work around broken app_id in most GTK+3 apps.
  * Merge branch 'app_id' into 'master'
  * Merge branch 'de' into 'master'
  * session: Make sure err is initialized to zero
  * Merge branch 'err-null' into 'master'
  * Use a wrapper functions with g_clear_pointer and gtk_widget_destroy
  * shell: Use g_clear_pointer for background too
  * Merge branch 'glib-compile-fix' into 'master'
  * home-button: Use phosh-panel-btn style
  * top-panel: Remove favorites button
  * top-panel: Move network icons to the right and other indicators to the left
  * top-panel: Let the whole top panel toggle the settings menu
  * top-panel: Make clock a label instead of a button
  * Merge branch 'cleanup-top-panel' into 'master'
  * config.h: Add phosh's version
  * main: Add --version
  * Release v0.0.1
  * Translations are done via Zanata
  * phosh-wayland: Print correct protocol name on binding problems
  * Merge branch 'proto-fix' into 'master'
  * shell: Rename favorites_activated to home_activated
  * shell: Remove activation of apps via "favorites-activated"
  * home: Add keyboard button
  * Merge branch 'osk' into 'master'
  * wayland: Sort globals alphabetically
  * wayland: Wire up zxdg_output_manager_v1 protocol
  * monitor: Make done flag more specific
  * monitor: Wire up xdg_output
  * monitor: Get name from xdg_output
  * monitor: Determine monitor type
  * monitor-manager: Use output names
  * Merge branch 'output-name' into 'master'
  * main: Handle command line parsing errors
  * monitor-manager: undefine variant format strings right after usage
  * monitor-manager: On apply extract primary monitor information
  * lockscreen-manager: Don't assume primary monitor has index 0
  * monitor-manager: Fill in proper 'primary' information when reporting monitors and outputs
  * shell: Move panels on primary monitor change
  * shell: Make primary monitor a property
  * system-prompter: Pass on the wl_output and not the monitor to new prompters
  * Merge branch 'primary-output' into 'master'
  * po: Add newer source files
  * session: mark things that should not be translated
  * po: Update strings
  * Merge branch 'po' into 'master'
  * lockscreen: Set relief to none
  * debian: Depend on libhandy >= 0.0.4
  * debian: Run tests under a UTF-8 locale
  * gitlab-ci: Drop unused packages from DEPS
  * Merge branch 'dialer-relief' into 'master'
  * Revert "debian: Depend on libhandy >= 0.0.4"
  * Merge branch 'shlibs' into 'master'
  * Add GPLv3 license file
  * Merge branch 'license' into 'master'
  * README: Don't indent link
  * zanata: Don't hardcode locales
  * Add new translations from zanata
  * po: Update existing translations
  * gitignore: Update Zanata cache dir
  * Merge branch 'zanata' into 'master'
  * Merge branch 'update-deps-and-cmdline' into 'master'
  * LockScreenManager: Fix formatting
  * PhoshMonitorManager: Chain up on finalize
  * PhoshMonitorManager: Chain up in constructed
  * Merge branch 'fixes' into 'master'
  * README: Add contact information
  * Merge branch 'contact' into 'master'
  * Update translations from Zanata
  * Merge branch 'zanata' into 'master'
  * PhoshMonitor: Don't access inexistent modes
  * Add basic org.gnome.Mutter.Idle DBus protocol support
  * Merge branch 'wip/idle-monitor' into 'master'
  * README: Mention thorough tests
  * PhoshLockscreen: Fix c'n'p error
  * LockscreenManager: Sort included alphabetically
  * Shell: Sort includes alphabetically
  * PhoshLockscreenManager: Warn if locked twice
  * Introduce PhoshSessionPresence
  * LockScreenManager: Lock based on gnome-session's presence status
  * LockscreenManager: Rely on gnome-session for idle detection
  * Move org.gnome.Mutter.IdleMonitor.xml to src/dbus/
  * IdleManager: Shorten DBus names
  * MonitorManager: Shorten DBus names
  * Merge branch 'wip/presence' into 'master'
  * Favorites: Drop weston terminal
  * Merge branch 'drop-weston-terminal' into 'master'
  * MonitorManager: Track PowerSaveMode property changes
  * Monitor: Beautify mode printout a bit
  * MonitorManager: Tell a caller that backlight changing is not supported
  * Session: Wire up shutdown
  * Settings: Add power off button
  * Merge branch 'wip/poweroff' into 'master'
  * Update translations from zanata
  * Merge branch 'zanata' into 'master'
  * Document changes and release 0.0.2
  * IdleManager: Use G_GUINT64_FORMAT
  * Merge branch 'guint64-format' into 'master'
  * Merge branch 'build-fix' into 'master'
  * Monitor: Save transform too
  * Monitor: Allow to detect flipped outputs
  * Monitor: Allow to get rotation by degrees
  * Shell: Determine usable area by output transform
  * MonitorMnager: Report transform too
  * MonitorManager: Fix formatting
  * Shell: Fix type of 'rotation' property
  * Shell: Derive rotation property from primary monitor's rotation
  * Shell: Setup a primary monitor after probing outputs
  * Merge branch 'initial-rotation' into 'master'
  * Settings: Switch shutdown and lockscreen
  * Settings: Make sure the buttons stay circular
  * Merge branch 'settings-buttons' into 'master'
  * MonitorManager: Specify integer types in g_variant_builder_add
  * Merge branch 'monitor-manager-guint64' into 'master'
  * App: Don't print title if it's identical to the appplications name
  * Merge branch 'window-title' into 'master'
  * rooston.ini: Drop scale=2
  * gitignore tag files
  * Merge branch 'tags' into 'master'
  * Fix URLs and copyright holder
  * Merge branch 'URLs' into 'master'
  * rootston.ini: Scale rootston on DSI-1 output
  * Merge branch 'dsi-scale' into 'master'
  * session: Remove incorrect error parameter in DBus call
  * Merge branch 'session-shutdown' into 'master'
  * run: Allow to skip gnome-session
  * ci: Skip gnome-session for valgrind run
  * Merge branch 'simplify-valgrind' into 'master'
  * meson: Print phosh version as well
  * run: Use glib's valgrind suppressions as well
  * settings: Add separate meson file
  * Settings: Simplify rotate evaluation
  * Add gvc submodule
  * Wire up output volume control
  * ci: Drop valgrind run until we have more RAM
  * Merge branch 'volume-control' into 'master'
  * settings: Make settings use the full screen width
  * Merge branch 'center-settings' into 'master'
  * Remove some unused components from the session
  * Merge branch 'trim-session' into 'master'
  * Merge branch 'gio_dep' into 'master'
  * Favorites: Use a GtkBox instead of a GtkFloxBox for running apps
  * Merge branch 'apps-box' into 'master'
  * rootston.ini: Map seat to DSI-1 instead of HDMI
  * Merge branch 'map-dsi' into 'master'
  * Merge branch 'update-layer-shell' into 'master'
  * gitlab-ci: Build debs too
  * Merge branch 'debs' into 'master'
  * shell: Prefer dark theme
  * Merge branch 'prefer-dark' into 'master'
  * PhoshWayland: Add and use phosh_wayland_roundtrip
  * Merge branch 'wlr-output-manger' into 'master'
  * PhoshLockscreenManager: Add missing chain up in constructed()
  * PhoshLockscreenManager: Drop unused parent
  * PhoshWwanInfo: Fix callback signature
  * PhoshWwanInfo: Simplify signal handler disconnects
  * PhoshPanel: Fix element order
  * top-panel.ui: Fix indentation
  * PhoshShell: Delay gui setup
  * PhoshShell: Make custom widget types known
  * Add PhoshWifiManager
  * Add PhoshWifiInfo widget
  * PhoshLockScreen: Display wifi status
  * d/control: Build-dep on at-spi2-core
  * Merge branch 'wifi' into 'master'
  * Add HACKING to clarify coding style and other matters
  * README: Add pipeline status
  * README: Make sure build-deps are up to date
  * Merge branch 'docs' into 'master'
  * PhoshMonitor: Emit signal when monitor is fully configured
  * PhoshMonitor: Update comment
  * PhoshMonitorManager: Fix function declartion
  * PhoshWayland: Maintain outputs in hash table
  * PhoshWayland: listen for outputs going away
  * PhoshWayland: Add functions to query outputs
  * PhoshMonitorManager: Pick up changed wl_outputs
  * Move initial handling from PhoshShell to PhoshMonitorManager
  * PhoshWayland: Kill the GPtrArray in favour of the GHashTable
  * LockScreenManager: Listen for monitor changes
  * PhoshLockscreenManager: simplify signal disconnects
  * Use #pragma in all headers
  * Add PhoshOskManager
  * PhoshShell: Add PhoshOskManager
  * PhoshOskButton: Use PhoshOskManager
  * PhoshOskButton: Drop private data
  * PhoshShell: Add getter for lockscreen manager
  * PhoshOskManager: Hide keyboard on screen lock
  * PhoshShell: Close OSK when displaying favorites or settings
  * README: Prefer wlroot's X11 backend when nested
  * rooston.ini: Use the phone's resolution with the X11 backend
  * PhoshLockScreen: Only show clock on the lock screen
  * helpers: Make it simple to use glade with PhoshLayerShells
  * rootston.ini: Don't scale X11 display
  * phosh.in: Prefer phoc over rootston
  * PhoshLayerSurface: Don't use gtk_widget_show_all()
  * Become a policy kit authentiation agent
  * debian: Add dependency so we can be a polkit auth agent
  * pot: Update translatable strings
  * Update translations from zanata
  * rootston.ini: Fix horizontal resolution
  * Lockshield: Use black background too
  * Lockscreen: Make arrows a bit thinner
  * Home: Make center button expand again
  * css: Add unit to font size
  * PhoshWWanInfo: Drop priv
  * PhoshWWanInfo: Allow to set icon size
  * rooston.ini: Set window size for wayland as well
  * README: Fix some wording
  * README: Don't special case running nested on x11
  * Document changes and release 0.0.3
  * PhoshLayerShell: Don't realize layer shell's right away
  * system-prompt: Use a template instead of builder
  * debian: We can act as polkit auth agent
  * debian: Update description a bit
  * po: Update LINGUAS
  * system-prompt: Wrap on word boundary
  * system-prompt: Add a border
  * lockscreen: Add date
  * Update pot file with new strings
  * lockscreen: Move date, time and icons into a common box
  * po: Update translations from zanata
  * favorites: Drop labels
  * favorites: Trim down app list
  * css: Drop HdyArrow css
  * css: Make polkit auth agent's background black too
  * SystemPrompt: Set grid alignment in the ui file
  * system-prompt: Right align labels
  * system-prompt: Move checkbox below text inputs
  * system-prompt: Adjust spacing
  * polkit-auth-prompt: Right align labels
  * polkit-auth-prompt: Adjust spacing
  * polkit-auth-prompt: Use bold font for user name
  * polkit-auth-prompt: Remove empty row
  * PolkitAuthAgent: Remove duplicate gtk_widget_show ()
  * PolkitAuthPrompt: Translate most common request
  * po: Update translatable files
  * po: Update pot file
  * shell: Activate background again
  * PhoshPanel: Make signal handlers consistent
  * PhoshLockscreen: include locale.h
  * PoshBackground: Drop things now handled by PhoshLayerSurface
  * PhoshBackground: Use g_autoptr instead of explicit unref
  * PhoshBackground: Get width and height from layer surface
  * PhoshBackground: Drop pointless defaults from init
  * PhoshBackground: Validate signal handler signatures
  * PhoshBackground: unref settings
  * lockscreen: Set wifi icon visible by default
  * PhoshBackground: Drop priv
  * PhoshBackground: Listen to configured signal
  * lockscreen: Deterine wifi status on idle
  * PhoshShell: Make background surface span the whole output
  * PhoshBackground: Implement zoom style
  * PhoshBackgroundManager: Add manager to handle multiple outputs
  * PhoshBackground: Use g_object_connect
  * PhoshBackground: Use defines for setting keys
  * PhoshBackground: Don't hardode grey as color
  * PhoshFavorites: Scale icon images to 64px
  * favorites: Don't scale by output scale
  * favorites: Use gtk_image_set_pixel_size
  * PhoshWWanInfo: Set pixel_size when setting widget size
  * PhoshWWanInfo: Don't round trip through pixbuf when using theme icons
  * favorites: Drop custom drawing
  * service: Restart on compositor crashes
  * layersurface: Use phosh_wayland_get_default() everywhere
  * Add editorconfig
  * PolkitAuthPrompt: Make background app paintable
  * Use the same style class for gcr and polkit prompts
  * PhoshSystemPrompt: Swap ok and cancel
  * PolkitAuthPrompt: Swap ok and cancel.
  * app: Add close button
  * Update phosh private protocol to v3
  * PhoshFavorites: Close application on 'app-close' signal
  * tests: Use phoc instead of rootston
  * PhoshLayerSurface: Destroy layer surface on unmap
  * PhoshHome: Drop priv
  * build: Fix indentation
  * Use glib-mkenums
  * PhoshLayerSurface: Allow to set size of the layer surface
  * PhoshHome: Clarify PHOSH_HOME_HEIGHT
  * PhoshHome: Track folded/unfolded state
  * PhoshHome: Show favorites on home screen
  * PhoshActivity: Rename activity-closed signal
  * favorites: Replace assert by g_return_if_fail ()
  * favorites: Use g_return_if_fail in type check
  * PhoshTopLevelManager: Move function assignments to top
  * PhoshTopLevelManager: Move public methods to the bottom
  * PhoshToplevelManager: Add num-toplevels property
  * PhoshShell: Unfold home screen when no application is running
  * PhoshActivity: Remove unused defaults
  * PhoshAcivities: Drop superfluous braces
  * PhoshActivities: Match property defaults to what's set in `_init()`
  * PhoshActivities: Mark properties as G_PARAM_EXPLICIT_NOTIFY
  * PhoshAcitivity: Avoid superfluous object emission and resizes
  * PhoshLayerSurface: Be verbose when acking configure
  * Add gtk4's list model
  * PhoshHome; Make Image a child of the button
  * PhoshHome: Use CSS animations to change home button arrow direction
  * PhoshHome: Set initial arrow state to 'up'
  * PhoshFavorites: Rename to create_favorite
  * PhoshFavorites: Use g_auto()
  * PhoshFavorites: Show created favorite
  * PhoshFavorites: Avoid gtk_widget_show_all()
  * home: Drop superfluous gtk_widget_{show,hide}
  * Settings: Add type checks to callbacks
  * Settings: Swap signal emission and lock trigger
  * Settings: rotation_changed_cb: Move self in front
  * LockscreenManager: Only lock session when we go idle
  * LockScreen: Emit signal when the output should be woken up
  * LockScreenManager: Remember activation time
  * LockscreenManager: Emit signal when all screens should be woken up
  * Add PhoshScreenSaverManager
  * ScreensaverManager: Hook up to LockscreenManager
  * helpers: Add script to check screen saver state
  * Lockshield: Use type as parent, not class
  * LockShield: Drop unneeded custom rendering
  * tests: Test AppGridButton
  * AppGridButton: Remove superfluous initializers
  * AppGridButton: Rename pspec to props
  * AppGridButton: Whitespace cleanups
  * AppGridButton: Use getters and setters for GAppInfo
  * PhoshAppInfo: Add tests for new methods and constructor
  * gitlab-ci: Add coverage information
  * README: coverage badge
  * tests: Add app-list-model tests
  * tools/app-scroll: Fix activity scaling
  * tools/app-scroll: Drop max-* properties
  * Overview: Rename overview evbox and flowbox to apps
  * lockscreen: Slide lockscreen down on timeout
  * layer-surface: Allow to set keyboard interactivity
  * home: Move fold/unfold logic into a single if/else
  * home: Allow keyboard input when unfolded
  * defaults: Drop terminal from favorites
  * Update translations from zanata
  * build: bump version
  * Add PhoshNotifyManager
  * phosh-notification: Add notification widget
  * notify-manager: Create basic notifications
  * debian: Provide notification-daemon
  * Bump libhandy requirement
  * notifications: Don't leak app_icon
  * Release phosh 0.0.4
  * polkit-auth-agent: Allow to cancel dialog via escape key
  * system-prompt: Allow to cancel dialog via escape key
  * notify-manager: Handle org.gnome.desktop.notifications show-banners
  * build: sort source alphabetically
  * session: Reindent
  * Add fader that fades from transparent to almost black
  * session: Use fader on shutdown
  * main: Fade out on sigterm
  * po: Update translatable files
  * session: Only show fader on EndSession
  * Kill fader after 15 seconds
  * auth: Unconditionally set pamh to NULL
  * rootston.ini: Remove 'binding' section
  * po: Update translatable files
  * po: Update translations from zanata
  * Document changes and release 0.1.0
  * lockscreen: Use proper ellipsis
  * session: Drop org.gnome.SettingsDaemon.Clipboard
  * notify-manager: ignore errors closing inexistent notifications
  * debian: Don't restart session on package upgrades
  * gitlab-ci: Make current image explicit
  * gitlab-ci: Build and unit test for Debian Bullseye as well
  * debian: Add gbp.conf
  * Update translations from zanata
  * Document changes and release 0.1.1
  * Add wayland session file
  * Recommend phoc
  * Drop all rootston fallbacks
  * debian: Bump compat to 12
  * debian: Add install file for phosh
  * build: move glib/gio dependency to toplevel meson file
  * Add keyboard stub
  * layer-surface: Emit signals on width/height changes
  * layer-surface: Don't make width/height construct only
  * po: Update translatable files
  * po: Update translations from zanata
  * Document changes and release 0.1.2
  * main: Simplify signal handling
  * main: Handle SIGINT as well
  * main: Don't initially lock screen when we were started by gdm
  * main: Add -L to force a locked shell
  * brightness: Fix brightness setting
  * top-panel: Display current keyboard layout if a keyboard is connected
  * session: Unset DESKTOP_AUTOSTART_ID
  * Document changes and release 0.1.3
  * activity: Add title setter
  * activity: Set app_name on title changes
  * toplevel: Emit signal when properties change
  * overview: Adjust title in overview when the toplevel changes title
  * tests: Avoid duplicate config target
  * gitlab-ci: Build pureos amber package as well
  * panel: Move decision if we need a lang label into one place
  * debian/gbp.conf: Sign tags by default
  * Document changes and release 0.1.4
  * rootston.ini: Drop keyboard config section
  * lockscreen: Disable libhandy deprecations
  * d/gbp.conf: Use pkg pattern
  * Turn on autorestart
  * gitlab-ci: Switch to shared gitlab-ci jobs
  * debian: Add trivial autopkgtest
  * wifimanager: Add acessor for icon name
  * wifiinfo: Avoid g_object_get
  * wifimanager: Don't leak icon name
  * d/control: Depend on the used gsettings schema
  * gitlab-ci: Test pureos against staging
  * build: Make libhandy dep explicit
  * wwaninfo: Remove comment
  * wwan-mm: Document restriction
  * wwan-mm: Give up if we can't get proxy
  * wwan: Report modem presence
  * wwaninfo: Only show wwan icon if a modem is present
  * Document changes and release 0.1.5
  * build: Make the meson version match the changelog
  * background: Plug leak
  * home: Plug leak
  * topevel: Avoid NULL check
  * toplevel: Don't leak app_id
  * toplevel: Don't leak title
  * toplevel: Guard handle from being destroyed multiple times
  * wwaninfo: Seperate access tec and signal srength
  * wwaninfo: Allow to hide access tec
  * top-panel: Adjust label margins
  * top-panel: Use only right margins
  * Drop external margin from wwaninfo
  * Document changes and release 0.1.6
  * phosh.in: Use builtin session handling
  * gitlab-ci: Build an arm64 deb
  * wifi-manager: Rework connection handling
  * wifimanager: Consolidate device cleanup
  * wifimanager: Clean up device state when (de)activating a connection
  * lockscreen: Drop outdated FIXME
  * lockscreen-manager: Undo rotation when locking the screen
  * auth: Drop pin length limitation
  * data: Add passwork peek icons from GTK4
  * network-auth-prompt: Allow to toggle password visibility
  * Document changes and release 0.1.7
  * phosh-system-prompt: Toggle ok button sensitivity
  * Document changes and release 0.1.8
  * build: Bump version to 0.1.8
  * build: Use libhandy 0.x branch if used as a subproject
  * Document changes and release 0.1.8
  * session: Use g_autoptr for GError
  * session: Use g_autofree for strings
  * monitor: Add class description
  * monitor: Fix wrong class in documentation
  * monitor: Fix gtk-doc strings
  * README: drop pipeline status
  * phosh: Register the session late
  * Add iio-sensor-proxy manager
  * Fade screen on proximity
  * debian: Add recommends on iio-sensor-proxy
  * gitlab-ci: Pull in libfeedback debug symbols
  * d/control: Build-depend on libfeedback-dev
  * build: Check for libfeedback
  * shell: Add G_{BEGIN,END}_DECLS
  * shell: Define and use PHOSH_APP_ID
  * Add feedback-manger
  * Add FeedbackInfo status icon to show current feedback status
  * shell: Allow to get feedback manager
  * settings: Wire up Feedback button
  * wifimanager: Consistently update state when wifi goes away
  * wifimanager: Correctlly update have_wifi_device
  * wifimanager: Update enabled state when wifi devices change
  * build: Drop tags generation
  * tests: Skip all tests when tests are disabled
  * build: Allow to build libfeedback as subproject
  * phosh: Use drm backend by default
  * po: Update translations
  * po: Update POT file
  * Document changes and release 0.2.0
  * build: Bump version to 0.2.0
  * feedbackinfo: Use 'On' for the 'full' feedback theme
  * wwaninfo: Don't overwrite sim missing status
  * protocols: Add wlr-output-power-management
  * wayland: Sort globals alphabetically
  * wayland: Wire up phosh-output-power-management
  * monitor: Wire up zwlr_output_power_management
  * protocol: Generate protocol with private code
  * po: update pot file
  * po: Update translations from zanata
  * Settings: wire up feedback setting long press
  * Shell: Don't access variable before type check
  * Monitor: Use g_debug intead of printf
  * Feedbackinfo: Toggle to silent instead of quiet
  * gitlab-ci: Run xvfb-run with no-reset
  * Document changes and release 0.2.1
  * wwan: use interface prefix
  * WWan: Connect to ModemManager async
  * wwan: Free GDBusObjects too
  * lockscreen: Drop unused variables
  * settings-menu: Drop expand from feedback button
  * shell: Avoid gtk_widget_show_all
  * lockscreen: Fix unlock page type
  * network-auth-prompt: Inform user about unknown auth types
  * Document changes and release 0.2.2
  * build: Bump version to 0.2.2
  * Clarify class usage
  * settings: Drop PhoshSettingsPrivate
  * settings: Ensure types during class_init
  * panel: Drop unused height getter
  * top-panel: Add a vbox
  * shell: Move settings into top bar widget
  * shell: Drop xdg popup handling
  * panel: Set keyboard interactivity
  * panel: Disallow focus on panel widgets
  * settings: Rename quick settings flow box
  * settings: Fix QuickSetting keyboard focus behaviour
  * panel: Close settings menu on ESC and when clicking/touching into empty area
  * smoketest: Keep phoc around
  * po: Last time sync from zanata
  * README: Point to GNOMEs translation system
  * panel: Drop superfluious gettext define
  * monitor: Allow to set power save mode
  * Process enums for monitor.h too
  * shell: Add method to turn on power saving
  * monitor: Use PhoshMonitorPowerSaveMode enum
  * monitor-manager: Remove unused PowerSaveMode
  * panel: Add a GtkStack to switch top bar
  * panel: Move shutdown to power popover
  * Move power off from settings menu to top bar
  * Move lock screen button to power popover
  * power-popover: Wire up 'suspend'
  * session: Add logout
  * shell: Make started_by_display_manager a method
  * panel: Wire up logout
  * settings: Drop button to launch settings
  * panel: Decouple panel state form existence of settings widget
  * panel: Keep settings widget around
  * wifimanager: Avoid excessive g_strdup() on signal strength changes
  * wwaninfo: Avoid excessive g_strdup() on signal strength changes
  * status-icon: Don't leak icon name
  * tests: Test phosh_status_icon_set_icon_name()
  * gitlab-ci: Barf on files with translations but not in POTFILES.in
  * po: Add files not needing translations to POTFILES.skip
  * po: Sort POTFILES.in alphabetically
  * po: Add missing source file
  * po: Update pot file
  * gitlab-ci: Allow to skip build and test
  * data: Rename compositor config to phoc.ini
  * data: phoc.ini: Don't fall back to rootston
  * README: Config file is now named phoc.ini
  * debian: Install phoc.ini instead of rootston.ini
  * data: phoc.ini: Honor WLR_BACKENDS
  * README: Clarify session setup
  * settings: Hide notification box when empty
  * notification-tray: Move style closer to designs
  * settings: Close settings after acting on the last notification
  * notify-blocks: Fix typo
  * build: move feedback mnager to libphosh
  * feedback-manager: Add helper to trigger async feedback
  * home: Emit feedback event on home bar press
  * overview: Trigger feedback on window close
  * panel: Trigger feedback when top bar is clicked
  * app-grid: Provide haptic feedback on app launch
  * idle-manager: Fix indentation
  * settings: Clarify debug message
  * monitor: Fix debug statement
  * Drop newlines at end of debug statements
  * shell: Avoid signal emission when shell is already locked
  * shell: Allow to check if shell startup finished
  * MonitorManager: Use wlr-power-manager to set handle GNOMEs power_save_mode requests
  * shell: powersave: Just lock the screen
  * top-panel: Drop suspend action
  * Document changes and release 0.3.0
  * feedback-manager: Make 'connect_feedback' specific to buttons
  * app-grid-button: Make sure we unref the allocated gesture
  * build: Bump version
  * activity: Fix section name to match filename
  * arrow: Fix section name to match filename
  * auth: Add gtk-doc header
  * background-manager: Fix section name to match filename
  * background: Add gtk-doc header
  * batteryinfo: Fix section name to match filename
  * fader: Fix gtk-doc header
  * feedback-manager: Fix section name to match filename
  * feedbackinfo: Fix section name to match filename
  * home: Fix section name to match filename
  * idle-manager: Add gtk-doc header
  * lockscreen-manager: Add gtk-doc header
  * lockscreen: Drop HDY_DISABLE_DEPRECATION_WARNINGS
  * lockscreen: Add gtk-doc header
  * lockscreen: Add G_{BEGIN,END}_DECLS
  * lockshield: Fix section name to match filename
  * monitor-manager: Add gtk-doc header
  * monitor: Fix section name to match filename
  * network-auth-prompt: Fix section name to match filename
  * notification-banner: Fix section name to match filename
  * notification-content: Fix section name to match filename
  * notification-frame: Fix section name to match filename
  * notification-list: Fix section name to match filename
  * notification-source: Fix section name to match filename
  * notification: Fix section name to match filename
  * notify-manager: Fix section name to match filename
  * osk-manager: Fix gtk-doc header
  * osk-button: Fix section name to match filename
  * overview: Fix section name to match filename
  * panel: Add gtk-doc header
  * polkit-auth-agent: Fix section name to match filename
  * polkit-auth-prompt: Fix section name to match filename
  * proximity: Fix section name to match filename
  * quick-setting: Fix section name to match filename
  * rotateinfo: Fix section name to match filename
  * screen-saver-manager: Fix section name to match filename
  * sensor-proxy-manager: Fix section name to match filename
  * session-presence: Fix section name to match filename
  * session: Fix section name to match filename
  * settings: Add gtk-doc header
  * shell: Add gtk-doc header
  * status-icon: Fix section name to match filename
  * system-prompt: Fix section name to match filename
  * system-prompter: Fix section name to match filename
  * toplevel-manager: Fix section name to match filename
  * toplevel: Fix section name to match filename
  * wifiinfo: Fix section name to match filename
  * wifimanager: Fix section name to match filename
  * phosh-wwan-mm: Add gtk-doc header
  * wwaninfo: Fix section name to match filename
  * build: Rename phosh_dep to phosh_tool_dep
  * Build documentation via gtk-doc
  * debian: Add phoc-doc
  * gitlab-ci: Build documentation
  * fixup! Build documentation via gtk-doc
  * docs: Document C file layout
  * gitlabci: Move coverate gathering to different step
  * phoc.ini: Drop cursor config
  * phosh: Indicate connectivity state
  * docs: Empty content_files
  * docs: Add part title
  * monitor: Fix comment
  * lockscreen: Fix gtk-doc comments
  * shell: Fix PhoshShell spelling
  * brightness: Fix indentation
  * brightness: Connect async to g-s-d
  * css: Use more prominent comments for larger groups
  * css: Move app-grid and activities together
  * css: Move lockscreen keypad css to lockscreen
  * css: Move quick-settings to settings
  * css: Consistently indent by 2 spaces
  * lockscreen: Add css name
  * tests: Don't try to spawn atk bridge
  * dbus: Add mpris MediaPlayer2 interface
  * Add media-player widget
  * settings: Add media player
  * lockscreen: Switch box to grid
  * lockscreen: Add media player widget
  * po: Update pot file
  * layer-surface: Add the configured width and height to debug message
  * layer-surface: Fix indentation
  * layersurface: Add a section header
  * top-panel: Drop useless placeholder
  * top-panel: Remove extra horizontal padding from power button
  * gitlab-ci: Skip po and doc when using PKG_ONLY
  * media-player: Connect to player via g_object_connect
  * media-player: Use consistent message names for next and prev
  * media-player: Fix broken indentation of _()
  * media-player: Wire up Can{Go{Forward,Previous},Play}
  * media-player: Add a playable property
  * lockscreen: Use playable property of media player
  * settings: Use playable property of media player
  * feedback-manager: Make profile a property too
  * feedbackinfo: Listen for feedback changes
  * Document changes and release 0.3.1
  * feedbackinfo: Add translation note
  * media-player: Don't act on every name change
  * Add leak suppressions
  * PhoshLayerSurface: Add missing sentinel
  * tests: sort alphabetically
  * debian: Avoid clashes with other xvfb-run instances
  * debian: Build-depend on phoc an gnome-themes-extra-data
  * build: Split xdg-changes from test environment
  * build: Allow to add tests that require phoc
  * d/rules: Turn off compositor based tests
  * gitlab-ci: Set bullseye and buster specific test options
  * tests: Add small testlib
  * tests: Add LayerSurface tests
  * build: Move lockshield to tools
  * tests: Trivial lockshield test
  * build: Bump required meson version
  * wifimanager: Move object disposal to dispose
  * wifimanager: Disconnect from nmclient
  * monitor: Properly invaliate wl_output_done
  * phosh-wayland: Clarify ownership of phosh_wayland_get_wl_outputs
  * tests: Use phosh-wayland
  * tests: Use phoc for notification-banner test
  * shell: fix typo
  * shell: Do nothing when primary monitor does not change
  * shell: Don't clear faders when we dispose the panels
  * wifimanager: Add getter for `enabled` property
  * wifimanager: Add `present` property
  * wifiinfo: Add an enabled property
  * wifiinfo: Channel present property
  * panel: Bind visibility of wifiinfo to `enabled` property
  * lockscreen: Bind visibility of wifiinfo to `enabled` property
  * settings: Only make wifi icon sensitive when hardware is present
  * wwaninfo: Add present property
  * lockscreen: Bind visibility of wwaninfo to `present` property
  * panel: Bind visibility of wwaninfo to `present` property
  * status-icon: Drop show-always
  * Add wwan quicksetting
  * setting: Rename batteryinfo to battery_setting
  * gitlab-ci: xvfb is not needed to gather coverage information
  * gitlab-ci: Allow xvfb to pick a port
  * background-manager: Get rid of `create_all_backgrounds`
  * background: Print the background size
  * monitor-manager: Handle primary monitor changes
  * background-manager: Notify background about configuration changes
  * background: Skip image loading when using colored mode
  * build: Move meson to test-lib
  * tests: Add a simple background test
  * Document changes and release 0.4.0
  * d/rules: Depend on phoc >= 0.4.0
  * wifimanager: Make variable name match property
  * wifimanager: Compare to the old state rather than the probed state
  * shell: Attach to primary monitors configured signal
  * rotateinfo: Mark orientations as translatable
  * rotateinfo: Take display geometry into account
  * shell: Undo rotation on startup
  * monitor: Fix several gtk-doc strings
  * background: Load image async
  * background: Avoid updating the background twice
  * background-manager: Tell background about it's scale
  * background: Skip any image loading if layer surface isn't configured
  * wifiinfo: Sync initial state
  * monitor-manager: Set logical position
  * build: Move all dependency() calls to top level build file
  * dbus: build: Sort by DBus name
  * dbus: Add org.gnome.SettingsDaemon.Rfkill
  * Add PhoshBluetoothManager
  * shell: Create bluetooth manager
  * Add PhoshBtInfo
  * panel: Add bluetooth icon
  * lockscreen: Add bluetooth status
  * settings: Add bluetooth quick setting
  * background: Avoid warning on NULL pixbuf
  * wwan: Fix typo
  * wwan-mm: Drop priv
  * phosh-wwan-mm: Bring up to par indentation wise
  * wwan-mm: Connect to modem async
  * wwan: Add operator property
  * wwaninfo: Use operator name as detail
  * Document changes and release 0.4.1
  * shell: Add phosh_shell_get_locked ()
  * settings: Emit feedback when notifications get added
  * gitlab-ci: Add dch for pureos
  * Document changes and release 0.4.2
  * Document changes and release 0.4.2
  * po: Update pot file
  * Document changes and release 0.4.3
  * gitlab-ci: Add i386 cross build
  * timestamp-label: Unbreak build on 32 bit platforms
  * gitlab-ci: Don't use Immediate-Configure
  * media-player: Clarify some translatable strings
  * media-player.ui: Match ui strings with the ones in the code
  * wwaninfo: Disambiguate 'cellular'
  * po: Update pot file
  * gitlab-ci: Allow pureos build to fail
  * Drop zanata.xml
  * README: update description
  * d/rules: Work around failed doc build on install
  * docs: Split out homepage url
  * debian: Build-depend on pandoc for the deb build
  * Add gtk-markdown-to-docbook
  * docs: Add some context
  * data/phosh.in: Be a bit more friendly when asked for help
  * po: Add initial Korean translation
  * doap: Add Zander Brown
  * debian: Install all phosh related schema files
  * build: Use libhandy-1
  * build: Use libhandy from gnome.org master
  * d/control: Bump libhandy dependency to 1.0
  * main: Call hdy_init ()
  * tests: Call hdy_init ()
  * treewide: Replace HdyColumn by HdyClamp
  * lockscreen: Adjust to HdyKeypad API changes
  * treewide: libhandy API is stable now
  * lockscreen: Use HdyCarousel instead of HdyPaginator
  * overview: Use HdyCarousel instead of HdyPaginator
  * style: Adust to HdyKeypad internal changes
  * gitlab-ci: Use libhandy-1 in smoketests too
  * Document changes and release 0.4.4
  * phosh.desktop: Add 'DesktopNames'
  * shell: Drop env setup
  * d/phosh.service: Set XDG_CURRENT_DESKTOP
  * gitlab-ci: Use libhandy1 for alpine builds
  * po: Rename pt_PT.po to pt.po
  * feedback-manager: Drop TODO
  * keyboard-events: Move comment to signal description
  * feedback-manager: Fix gtk-doc strings
  * home: Fix gtk-doc strings
  * home: Properly document enum values
  * monitor: Make declaration match definition
  * layersurface: Fix gtk-doc strings
  * phosh-wwan-iface: Document interface
  * phosh-wwan-mm: Mention ModemManager
  * docs: Add some missing client protocols
  * quick-setting: Fix class names
  * connectivity-info: Fix class name
  * bt-info: Fix property separator
  * shell: Make definition match declaration
  * wwaninfo: Fix class name
  * shell: Add missing parameter docs
  * layser-surface: Document configured signal
  * thumbnail: Add class doc
  * panel: Properly document enum
  * tools: Add a tool to check for gtk-doc warnings
  * system-prompter: Unlink PhoshSystemPromtper
  * session: Unlink PhoshSession
  * polkit-auth-prompt: Unlink PolkitAgentSession
  * layersuface: Add missing G_{BEGIN,END}_DECLS
  * network-auth-prompt: Add missing G_{BEGIN,END}_DECLS
  * docs: Drop gi ref
  * d/control: Add doc packages
  * doc-check: Ignore linke to NMClient|NMConnection
  * monitor: Document PhoshMonitorConnectorType
  * notification: Document PhoshNotificationUrgency
  * notification: Document PhoshNotificationReason
  * shell-network-agent: Stub enum doc
  * gitlab-ci: Run documentation check
  * Rename session presence dbus interface class to  PhoshSessionPresenceDBusPresence
  * Rename sensor-proxy dbus interface class to PhoshDBusSensorProxyProxy
  * Rename rfkill dbus interface class to PhoshRfkillDBus
  * docs: Sort in keyboard-events alphabetically
  * monitor-manager: Add missing G_{BEGIN,END}_DECLS
  * monitor-manager: Use g_autoptr
  * monitor: Add missing G_{BEGIN,END}_DECLS
  * monitor: Make debugging more useful
  * shell: Don't allow to set rotation property
  * monitor-manager: Add sections
  * Wire up zwlr_output_management_v1
  * monitor: Add monitor transforms
  * phosh-head: Add pending state
  * PhoshMonitorManager: Allow to apply state changes
  * Switch from primary monitor rotation to transform
  * shell: Use wlr-output-management instead of phosh private protocol
  * monitor-manager: Get modes from head instead of monitor
  * monitor-manager: Don't apply non persistent config changes
  * quick-settings: Don't leak panel in error path
  * quick-settings: Keep DBus proxy around long enough
  * Move helpers to tools/
  * gresources: Sort icons alphabetically
  * bt-manager: Fix typo
  * settings: Fix indentation error
  * settings: Fix misaligned function definitions
  * settings: Sort type_ensures and template bindings alphabetically
  * settings: Don't let settings_constructed grow out of bounds
  * dbus: Add (not yet merged) UPower Torch interface
  * Add initial torch support
  * shell: Fix typo
  * shell: Update primary monitor when it goes away
  * lockscreen-manager: Drop PhoshLockscreenManagerPrivate
  * lockscreen-manager: Fix up indentation
  * tests: Drop unused test
  * tests: Don't include bad-props.h when unused
  * tests: Rework tests using g_test_expect_message
  * Use structured logging
  * Add a custom log handler
  * main: Toggle debug messages on SIGUSR1
  * d/gbp.conf: Automatically bump meson.build version
  * Document changes and release 0.4.5
  * build: Sort enums alphabetically
  * enums: Sort types alphabetically
  * torch-manager: Cleanup DBus proxy
  * feedback-manager: Chain up constructed
  * shell: Don't show notification when settings menu is open
  * settings: Use g_signal_connect_object
  * settings: Make sure we fill the notification list initially
  * lockscreen-manager: Use correct level for debug message
  * wayland: Drop unused property setter
  * settings: Enforce four quick settings per row
  * debian: Support nodoc build profile
  * monitor: Drop duplicate setting of wl_output_done
  * wayland: Drop priv
  * osk-button: Show/hide depending on a11y setting
  * osk-manager: Simplify on_osk_show
  * osk-manager: Fix lockscreen_manager typo
  * osk-manager: Use g_autoptr
  * osk-manager: Only hide the keyboard when we lock the screen
  * osk-manager: Handle visibility property directly
  * overview: Focus current activity
  * Switch keyboard-events to GAction
  * keyboard-events: Ungrab accelerator when GAction is removed
  * overview: Move public functions past `_new`
  * app-grid: Move public functions past `_new`
  * overview: Add helper to focus app search
  * settings: Ungrab keyboard events
  * home: Bind key to show overview
  * d/control: Depend on phoc that doesn't crash when unbinding keyboard grabs
  * shell: Create toplevel manager early
  * shell: Process all pending wayland events on startup
  * shell: Pick correct built in monitor
  * panel: Fix typo
  * monitor-manager: Add property for number of monitors
  * monitor-manager: move DBus setup into idle callback
  * wayland: Add G_{BEGIN,END}_DECLS
  * wayland: Provide seat capabilities
  * dbus: Add org.freedesktop.hostname1 interface
  * data: Add symbolic phone icons
  * Add mode-manager to handle different device modes
  * Add 'docked' quick setting and manager
  * status-bar: Add docked icon when docked
  * osk-button: Show/hide depending on a11y setting
  * schema: Add adaptive apps filter entry
  * Document changes and release 0.5.0
  * debian: Depend on gnome-shell-common
  * ci: Don't depend on gnome-session
  * osk-button: Remove unused defines
  * Don't hide OSK on lock screen
  * osk-manager: Fix availability->visibility sync
  * Document changes and release 0.5.1
  * run: Prepend current schema dir
  * run.in: Use memory GSettings backend
  * gitlab-ci: Build bullseye packages as well
  * d/control: Update package description
  * debian: Add phosh-mobile-tweaks
  * Rename notify dbus interface class to PhoshNotifyDBus
  * Rename idle dbus interface class to PhoshIdleDBus
  * Rename screensaver dbus interface class to PhoshScreenSaverDBus
  * layer-surface: Add debugging when a surface goes away
  * lockscreen-manager: Explain purpose
  * lockscreen-manager: No need to disconnect signals from lockscreen
  * lockscreen-manager: Move lock screen when output goes away
  * monitor: Add phosh_monitor_get_power_save_mode
  * lockscreen-manager: Handle transform only on power mode changes
  * lockscreen-manager: Don't rotate external screens
  * home: Handle osk-button visibility
  * gitlab-ci: Use debian/sid instead of bullseye
  * debian: Bump libhandy build-dependency to 1.0.2
  * Document changes and release 0.6.0

  [ Arnaud Ferraris ]
  * wifimanager: create network-auth-prompt only for WiFi connections
  * monitor: add "power-mode" property
  * shell: lock screen when builtin monitor is powered off
  * src: fix typos
  * phosh.service: don't hardcode user name
  * po: fix French translation
  * d/control: drop Recommends: phoc
  * docked-manager: make tablets dockable too
  * shell: add an accessor for the mode manager
  * lockscreen-manager: undo transform only for phones

  [ Alexander Mikhaylenko ]
  * favorites: Resize apps before size allocation
  * activity: Simplify sizing
  * Introduce PhoshArrow
  * home: Use PhoshArrow for animation
  * home: Use libhandy animation functions
  * meson: Bump libhandy version to 0.0.11
  * lockscreen: Fix indentation in xml
  * lockscreen: Hide dialer action buttons in xml
  * lockscreen: Follow finger when swiping
  * overview: Remove close on click
  * overview: Use paginator for switching apps
  * lockscreen: Allow mouse dragging for lockscreen
  * build: Compile gschemas on install
  * overview: Enable carousel reveal animation
  * feedback-manager: Stop using deprecated signals
  * Add PhoshAnimation
  * Add PhoshSwipeAwayBin
  * activity: Implement swipe-to-close
  * activity: Show close button only on hover

  [ Марко М. Костић (Marko M. Kostić) ]
  * po: Update Serbian translation
  * po: Update Serbian translation
  * po: Update Serbian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation

  [ Eugenio Paolantonio ]
  * Merge pull request #2 from hybris-mobian/feature/bullseye/thumbnail-format-fix-with-packaging
  * Merge pull request #1 from Danct12/hwcomposer-scale

  [ Danct12 ]
  * phoc.ini: 2x scaling for builtin hwc display

  [ Tobias Bernard ]
  * Top panel: equal spacing on icons on left and right
  * Top panel: make time bold
  * Settings menu: Black background, simplified styling
  * Lock screen: black background, margin fixes, thinner clock font
  * Minor: Change "PIN" to "Passcode"
  * Home bar: use custom, wider swipe arrow icon
  * Home bar: move keyboard button to the right
  * Home bar: rounded, smaller OSK button
  * Lockscreen: replace HdyArrows with a an image + CSS animation
  * Settings menu: add button outlines, improve spacing
  * Minor: better top bar clock style class name
  * Top bar: make status icons 16px
  * Top panel: move clock down a tiny bit
  * Lockscreen: improve spacing on clock, date, icons
  * Minor: lockscreen.ui indentation
  * Lockscreen: Stop arrow animation after 15 cycles
  * Settings: make circular button styling specific to settings
  * Favorites: remove button styling and circular shape, add icon shadow
  * Favorites: highlight on click, instead of hover
  * App switcher: No margin and border radius on the title overlay
  * Fake app placeholder: round top corners
  * App Switcher: styling for temporary close button
  * Style: prettier search bar
  * Style: adjust margins around search bar and favorites
  * Minor: fix ellipsis and string in search placeholder
  * Add torch icons

  [ Julian Sparber ]
  * Lockscreen: Give visual feedback on wrong password
  * Lockscreen: add hack to remove # and * form the keypad
  * Lockscreen: Style keypad buttons
  * AppGrid: make search case insensitive
  * AppGrid: Make line below favorites darker and thiner
  * AppGrid: use a revealer to hide the favorites when search is started
  * AppGrid: increase spacing around line below favorites
  * Bump libhandy to 0.0.12
  * Lockscreen: replace HdyDialer with HdyKeypad
  * Lockscreen: remove css used by HdyDialer
  * Lockscreen: use GcrSecureEntryBuffer for the pin entry
  * Lockscreen: make pin font bigger
  * BatteryInfo: drop private data for gobject
  * Lockscreen: add submit button, allows arbitrary pin lengths
  * Lockscreen: Replace submit btn with unlock btn
  * Fader: fade completely to black on shutdown
  * Fix brightness slider being jumpy while sliding
  * StatusIcon: Introduce base class for status icons
  * StatusIcon: add basic test
  * Wifiinfo: Use StatusIcon base class
  * Batteryinfo: Use StatusIcon base class
  * Wwaninfo: Use StatusIcon base class
  * Lockscreen: move unlock screen closer to the bottom
  * Lockscreen: make submit/emergency btn fully rounded
  * Lockscreen: center unlock button
  * Lockscreen: submit button more padding and show a background always
  * StatusIcon: Add info property
  * Wifimanager: Add property for the ssid of the wifi network
  * Wifimanager: set image-name also when wifi is disabled
  * Wifimanager: expose enabled property
  * Wifiinfo: Set info property
  * Batteryinfo: set info property
  * StatusIcon: Add show-always property
  * WWaninfo: Set info to Cellular
  * QuickSetting: create base class for quicksettings
  * SettingsMenu: Add quicksettings
  * SettingsMenu: Add BatteryInfo quick settings
  * QuickSetting: Add click action for Battery
  * Rotation: Move rotation to quicksettings
  * Quick-setting: Add basic test
  * Wifiinfo: respect show-always property
  * Quicksetting: Center quicksettings
  * Wifimangager: set icon-name always via the same function
  * wifimanager: Use disabled icon for unknown states
  * QuickSetting: Add wifi
  * AppGrid: Don't set the focus to AppGridButton when clicking on them
  * docs: add info about the env GTK_INSPECTOR_DISPLAY

  [ Emin Tufan Çetin ]
  * po: Update Turkish translation
  * po: Update Turkish translation
  * po: Update Turkish translation

  [ Juliano de Souza Camargo ]
  * po: Update Portuguese translation

  [ Anders Jonsson ]
  * po: Update Swedish translation

  [ Zander Brown ]
  * Make top and home-bar black
  * build: use the kwarg for PIE
  * switcher: Rework app switcher
  * build: handy as a subproject
  * general: ignore VSCode settings/metadata
  * build: split some components into static lib
  * tools: app-scroll demo
  * tests: use the full name not just the first letter
  * favorites: Switch to kgx
  * gtk-list-model: Adjust to build out of gtk4's tree
  * Add PhoshAppGridButton
  * Favorites: Use PhoshAppGridButton
  * launcher: force wrapping of long titles
  * app-grid-button: handle NULL app-info
  * launcher: import app-list-model
  * overview: rename PhoshFavorites now it's funcation has changed
  * app-grid: AppGrid widget to launch installed applications
  * overview: Add app-grid
  * tools: Add wrapper to run standalone tools
  * tools: Add tool to show app-grid outside the shell
  * overview: Move favorites launchers into app-grid
  * app-grid: align top
  * overview: focus styling, follow focus
  * app-grid: enter activates first app search result
  * app-grid: hint app that will launch on enter
  * notifications: support images, bring styles close to design
  * notifications: add actions
  * notifications: handle display scaling and rotation
  * notifications: slide down from top
  * tools: test notification sender
  * notifications: emit notify::app-info
  * apps: display name not display name
  * build: only rebuild generated sources when linking tests/tools
  * app-button: don't emit app-launched when an error is set
  * app-button: store favourites in a model, add action menu
  * tests: improve testing of app-button
  * tests: add tests for the favourites model
  * favourites: use en_US spelling
  * build: bump glib dep
  * notifications: rename the widget to PhoshNotificationBanner
  * notifications: seperate the data and widget
  * tests: add tests for notification class
  * editorconfig: strip whitespace
  * notifications: split out notification content from banner
  * notifications: group sources together
  * notifications: split the frame from the banner
  * notifications: track notifications not widgets
  * notifications: frame can hold multiple notifications
  * notifications: g_clear_signal_handler isn't available in buster
  * tests: test the new notification classes
  * protocols: generate with public-code not code
  * app-list: fix lookup cache
  * grid-button: Drop trailing white space
  * apps: use a common placeholder icon
  * general: ignore gcov files
  * utils: phosh_clear_handler, g_clear_handler for older GLib
  * notification-frame: fix a leak when header tapped
  * notification: store the urgency/transient/resident/category hints
  * notifications: a model for notifications from a single source
  * notifications: keep a list of notifications
  * tests: test the new notification models
  * notifications: maintain a message list
  * notifications: add list to settings drop-down
  * tools: explain notify-[blocks/server-standalone] use
  * app-list-model: phantom launcher
  * l10n: disambiguate timestamp strings
  * po: Update British English translation
  * general: update license headers
  * ci: validate license headers
  * treewide: Use two empty lines between functions
  * arrow: Use G_PI instead of M_PI
  * treewide: Don't use C++ style comments
  * general: use char instead of gchar
  * general: use int/double/float instead of gint etc
  * keyboard-events: drop unused props global
  * general: use C rather than C++ style comments
  * general: two lines between functions

  [ scootergrisen ]
  * po: Update Danish translation
  * po: Update Danish translation

  [ anteater ]
  * wwan-mm: cleanups for style/consistency
  * wwan-mm: use Ugly_Case to correct MMDBus codegen
  * wwan: build: reformat
  * wwaninfo: use PHOSH_WWAN interface to access wwan object
  * wwaninfo: reorder includes
  * wwan: add PhoshWWanOfono
  * shell: add missing whitespace
  * shell: clean up dispose, fixing leaks
  * shell: reorder includes
  * add and use wwan-backend setting

  [ Fabio Tomat ]
  * po: Add friulian translations
  * po: Add friulian to LINGUAS

  [ Nikola Pavlica ]
  * po: Add Serbian (Cyrilic) translation

  [ Sebastian Spaeth ]
  * po: Fix German translation of Phone Shell

  [ Luís Fernando Stürmer da Rosa ]
  * po: Update Brazilian Portuguese translation

  [ Daniel Mustieles ]
  * po: Update Spanish translation

  [ Evangelos Ribeiro Tzaras ]
  * phosh-wayland.c: Indent
  * d/control: Use Rules-Requires-Root: no
  * Add keyboard forwarding protocol

  [ chefe ]
  * po: Merge all german translations together

  [ Darren R ]
  * lockscreen: Use show_symbols False
  * Update meson.build to show version 0.1.6
  * README: Explain how to skip gnome-session setup
  * Add timestamp-label

  [ Luca Weiss ]
  * panel: implement restart action

  [ Daniel Șerbănescu ]
  * po: Add Romanian translation
  * po: Update Romanian Translation
  * po: Update Romanian translation
  * po: Update Romanian translation

  [ Tim Sabsch ]
  * po: Update German translation

  [ Marc Riera Irigoyen ]
  * po: Update Catalan translation

  [ Sebastian Krzyszkowiak ]
  * PolkitAuthAgent: fix build with Polkit >= 0.114
  * PhoshBackground: Draw the wallpaper at full resolution on HiDPI screens
  * background: Unescape the URI of the background file
  * Use wlr-foreign-toplevel-management instead of private protocol
  * PhoshApp: Rename to PhoshActivity
  * PhoshHome: Hide the keyboard button when unfolded
  * PhoshHome: Don't set the width of the home bar
  * PhoshLayerSurface: Allow to set anchor margins of the surface
  * PhoshLayerSurface: Allow to change the exclusive zone value
  * PhoshHome: (Un)folding animation
  * PhoshHome: Adjust arrow transition duration to match unfolding time
  * PhoshHome: Show correct arrow orientation with GTK animations disabled
  * shell: Fold home screen when a new toplevel appears
  * home: Fold on Escape key press
  * overview: Hide the list of activities when there are none
  * phosh-wayland: Don't require wlr-foreign-toplevel-manager extension
  * layersurface: Add phosh_layer_surface_wl_surface_commit function
  * home: Remove gtk_widget_queue_draw from (un)folding animation
  * home: Reset the app grid state when unfolding
  * shell: Fold the home screen when unfolding settings screen
  * shell: Hide the keyboard when unfolding the home screen
  * app-grid: Use g_auto cleanup macros
  * app-grid: Store the list of favorites
  * app-grid: Don't show favorites on the app list
  * PhoshBackgroundManager: Divide the background size by scale
  * toplevel: Add "activated" property and its getter
  * overview: Scroll to currently focused activity
  * style: Remove unnecessary blending
  * activity: Handle apps with "gnome-" prefix in their app ID
  * util: Move app_id fix up code to separate function
  * toplevel: Rename phosh_toplevel_raise to _activate for consistency
  * app-grid-button: Activate existing window instead of trying to relaunch
  * ui: Adjust the icon margin of backlight slider in settings menu
  * panel: Clean up unused widget references
  * PhoshOverview: Add haptic feedback when clicking on activity
  * feedback-manager: Add a helper to trigger feedback on button press/release
  * home: Use phosh_connect_feedback
  * overview: Use phosh_connect_feedback
  * panel: Use phosh_connect_feedback
  * PhoshHome: Use PhoshLayerSurface signals and props to handle resizing
  * protocol: Add wlr-screencopy-unstable-v1
  * PhoshWayland: Don't require phosh_private interface in latest version
  * protocol: Update phosh-private to version 4
  * PhoshOverview: Move find_activity_by_toplevel and drop unused manager argument
  * PhoshWayland: Add phosh_wayland_get_wl_shm
  * PhoshToplevel: Add a "maximized" property
  * PhoshActivity: Add a "maximized" property
  * PhoshOverview: Pass "maximized" state from toplevel to activity
  * PhoshOverview: Drop set_data binding, use find_activity_by_toplevel instead
  * PhoshToplevel: Add phosh_toplevel_get_handle method
  * Introduce PhoshThumbnail and PhoshToplevelThumbnail
  * PhoshActivity: Add an ability to set thumbnail image
  * PhoshOverview: Request toplevel thumbnails and set them on activities
  * PhoshOverview: Add get_toplevel_from_activity helper
  * PhoshOverview: Check types in find_activity_by_toplevel
  * PhoshOverview: Make sure the requested thumbnail is scaled according to widget size
  * wwaninfo: Use network-cellular-disabled-symbolic when no hw is present
  * background: Stop listening to `rotation`
  * overview: Clean up unneeded size checks

  [ Balázs Meskó ]
  * po: Update Hungarian translation

  [ marty1885 ]
  * monitor: prevent sending multiple event in one monitor configuration change
  * background: recreate background on monitor geometry change

  [ Alexander Mittermeier ]
  * Remove reference to rootston as the link was broken and the project is deprecated.
  * README: Remove rootston link

  [ Rafael Fontenelle ]
  * phosh.doap: fix URL to source code repository
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Yi-Jyun Pan ]
  * i18n: zh_TW: update translation

  [ Danial Behzadi ]
  * Add Persian Translation
  * Add Persian to Linguas

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Mohammed Sadiq ]
  * Add shell-network-agent
  * Add network agent
  * debian: Build depend on libsecret-1-dev
  * ci: Fix alpine build
  * polkit-auth-prompt: Use symbolic icon

  [ Rasmus Thomsen ]
  * gitlab-ci: pull in feedbackd on Alpine too

  [ Dorota Czaplejewicz ]
  * Merge branch 'pin-handling' into 'master'
  * Merge branch 'wl_seat' into 'master'
  * Merge branch 'master' into 'master'
  * lockscreen: don't rely on libhandy being in include directories
  * Merge branch 'app-switcher' into 'master'
  * Merge branch 'session' into 'master'
  * session: Add virtboard to session
  * build: Use the right path to the source
  * Merge branch 'hdmi-scale' into 'master'
  * build: Remove duplicated gio dependency
  * Merge branch 'wip/dynamic-outputs' into 'master'
  * session: Use the default OSK instead of Virtboard
  * layersurface: remove phosh-wayland include
  * layer-surface: Distinguish requested and configured width/height

  [ Bart Ribbers ]
  * gitlab-ci: Build and unit test for Alpine Linux edge as well
  * gitlab-ci: don't build test coverage for Alpine Linux

  [ Hysterical Raisins ]
  * LayerSurface: constructed() needs to be chained up
  * AppGrid: hide favorites on search
  * NotifyManager: plug a leak in variant iteration
  * AppGrid: Don't activate first item unless search has focus
  * AppGrid: Correct return types for focus events
  * AppGrid: plug casefold leaks
  * AppGrid: Live update search when using an input method.

  [ Heather Ellsworth ]
  * Merge branch 'rootston.ini' of guido.gunther/phosh into master
  * Merge branch 'cleanup' of guido.gunther/phosh into master
  * Merge branch 'cleanups' of guido.gunther/phosh into master
  * Merge branch 'po' of guido.gunther/phosh into master
  * Merge branch 'zanata' into 'master'
  * Add Contacts to list of favorites

  [ Sybolt de Boer ]
  * Use g_value_set_int() to set an int

  [ Adrien Plazas ]
  * system-prompt: Style overhaul

  [ Guido Gunther ]
  * Merge branch 'osk-hide' into 'master'
  * Merge branch 'nested-x11' into 'master'
  * Merge branch 'lock-clock' into 'master'
  * Merge branch 'simplify-ui-edit' into 'master'
  * Merge branch 'dont-scale' into 'master'
  * Merge branch 'phoc' into 'master'
  * Merge branch 'polkit-agent' into 'master'
  * Merge branch 'visual' into 'master'
  * Merge branch 'css' into 'master'
  * Merge branch 'translations' into 'master'

  [ emersion ]
  * Update the wlr-layer-shell-unstable-v1 protocol
  * PhoshWayland: Add wlr_output_manager v1 protocol

  [ David Boddie ]
  * Updated Debian package dependencies and .ini file location.

  [ Daniel ]
  * po: Improve German translation

  [ Flemming Richter ]
  * po: Add initial Norwegian Bokmaal translation

  [ Thomas Citharel ]
  * po: Add initial French translation

  [ Scott Anecito ]
  * Add Japanese translation + minor header standardization correction

  [ Jan Tojnar ]
  * meson: Add glib dependencies

  [ antpanlinux ]
  * Add Italian translation
  * Update it.po

  [ Alberto Fanjul ]
  * Add Spanish translation
  * translate favorites label

  [ Felix Pojtinger ]
  * fix(docs): use right link to libhandy repo

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 15 Nov 2020 23:23:53 +0100

